2a0f68f3a9 Flow sequence: Shows more information about various skinny messages
819a6b50f1 QUIC(Datagram): update to last IETF draft
ff9c194582 QUIC: Update to final RFC...
492a703820 BT SDP: Don't overrun our continuation state buffer.
79dd8fd890 IDMP: Initialize some variables.
33dc397ce0 SKINNY: Initialize our addresses.
e138ec5dec BT-DHT: Fix another loop and add NULL checks.
f21b94476e PNRP: Exit our main loop.
1fbe71fe2b docs: Update wireshark-filter man page about "!="
9a314b5595 ACDR: Handle timestamps as time values instead of bytes
12fffa1c3e ACDR: Fix handling of short signaling packets
839853938a BT-DHT: Disable heuristic for now
e32e10e3d0 dfilter: Fix "!=" relation to be free of contradictions
913b6c3390 Revert "debian: Report upstream and package version instead of git revision"
a0414458c0 Increase max packet size for all USB encapsulation formats
720e6cf60f Skinny: Create RTP stream based on messages (2)
73c82db4c6 [Automatic update for 2021-10-24]
654c563520 Skinny: Create RTP stream based on messages
f8e42a0d14 IAX2 Stream Analysis: Fix of mean jitter calculation
5fdd4c2e80 RTP Analysis: Fix of mean_jitter calculation
a8226d7b1d Qt: Add back some Q_OBJECT calls.
a37168822b Tools: Fix some fuzzing logic.
4ebb4b1b51 dumpcap: don't tell users to bother the Npcap developers.
8defce0446 docs/tshark: proper name is lopsided CamelCase (TShark)
2b3ade549b http2: fix the stream mode reassembly issue
59248a271e ieee1905: Add missing offset increment
7dc822ef0e debian/rules: Run dh_dwz with debhelper (>= 12.6) only
dbb6807e45 bpv7: Fix warning found by Clang Analyzer
85bef7eeaf CMake+Docs: Update our man page targets.
fa3d114a44 csn1: Avoid storing existence bit as true if content was actually NULL
6d29253353 csn1: Avoid failing if optional DownlinkDualCarrierCapability_r7 is missing
366ae9e2a3 QUIC: fix compilation on Raspberry
dc42fd4ff9 wslua: Initialize Proto members on creation
b600434639 EVS: Fix bug in decoding SID frame CNG type
f7833b52d7 Docs: Move includes to the top of our man pages.
94f5ef07ef CMake+Docs: Generate man pages all at once.
bc878d4bef EVS: Fix CNG schema for SID payload
b4ea2d0fd3 CSN.1: Fix definition for DownlinkDualCarrierCapability_r7_t in MS RA cap
271bc73be2 BSSMAP LE: fix dissection of APDU in 2 messages
5696fc869c Fix build with WS_DISABLE_DEBUG
8e7207f4c6 socketcan: use ett_can_fd for CAN FD.
178f4390d7 CMake+Docs: Try to build our man pages in parallel.
2d390c2c3e Websocket frame reassembly support
aa8119d7a1 GSM A-bis/RSL: dissect some more Osmocom specific IEs
7128c8b44e GSM A-bis/RSL: add a checkbox for Osmocom specific definitions
60440478d7 GSM A-bis/RSL: fix wrong tree/length in dissect_rsl_ie_message_id()
4393c6a175 couchbase: Add Subdoc replace body with xattr opcode
4c1285548d couchbase: Add ReviveDocument subdoc flag
276597fb10 couchbase: Add new subdoc error codes
3eeec0d99e gprscdr: Update to 3GPP TS 32.298 V17.0.0
cefacc1b72 Add a comment to explain a cast done in file_fdopen().
f99ccb9f2c SIP: 200 ok put resp to method in info col
ae2fa6ebac pfcp: Update to 3GPP TS 29.244 V17.2.0
65b001cfe4 extcap: reword error message referencing captype
6c8af214a2 docs: -z stats - bootp now dhcp; not all in man page
b1e0a73181 docs: -z stats - bootp now dhcp; not all in man page
0497a29271 capinfos: man page typos; add longopts to Usage:
96ad0d294e packet-btmesh: fix build without GCRYPT
6ae51bc91e proto: Check for reserved keywords in filter names
2eec5ed0a9 Fix some spelling errors
576aa851e6 wiretap: fix a warning on Raspberry 4
45772ee21a BPv7: Add Bundle Protocol version 7 and BPSec dissectors from dtn-wireshark
4eabe65bf3 rdpudp: update parsing of AckVec packets to last spec
6745a470fe Qt: Remove more Q_OBJECT macro calls.
1d02303263 BT-uTP: Strengthen heuristic
1493f11882 OptoMMP: Added expanded memory ranges and descriptions.
24b7864041 TCP: Port reuse ends with false Retransmissions
e7aeb9e0ed btsmp: Fix endianess of debug public key
06b9d5a9af Revert "GitLab CI: Switch to clang 13."
db4c49f0c2 NEWS: tshark folders; WSUG and download page links
2d371a3cf6 RPC: Don't defragment without the entire fragment
44a95de57b lisp: convert get_addr_str to use pinfo->pool
8ee731b3ee BT-DHT: Support BEP 42, DHT Security Extension
570389668f dfilter: Generalize special case of one byte literal
af513fdfdf TECMP: Bugfix: TECMP should not decode NULL frames
d5c3cc56dc AUTOSAR NM: Bugfix: wrong filters for user defined elements
a5c4e30bf7 TECMP: Bugfix wrong payload length for payloadtvb
930c6c17f3 ISO15765: Bugfix, LIN config influenced CAN
92c8842707 [Automatic update for 2021-10-17]
2acec5e5cc dumpcap: do all packet counting in capture_loop_wrote_one_packet().
2ace5f9b22 socketcan: support the CANFD_FDF flag for identifying CAN FD frames.
5e6ec27a85 CMake: Partially revert recent docs changes.
5b18c8167d doc: fix the macOS build.
5860b7db99 dumpcap: double received count when using threads
9f8dc965e2 CMake: Try to make our man page builds faster.
0a8affedf3 captype: add options to Usage: and man page
01711916d8 Version: 3.6.0rc1 → 3.6.0rc2
1decf2b777 Build 3.6.0rc0
6bfef174c5 Packaging: Add captype to the Windows installers.
da8a707b6c BT HCI_ISO: Don't overrun our reassembly buffer.
0e453ec048 eNode-B: Fix check for eri_enb_log_magic
723209794b Docs: Use Asciidoctor to copy ws.css.
1ffe0cef2c BT-DHT: Exit a loop.
000b3ebfc2 TCP: Follow: Don't treat placeholder value 0 as a real ACK number
ff70f38ec7 wsutil: Provide static inline g_memdup2 in glib-compat.h to not export it
2cd6c67088 autosar_nm: get rid of unused protocol IDs.
7ca4ef4921 debian: Report upstream and package version instead of git revision
1393360d38 debian/rules: Don't pass --parallel to dh, it is the default now
b6f74e71cb debian/rules: Turn on BUILD_corbaidl2wrs to ship idl2wrs man page
1bd5d954e9 debian: Bump compat level to 12 keeping backports in mind
5e44881e4c debian/control: Drop Conflists: and Replaces: referring to very old versions
08b9b01eb6 debian: Make wireshark depend on the same version of wireshark-qt
a39d6a9a07 debian/copyright: Fix typo and remove patterns for removed files
769ef1d64f Qt: Remove Q_OBJECT in a few places where it's not needed.
98236c526f [Automatic update for 2021-10-10]
c2f233b89c GitLab CI: Initial macOS Intel build.
724b74b38e Initialize the release-3.6 branch.
9dab2280ca dfilter: Fix parsing of octal character escape sequences
0eda51a646 to_str: scope tvb_ip6_to_str
086feb2f09 Ignore length of data parameter in DT1 message
07f5472aa7 to_str: scope tvb_ip_to_str
4a2b18a9c0 dfilter: Skip equality test and add explanation
83446c4719 LTE-RRC: Add a couple of more "protocols".
c946ee3686 5G LI: Add dissector for 5G Lawful Interception
ca5a45428f SMPP: Handle unaligned PDUs better
e4e0b97082 dfilter: Use wslog with ws_assert_magic()
8c5a4f9100 dfilter: Replace node accessor macros with functions
a7242733a4 dfilter: Fix ws_assert_magic() macro
5f8ab69cb5 Windows: Fix stdint.h redefinition warnings
e3ba0c5ea5 lwm2mtlv: Decode Location Velocity
d3695f8b53 gsm_a: Fix dissect_description_of_velocity()
4804c1224d dfilter: Use syntax tree node replacement semantics
af19fc795a Add NGAP Stats.
b240d5baa0 Ethercat: try to fix EEPROM Ctrl/Status bitmask fields
1dd8f3a666 capinfos: Calculate hashes after determining if a capture file
7bdfa653a1 PCEP: Added support of draft-ietf-pce-segment-routing-policy-cp-05
9ae0d3c4f1 BSSAP: Use VLR number field
aa41dd9a56 GitLab CI: Restrict our merges to master.
d2dff29c83 NR RRC: Make more PDUs set col and proto.
0aae44e145 GitLab CI: Switch to clang 13.
4f4e9bfbc4 Transifex: Update our configuration.
bc3bced07d COSE: Handle indefinite tstr/bstr encodings
39036a0a30 dfilter: Add some more syntax tests
7bf02254c1 dfilter: Rename function production rule
a940318f37 dfilter: Minor grammar fixups
d45ba348fd dfilter: Strengthen sanity check for range
f7a2abb4ae dfilter: Don't include type name in 'tostr' output
b700448745 Eth: Segment routing over IPv6
0ca24f01d7 cose: Fix memory leaks
60899ed216 Update README.developer
6898210ded docs: Add section about architecture to README.developer
f51510f401 IDMP: Fix a string allocation.
f9ac0f40f7 to_str: scope decode_bits_in_field
4661e1ddd9 btmesh: improve scheduler dissection
b4cd8c0a8e NR RRC: Register protocols which sets proto and info columns.
79c9e46144 Fix some items where mask was wider than field.
d4c908a573 Revert "TCP: last out-of-order packet is marked as a retransmission"
924bb5b8b3 F1AP: upgrade dissector to v16.7.0
d6e2dbe407 E1AP: upgrade dissector to v16.7.0
5cf2a61938 XnAP: upgrade dissector to v16.7.0
1292ee5cef NRPPa: upgrade dissector to v16.5.0
8faede569b NGAP: upgrade dissector to v16.7.0
7b8938474b to_str: pull scope arg up into more addr macros
ef2468662b check_typed_item_calls.py: Flag bits set outside mask
9bf24deb2d WSDG: Trivial cleanups.
e578c6caee to_str: pull scope arg up into tvb_ether_to_str
eb9ae2ffd5 Read eNode-B raw logs
5bc06b9042 proto_data: use pinfo->pool not the global scope
9cf7ff44e1 wscbor-test: handle jmps
120aab63e3 NR-RRC:Make it possible to use dissctor handles for more cases.
c51073bc80 X2AP: upgrade dissector to v16.7.0
1f7de4c724 S1AP: upgrade dissector to v16.7.0
25ca031f53 Release notes: Add note about improved Reload Lua Plugins
e724ab1b41 Qt: Handle fieldsChanged before prefs_apply_all
e866034c55 Qt: Handle errors when reloading Lua FileHandler
5c185238a4 BT-DHT: Test packets even if the dissector is set
e05f704606 wiretap: camins, vwr: Stop heuristics after 1GiB
7ca5d99d1e core: Fix -Wdocumentation
f0da2cf58f core: Fix Wmissing-prototypes
3cce9e3a74 core: Fix Clang Analyzer Warning
4bda9dfd3d [Automatic update for 2021-10-03]
da11ef5770 ieee80211: Add 6E support when converting freq. to channel number.
41f4855443 Lua: Make FileHandler seek_read() optional
c6b046abd7 rdp: Fix compile errors
09f762ba5e rdp: add dissector for the egfx channel
7b5661dfe0 rdp: dissect close requests PDU in drdynvc channel
3841bcd82c rdp: set the server address in the right place
4e61cf4b73 UBDP: Update the UBDP header dissection and add username TLV
ced4f00447 UI: Fix "Follow Stream" spin box for protocols without substreams
cfc3212ae2 Docs: Miscellaneous man page updates.
ce22d958a8 Test: Add external tests.
436dd46720 GitLab CI: Switch all Linux builds to our container registry.
f9279ddaea GitLab CI: Switch the openSUSE 15.2 image.
58a9b77fb8 F1AP: Don't export PDUs as L7
fee7f31e63 GitLab CI: Switch the CentOS 8 image.
8705dfbe74 Docs: Update some man page markup and remove pod2adoc.py.
7f47511653 Try to fix RPM packaging.
ec2746c910 capture: Check for valid wtap when capture.show_info
c7dc907d0e dfilter: Rename some identifiers in grammar
84ab55cf75 Docs+Packaging: Convert our man pages to Asciidoctor.
9f1607ab47 Docs: Prep for POD to Asciidoctor conversion.
04b0e2b80b dfilter: Extend function 'tostr' method
90dc58a942 dfilter: Add range 'tostr' method
dcf41b93a8 dfilter: Add set 'tostr' method
2c55bffb41 dfilter: Improve syntax error message
db18865e55 dfilter: Save token value to syntax tree
487e2b6bc3 dfilter: Remove unnecessary log activation check
728061fa17 NR RRC: upgrade dissector to v16.6.0
35826bbb95 LTE RRC: upgrade dissector to v16.6.0
de6f5b9d82 dfilter: Fixup syntax tree node display
b4af7c52a5 dfilter: Add a flags member to the syntax tree node
eef110de80 documentation: Add absolute time to user guide
0e7ba54d98 dfilter: Clean up handling of "deprecated" tokens
d6836d103d dfilter: Add test for "deprecated" tokens
3ea2a61f2a dfilter: Display syntax tree for debugging
1883487241 ws_getopt: Add a test for optional parameter
5362d0c31b ws_getopt: Rename struct and macros
0173ea0ec1 COSE: make some functions static
e6a1225611 wslog: Alias --log-domain to --log-domains
19d27eff98 Lua: Free FileHandler on deregister
96cfaf67a3 Qt: Reload Lua FileHandler when having a capture file
a3c2ad04ee nordic_ble: Re-use OK Error true false flag
e4842cea3f nordic_ble: Add address resolved flag to Advertising PDUs
2ee57a0e46 ftype-time: Absolute times for DFILTER are always local time
4975dbc867 ieee80211: Add dissector for Ruckus vendor specific IE
220b5af9d4 Removed unnecessary second lookup with val_to_str_const().
c2a0a5ebca Add message type with col_add_fstr().
e1543bda0c IS-IS LSP: extended IP reachability prefix SID dissection change
eb5d17f2bc Windows: Upgrade libpcap, lz4, nghttp2, and snappy.
a88d0742cf USBHID: Add integer representation of data bits without specific parsing.
8269572c4f cbor: use scoped pinfo pool instead of global
6d04c07955 COSE: fix might be clobbered by ‘longjmp’ or ‘vfork’ [-Werror=clobbered]
42906f1246 dftest: Don't use quotes to output filter
93d49562c5 JSON: enable Binary data lookup on Array
abd0f1183f COSE dissector from dtn-wireshark project
4010502a82 LPP: upgrade dissector to v16.6.0
e9ac4d3900 proto: Delay deleting heur_dtbl_entry_t in heur_dissector_delete
3cdada3e7b guids: wmem-scope lookups
440bbd37a0 Docs: More POD markup cleanup.
a156d7d05d Fix some spelling errors.
9a5b9dbca3 JSON: enable Binary data also for non-compact
a757a93208 GSM MAP Update to 3GPP TS 29.002 V17.1.0 (2021-06)
d7a8a55d2a GSM MAP: Dissect message noteSubscriberPresent.
481d0716e5 MSYS2: Test commands in pipes need quoting
ef06593c13 MSYS2: Fix detection of test suite binaries
6c5e56f752 Windows: Add preliminary support for MSYS2
1c8752935d CMake: Remove debian package target
f1ee29fc61 GitLab CI: Don't refresh our openSUSE repository.
7b82110092 USB HID: Parse bit fields with correct bit order
d87e6e58fa [Automatic update for 2021-09-26]
151cfe5823 QUIC: disable "Follow TLS stream" for QUIC session
7a283b0f36 Qt: Add heuristic description to dissector tables
92d77cef7a libwiretap: fix test for built-in file types.
047542b587 reassemble_test: Add an explicit cast [-Wformat=]
acffc56148 test_wsutil: Use 'static' linkage
eba84d06e4 docs: Fix fatal log level description
1c3da46bf8 H265: Handle too large Exponential-Golomb coded values
a7dfe53488 H264: Handle too large Exponential-Golomb coded values
05512b0428 jpeg: correct the IFD tag for the Copyright field
1848fa71ed jpeg: fix typos in variable names
141e3b331f jpeg: place each IFD in a subtree
b6e80d9a2f CMake: The minizip URL is ancient
0c7d82d8b7 USBDump: Fix Memleak with error info
f18ee30a3d TLS: Adding JA3 and JA3S fingerprints
b84aa6b243 Fix some spelling errors.
da817af974 Docs: More POD markup cleanup.
f4c283298f Add compatibility fix for Minizip dependency
f827daba24 SSH: Fix missing g_free()
443f05bc92 Windows: Fix build without libpcap
624ed977cb validate-clang-check: add yet another Windows-only file.
9d10838314 Docs: Clean up wireshark.pod markup.
0b567bb27e Docs: Asciidoctor.js isn't yet suitable for our needs.
07330b392e documentation: update PDML/PSML doc
3adfca384b MinGW-w64: Fix extcap build output path
fa525649be CMake: Try to set a required try_run() definition in a more idiomatic way
9bce34ca67 NVMe: decode Async Event Req CQE.
9f9afc0e86 CMake: Remove an unnecessary version check
6921f01250 MinGW-w64: Need to use ANSI C stdio
8d59f81729 MinGW-w64: Replace incompatible format for strftime()
c4265865c2 MinGW-w64: Fix windeployqt errors
c4d5eea33e CMake: Target platform for WIN32 needs to be lower case
a22aa677ad SDP: Handle fmpt:ipdc-ksm and fmpt:ipdc-kmm
5de2b55663 CMake: Check if vsnprinf() is C99-compliant
a2120e823c dfilter: Allow generic unquoted strings that are protocol names on RHS
1dad8190b1 CMake: Fix minimum version requirements for CentOS 8
fee630dbdc Fix the lengths of some masks.
3e193b376f GitLab CI: Add HTML output for Clang Analyzer Check artifact
6c0897393b GitLab CI: remove ANSI color when generate Clang Check Analyzer text log
07b0c4e78a GSM A-bis/OML: Fix false positive on expert notification for ABIS_OM_MDISC_MANUF
533d859499 Qt: Register import_hexdump.json as a profile file
0c735dcf0a MinGW-w64: Disable building 'etwdump'
d09651e637 CMake: 'libui' depends on wiretap
dfd241cef5 CMake: 'version_info' depends on wsutil
0d6f0a4213 MinGW-w64: Add guards for MSVC macro definitions
b2691b8f6c file_util: Fix declaration is not a prototype [-Wstrict-prototypes]
a5a9bb0763 CMake: Move UNICODE defines to command line
6bd1bb4d7c MinGW-w64: Define NOMINMAX for Windows API
bf55ff9b47 btmesh: Add mesh models lighting opcodes dissector
b9687f7d85 BGP: Add BGP-LS BGP Egress Peer Engineering (rfc9086)
7866f43d82 IO Graph: Add checkbox to prevent automatic rescans
543ea3968c ethercat:  Fix some too-wide mask widths.
b12644b629 MinGW-w64: Need to define WIN32_LEAN_AND_MEAN
50fdfda316 MinGW-w64: Need to link using -municode
3164d4a646 MinGW-w64: Use clock_gettime()
2f7e3f1d82 MinGW-w64: No need to define 'ssize_t'
f3dbfa3bdf coap:  add missing content-format mappings
a193aff052 Windows: Don't search for a SpeexDSP package
5f79503d67 Fix config.h include order
2c7d22dba2 CMake: Fix macro redefinition of Windows API versioning
76e31fe09e CMake: Add Doxygen search hint for Windows
bb12a187df CMake: Add guards for PLATFORM sanity check
8726c65267 win-setup.ps1: Be more lax about validating path separators
c513188f52 CMake: wsetargv.obj is specific to Visual Studio
977c73d5b4 Qt: Pad time values for loading times
f0a375cf21 ORAN FH CUS: Add expert info check for extlen 0
debd6bffae version info: Reduce locale display.
2cb684c92d [Automatic update for 2021-09-19]
b054286744 ws_getopt: Cleaner better __getopt_msg()
4941809359 TECMP: change Capture Module ID in UAT to hex
ac0b1d42f3 dfilter: Allow bytestrings that are also protocol names on RHS
750cc38669 epan: Remove some extraneous #ifdefs
dd667dddf0 Some spelling fixes
36977acfbf Qt: Store Import Hex Dump settings
acf9b52b78 RTPS: Added option to limit the number of items dissected in data samples.
a34a234cf2 wslog: Add ws_log_buffer()
a918325324 SSH: Add fingerprint hassh, hasshserver fields
6e174c17eb InfiniBand: create proper preference change handler out of handoff function
f341e045c9 twamp: fixed decoding of control-message sequence
13c33fa68a text2pcap: Fix -Wmissing-prototypes
be2469b91d thrift: Fix Wmissing-protypes warning
aa9d666acb sparkplug: Fix -Wmissing-prototypes warning
d842da234d signal(pdu): Fix -Wmissing-prototypes warnings
1be344800a r09: Fix -Wmissing-prototypes warning
7f411bbe80 bblog: Fix -Wmissing-prototypes warning
e1c754262f tiff(file): Fix -Wmissing-prototypes warning
05b91f5aaf Docs: Fix some POD markup.
16eb55b54e IPv6: Rename "SA MAC" to "SLAAC MAC"
a823e34642 Fix build error if ENABLE_SMI=OFF
dd59d1fcf9 ws_getopt: Add test suite skeleton with some basic tests
f80b7babe5 CMake: Remove cmakedefine HAVE_ALLOCA_H
b2bc8fd059 RTCP:Fix dissection of MBMS Subchannel field
fea994855d Revert "ws_getopt: Disable MSVC warning C4244"
3c484f278b ws_getopt: Fix some clang warnings.
ac3a30f61b ws_getopt: Disable MSVC warning C4244
2deb1c95d9 Merge ws_getopt source files
8df2a73594 Use the musl in-tree getopt_long() everywhere
7462e76884 Add musl getopt_long() source files to project
36a2606064 Debian: Fix symbols
4d873d4ce2 wsutil/to_str: Use a macro to check buffer size
18c155a3ca wsutil: Remove ip6_to_str_buf_with_pfx()
364df939ea wsutil: Rewrite ip6_to_str_buf()
d4c7978f68 wsutil: Add ip_to_str()
8c4a479c52 Move more numerical functions to wsutil/to_str.h
cc1e5b8334 Reformat and cleanup epan/to_str.h header
8208c68b49 Debian: Add missing wsutil symbols
8304ced0e6 wsutil: Add some tests for word_to_hex()
24fd8c6740 Move more numerical epan/*to_str() routines to wsutil
5b4c7e1c46 NEWS: multiple list indentation levels (nested lists)
0019723b14 Debian: Add missing wsutil symbols
44538f6e4d wsutil: Add tests for to_str_back()
8b70e24889 wsutil/to_str: Rename some functions for consistency
8a584222f1 Move epan/*to_str_back() functions to wsutil
2de4d40e22 setup-macos-brew: Extend to build dmg
45398ad333 PFCP: Additional improved Rule ID visibility
b81192d312 rdp: keep track of UDP and TCP connection links
e4b8a58513 ptvcursor: add explicit memory scope
f4aa108913 tvbparse: explicitly memory-scope parser
2cb1eb955f epan: Rename SMI dependency to "libsmi"
bfc7708f63 SV / IEC 61850: Accommodate Ethernet trailers
4ebd927ccd Support LZ4 versions earlier than 1.8.0
bd33320521 wslog: Add macro to validate arguments and return
20dc422550 wsutil: Add test for bytes_to_str_punct()
6c066adad7 twamp: improved decoding of Request-Session
24af672884 PFCP: Improved Rule ID visibility
cda79cb819 QUIC: fix "Follow QUIC stream" crashes when encryption keys are not available
aceb1aea10 twamp: improved decoding of Request-Session
8567f657aa MPLS: Some systems display labels (mostly) in HEX
806599b923 BGP: Add BGP-LS Flex Algorithm (draft-ietf-idr-bgp-ls-flex-algo-07)
a72df64a60 Fixed Mode S Interrogator Identifier type check.
0844c0862a Fixed typo in Mode S Interrogator Identifier.
bf18882a42 DD-14 Made changes to Mode S interrogator layout.
a804547019 DD-14 Added Mode S Interrogator Identifier Information Column.
ca83fbcf42 DD-14 Added Mode S Interroator Identifier Record.
a0600993a1 DD-14 Added RRB Trandponder Code Record.
2fd0c3a976 DD-6 Added System Designator and System Specific Information
1c3729a9fd DD-6 Updated Layer 1 Dissection with DIS v7 IFF Layer 1
7c59dd00c2 DD-6 Updated Dissection of PDU Header
2a2fbf3921 DD-6 Updated Enums with SISO 2019
8b194a924f osi: avoid global memory scopes
b39fc2aafc wslua: avoid global memory scopes
65bfe0ccd6 ORAN FH CUS: check dissected extension length against extlen
f82535d645 Docbook: Add changed behavior for byteview
8bc52f542b Add tshark ringbuffer option '-b nametimenum:value'
6cf6794e37 GitLab Ci: Fix duplicate apt cmd for daily run
55a67fd66a Tools: Migrate compress-pngs.sh to Python.
77e6110c59 websocket: Enable websocket as heuristic dissector for TCP
19f3a82ff8 Qt: ByteView make hover configurable
3cb302f05b HTTP2, QUIC: fix "Follow Stream"
a7a7849259 Qt: Enable Edit Name Resolution for EXPORTED_PDU
fe9123b541 Qt: Restructure related-packet indicator drawing.
3ebc8fd8fe dumpcap:Send SP_FILE after SHB passthru in child mode
2d08611d54 BGP: Add RFC 9104 Extended Administrative Groups
902b614fe2 eth: Allow assuming no FCS as well as assuming FCS or using heuristic
21e7bb1073 VSS Monitoring: Tighten heuristic, reduce false positives by default
4fe297767b [Automatic update for 2021-09-12]
9fcc11cc9b blf: report a bunch of errors.
fdf2d78d9a blf: most reads in a packet are errors even if they get an EOF.
b6d1806053 blf: remove the function name from ws_debug() calls.
89368f9d28 blf: do more work in blf_init_rec().
5aad28d773 blf: use common code to read the log object header.
6fe68991df wiretap: Add zstd and lz4 as WTAP compression types
07a31d2918 cmake: fix the uninstall script.
8307d5d9be blf: fix indentation.
8b614c6a1c blf: make blf_read_block() static.
58207d2f8d Windows: Update displayed OS version info
147aadea44 Qt: Add Decode as Hex Digits in Show Packet Bytes
21339ceed0 make-pci-ids.py: make it executable.
76b08ea083 Fix spelling errors.
d4ed129727 pre-commit: skip some checks on idl2wrs.c.
7f1f5b40b3 ORAN FH CUS: add section ext10
389a603fdb Allow adding comments to all selected packets
059c7906c0 h225: fix tvblist used uninitialized
c634315363 [#17519] capinfos: no section headers in table output
d87fb12bc2 SV / IEC 61850: Accommodate Ethernet trailers
8a311003df USB HID: Handle different usage pages in fields
739666a7f5 USB HID: Support extended usages in descriptors
9d65d3f889 DOC: Remove redundancy in build instructions.
5076aee044 [#17517] capinfos: machine-readable filetype/encap
dee79a0c81 wtap_opttypes: move more if_filter and packet_verdict stuff together.
d46e31a48a rdp_drdynvc: fix channel name displaying in SOFT_SYNC_REQUEST
0da1babbb3 rdp: fix endianess in misc places
84a0141683 [#12331] Persist cmd-line prefs on reloading Lua
02285e53b8 Qt: JSON Export - Statusbar info corrected
be7b4163de BLF: Adding LIN support
a4a571e680 wtap_opttypes: move the specialized options after the custom options.
58d053923e pcapng: clean up block length checks.
cb88f6d4e8 BLIP: Add next gen Web-Sec-Protocol
42372c0dfa BGP: Add BGP-LS SR Local Block TLV (rfc9085)
69176a0eff IEEE 1722 / MP2T: Call MP2T subdissector from AVTP
bb1286dc3c epan: more work to avoid global memory pool
197b67cf8c Fix two memory leaks on ZSTD and LZ4 decompression
c58c106b30 dot11decrypt: Fix AAD calculation for legacy ccmp implementation
4e7d10eea1 Credentials Tap: Fix wmem scope for init call
48cf9d5497 Qt: IOGraph - correctly add new graphs
03480fd6e1 epan: export epan_set_always_visible()
6caf24e966 tvblist: explicitly scope memory
530ee0b365 Windows: upgrade Npcap to 1.55
98faf05b6b file_wrappers.c: use LZ4 if the library is 1.7.3 or later
a97e34a1c1 oids: remove global scopes from debug code
8a4242fb76 proto: prefer memory from tree over global pool
36f9bb412b dvb_chartbl: remove wmem_packet_scope
d5a3824f54 IEEE1722 AVTP: Support UDP/IP Encapsulation
22768e218c Thrift: Allow partial definition of sub-dissectors
aae500d32b add RDP multi-transport dissector
8a1649c5a5 rdpudp: dissect the RDP UDP protocol
a3eafc6a5b rdp: parses heartbeat messages
1bf1a1ea7c sequence_dialog(Qt): Fix Called C++ object is null
3eb15f04ad sharkd_session: Fix Branch condition evaluate to a garbage value
5fc6549178 pcapng: Fix Branch condition evaluate to a garbage value
fece6e0440 SOME/IP: Adding dissection support for SOME/IP over TLS
1095faf9d8 Diameter: Update Verizon and Cisco AVPs from MR !3731
f6e0589f89 MP2T: Expert info, counter drop is PI_SEQUENCE, not MALFORMED
c30e111ceb Thrift: Improve error reporting
4eeb091eca Diameter: Update some 3GPP AVS to OctetStringOrUTF8
a5494200c6 tiff: Fix Dead Store found by Clang Analyzer
90a060c339 autosar-nm: Fix Dead Store found by Clang Analyzer
a39fcee57a catapult-dct2000: Fix Dead Store found by Clang Analyzer
7644d6cc4a dvb-s2-bb: Fix Dead Store found by Clang Analyzer
104242836b erldp: Fix Dead Store found by Clang Analyzer
34c094a6e9 iso15765: Fix Dead Store Found by Clang Analyzer
c58400a2ed json: Fix Dead Store found by Clang Analyzer
b007d13f57 oran: Fix Dead Store found by Clang Analyzer
3d0017ec9f rdp: Fix Dead Store found by Clang Analyzer
9b4263fa3c thrift: Fix Dead Store Found by Clang Analyzer
39da486c7d proto: fix Dead Store found by Clang Analyzer
4a55281078 dpauxmon(extcap): Fix Dead Store found by Clang Analyzer
7740e9ae27 pcapng(wiretap): Fix Dead Store found by Clang Analyzer
203e082a50 nettrace_3gpp (wiretap): Fix Dead Store found by Clang Analyzer
d940352da7 gitlab-ci: enhance cppcheck
da6ef0a3f0 extreme-exeh: fix conflict
95b63d04d9 dcerpc_spoolss: fix display filter name
ea6267d12b ncsi: Fix typo (on display name)
197911dea1 [Automatic update for 2021-09-05]
61e1e69218 diameter: add 3GPP 29.234 V11.2.0 (2013-06)
3403e37d47 gitlab-ci: Add artifact for check hf conflict
03a07e4f1b fix two display issues with remote interfaces window
86d5606be3 IEEE 802.15.4: Add PAN ID when flag is set
8ef6f04f5a Qt: Debounce Preferences -> Advanced menu : Avoid leaking memory
eb83421c96 NSIS: expand title area for long program names that wrap
fb02f423b1 Some spelling fixes
436eab0d77 SparkplugB: Fix handling of malformed message
738670df7e woww: Fix conflict
571c0c9580 ORAN FH CUS: Fix section 6 summary
b4ef378e5e BGP: Fix BGP-LS TLV offset of IGP TE Metric (RFC8571)
57376bdf3e RTCP: Fix padding dissection in transport feedback
00438ef755 RTPS: Fixed structure alignment when dissecting user data samples.
dde6fde173 Vector BLF: add WLAN interface name
bf1039a529 Vector BLF: WLAN frame supported
358df6c80d dot11decrypt_util: Enhance Documentation
746585fe70 dot11decrypt_util (crypt): Fix -Wdocumentation Warning
7083e70842 Remove an out-of-date comment.
92fb6a72f8 UDP: Add long help text for length field
8684ba27a2 DVB-S2: fix build issues [-Werror=maybe-uninitialized]
5c46e0eac3 btle: Add support for CTE Info field in Data Physical Channel PDUs
994bf73f46 IEEE 1722 AVTP: Fix name
1f4e150ca7 gitlab-ci (Clang): Add Clang Analyzer ouput to artifacts
bbcedb667c clang-check(tools): exit when set illegal option
fb6aa10c12 ORAN FH CUS: avoid undefined shift in block fp decompress
2e9f33fe09 file_wrapper: fix compilation without LZ4.
2be72076f0 f5ethtrailer: greedy conversation filters
124f7ce798 ORAN FH CUS: Add C SectionType=6
e5e37add9a 802.11 Decrypt: Fix AAD Calculation when HT-Control present in a QoS Data Frame
cfc60b3f6e thrift(.h): Fix Warning about -Wdocumentation
062994e089 GSM MAP: Handle Version 1 of ResetArg
e998a4cc02 Clean up handling of buffer size/offset/etc. types.
4091b31444 IEEE 1722/AVTP: Update Compressed Video Format
341a9d099c Fix build for debian and macOS
5844c469f0 Add support for ZSTD and LZ4 decompression
3f92ae9db9 IEEE1609dot2: fix missing import (BUGFIX)
348d356594 Packaging: Update the macOS notarization failure error message.
5893d3cd09 CMake: Fix tests.
43d2655f16 ieee1905: fix dissection of DPP messages
9cf6caee62 Thrift: Fix warning about unused variable.
875d607892 Aruba(IAP): Add IAP-635 (Norma)
4d1357eebe CMake: Get rid of WS_PROGRAM_PATH
b04165a57b DVB-S2: Only create composite if used
033068916d ITS: use custom value format for CPM elements
cdfab0d6e9 tvbuff: convert helper methods to pinfo->pool
61e66c37ab cmake: lemon: allow overriding lemon CC setting
49240e23b4 cmake: lemon: fix path to internal lemon tool
2dc8b74afc IEEE1609dot2: fix psid-collective-perception-service value
3bd885d42e IEEE1609dot2: use custom formatters for better readability
16b1cdb23f IEEE1609dot2: use custom formatters for better readability
a728da1f28 NAS-5GS: fix dissection of port management information container IE
40685047a5 USBHID: Report Descriptor: Fix Push and Pop global item parsing.
8223405abc DVB-S2: allow dissection of DVB-S2 over RTP
d900777d68 KNX/IP: Handle multiple PDUs per TCP segment / UDP datagram
e0f7940d29 Fix broken release notes caused by !3048
981ec7f3c7 iwarp_mpa: fix iWarp MPA for NFS-over-RDMA
e446bbc3e7 ISO10681: Adding support for ISO10681 (FlexRay ISO TP)
030b06ba3c pcapng: write packet and Netflix custom blocks the same as other blocks.
510c088ce6 ngsniffer: fix a routine name.
b300c063c2 Add a code of conduct.
dcfa3ec835 ngsniffer: clean up the read process.
2c543f999b DoIP/ISO15765/UDS: Passing addresses to UDS to refine lookup
d3d4e4b135 Show error for `-X lua_script` if no Lua support
3efb3cab62 gsm_sim: Fix MANAGE CHANNEL
28dbab369d git: Add test cases
853d55b871 pcapng: declare offset to be volatile to fix build error on aarch64
40aebad079 IEC104: Added Counter integrrogation command qualifier dissection
3cb6403a4c wiretap: always allocate a block for a record.
eb2037fda4 NSIS: add ntar to AdditionalTasksPage screen
0ba0d4e779 USB HID: Fix Usage Maximum typo
64a76cca7f USB HID: Update to match HID Usage Tables version 1.22
eb2078e89e Thrift: make some functions static.
c8656a2dcb New dissector for EXOS internal capture extra header
ed9e958a2e nordic_ble: Update text for channel to include index
eda513d972 btle: Update text for channel to include index
23a3daefbf BTHCI: Add new Bluetooth v5.3 HCI commands/event dissection
1f0251a82d nordic_ble: Mark failure to decrypt reason as CRC error over MIC error
dc122d1404 [Automatic update for 2021-08-29]
7124525d24 epan: remove a few more uses of wmem_packet_scope
eaa2cf0c21 Cmake: misplaced quote in epub asciidoctor_opts
c2edb44a9a Qt: fix memory leaks found by Visual Leak Detector
bce7cbf529 lapd: clean up variable names, remove unnecessary initialization.
e9533a3f5d Qt: stop capture syntax worker thread on exit
dd8c23c83d pcapng: remove include of wtap_opttypes.h.
07416c01dc peektagged: set rec->block right after rec->rec_type.
5e2fb6c000 packet-frame: assorted cleanups.
266d707dff pcapng: whitespace and other cleanups.
10be4d1611 pcapng: fix handling of byte-swapped sysdig event blocks.
b428fa509d IEC104: Added Substituted / Not substituted dissection of CP56Time2a
68893e415c capture file: remove redundant API ref_time_packets()
9b132c2353 pcapng: fix output of comment and DNS server name options.
97b6610818 GitLab CI: Fix a command.
70e26d691e Some spelling fixes.
916dac3316 GitLab CI: Print package sizes and hashes.
f51b018f87 Version: 3.5.0 → 3.5.1.
5536ca319a wtap_opttypes: fix a typo.
e7296d5208 Packaging: Try to fix git-export-release.sh.
b7ff41703e Build: 3.5.0.
f997f28898 AMQP: Fix dissection of PDUs split across TCP segments
4b7bfe35c5 pcapng: process uint32 options like uint64 options.
0e3782831a SMB: Don't canonize filenames to ASCII for Export Objects
0ceaaad763 Isobus-VT: Fix description of auxiliary input status enable message
2468cfefe2 Isobus: Change email address
a21972d6b9 pcapng: remove some old code left behind by the previous change.
8acd0d1151 pcapng: export routines to do the option-section processing.
d4de52690f Thrift: Complete handling of Binary & Compact protocols
b17f354304 Add initial support for BBLog files
8c4543373a CMake: Use "'" instead of "’" in our guide filenames.
5fcd5f3b9f Release notes: Various updates.
fef6a490cc woww: Fix Dead Store (Found by Clang Analyzer)
7370516d21 USBLL: Reassemble transactions into transfers
da8e7086f6 gsm_sim: add decoding for GET IDENTITY and GET DATA
88657fd57e gtp: alternative GSN address decoders
28bc920e27 EPL: fix length detection of SDO 'read by index'
ea0f14a6fb cmake: add an "uninstall" target.
322ae5037a Signal PDU: Speed up dissection
c8d29e9f15 PROFINET: DCP Option dissection updated
1ab3711132 gryphon: explain in detail why we can't import tfs strings from libwireshark.
5e016c1970 GitLab CI: Fix a path (try 2).
f8fb504d74 GitLab CI: Publish our Windows PDBs.
3fbf6fa022 GitLab CI: Fix a path.
280085838b packet-extreme.c EDP Link TLV: Decode some flags
28c4c947c0 GitLab CI: Enable macOS Arm notarization.
f7755972c9 LDP: Display Generic label with DEC
1f28ac3ef5 DoQ: update to latest draft (-03)
f6e2cdcc54 HTTP3: Define dissect_http3_settings only if needed.
95f3f58e0d ISIS: Fix Flexible Algorithm issues
72eb858741 gitlab-ci: Fix daily API ref
ebb1d7ffaf gitlab-ci: Fix daily Clang Analysis
0d27b63747 FAQ: Add items about forms and contracts.
522414a091 ITS: use custom value format for DSRC element DeltaTime
09a993da39 NTLMSSP: Remove unnecessary condition in decryption
1e697fb7ff NTLMSSP: Allow empty NT passwords for decryption
697f28c1d3 RTPS: use proto_data instead of private_table
cbada6faf4 oampdu: Improve Queue object parsing
9311982664 plugins: convert to pinfo->pool
2ee06d3fef Qt: Add Turkey translation
8e2cd4f652 UI: Import profiles from ZIP supporting bigger files (Bugfix)
d884af52e9 F1AP: Make it possible to exort F1AP PDUs
a70c120a04 gryphon: get rid of unused variables.
75881ac914 WOWW: Add maps enum and strings
07da0d01ef WOWW: Rename _zone to _area and add strings
cf28565d4d WOWW: Fix class enum
41eeb05bd1 WOWW: Add case for messages without bodies
a9831231e7 WOWW: Add movement messages
bc440490c5 WOWW: Refactor parse_SMSG_CHAR_ENUM to take ptvcursor_t
d42ac7b4b5 check_tfs: we want os.path.commonprefix, not os.path.commonpath.
fbabba338c HTTP3: Add define value for HTTP3 Frame Type
f0fa2b333a HTTP3(Settings): Append settings with value
b0bd1c4c2a HTTP3(Settings): Support of GREASE frame
d8618462f5 HTTP3: Add Settings from QPACK (draft-ietf-quic-qpack-21)
b70fa0d4ad HTTP3: Add Settings dissection
9941c00a0f check_tfs: don't require plugins to use tfs.c true_false_strings.
1089bd47f8 RTPS: fixed expected size of fragment number set
7bd16e0dd9 MP2T: Fix packet length for short packets
e490f93072 wmem: don't check whether sizeof(type) is <= 0.
d2979e1976 GitLab CI: Initial macOS Arm build.
c52c50b944 CMake: Switch GLib back to PUBLIC.
3d7729c6b3 tools: use glib version 2.68.4 on MacOS
5e59ffd12d [build] fix warnings for unused variables
ed2d004181 RTPS: Fixed UDPv4 WAN locator port encoding and always dissecting of all fields
678541878c h248: convert to pinfo->pool
e8f967f162 asn1: convert more dissectors to pinfo->pool
28ab4bed8e PFCP: added missing PFCP Session Change Info IE
51327a330b JSON: adding more 3GPP EPS IEs
f7d05a0d0f pdcp-lte: stub out calculate_digest() if we don't support any crypto.
e3d93143c8 btmesh: don't provide stub custom field formatting routines.
405db40992 [Automatic update for 2021-08-22]
0091a83e31 BLF: adding Interface blocks (bugfix)
5de353f324 BLF: WTAP_BLOCK_PACKET should have been MULTIPLE_BLOCKS_SUPPORTED
36793d1298 ORAN: Fix width of TRX weight pair in ext11.
febd96affd PFCP: Fix a conflict in ie_type value_string
381e2a35f9 ORAN FH CUS: Fix inclusion of C section 5 fields
030a80f8a9 RTPS: Added dissection of submessage DATA_FRAG_SESSION.
3d67141ca2 RADIUS: correction of 3GPP AVPs
d3b016a365 Remove trailing colons from item label names
d3392ffb55 BLF: Fixing Typo to fix FlexRay Status 2
0ace04ae7a Signal PDU: Adding LIN PDUs to info col (Bugfix)
514281f9a7 TECMP: RTR is only CAN (BUGFIX!)
2883fb22e9 ISO15765: Adding support for AUTOSAR TP frame formats
bf5843b646 file: fix constness in declaration.
21c222a66e ORAN FH CUS: Fix dissection of UEId field.
ee0dc72084 file_packet_provider: fix constness in declaration.
82b1092fe9 ORAN: Decompress block floating point numbers (used in ext11).
8bcd077eb0 kerberos: add missing parameter.
4de9f6ef83 Fix some issues with Exported PDUs.
dd161ade12 RTP Player: Fix of resampling for visual waveform
2c556a0e90 Infiniband: display the NAK error code
c6717dc6b3 text_import.c: get EXP_PDU_TAG_PROTO_NAME from the header.
097656e805 androiddump: get the WIRESHARK_UPPER_PDU tags from the header.
4fc200ce51 UDPCP: Set length of Packet Transfer Options subfree
e20e6e30d7 LPPe: upgrade dissector to OMA-TS-LPPe-V1_0-20200630-D
79e82c3018 OSPF: Add Flexible Algorithm (draft-ietf-lsr-flex-algo-17)
78b4835bc5 ORAN FH CUS: For Ext12, create subtree for value pairs
927690e883 Fix some docbook spellings.
9d8f38e600 ORAN : add extension type 12
4e80643cc0 Move LINKTYPE_WIRESHARK_UPPER_PDU definitions to a separate header.
ebf5da61c6 gsm_sim: Show status in info column when response only
1807d3874a coap: Do not handle Accept as Content-Format
487445c596 MySQL: Fix COM_QUERY response dissector when CLIENT_DEPRECATE_EOF is set
d679564d7b Use the wsutil/pint.h functions to fill in "exported PDU" headers.
1b54c40a5b jpeg: don't free something allocated from a wmem pool.
eda26f9e5f wmem: convert more asn1 dissectors to pinfo->pool
042001fb55 Added heuristics to ICMP and ICMPv6 dissectors to decode the payload.
a104403dad Added HiPerConTracer dissector.
595a5a1c9d gsm_a_rr: add NRI decoding when pool is used
6672f1eb2b Updated release notes
af059913b3 RTP Analysis: CSV export has header line
e5062a2249 MySQL: Fix EOF packet dissector when CLIENT_DEPRECATE_EOF is set
a2b17d3dbe X11: Handle GenericEvents longer than 32 bytes.
f5dc703259 MPTCP: Add support for MP_CAPABLE C Flag
2683508b38 Windows: Upgrade c-ares to 1.17.2.
2fadbe7c28 [Automatic update for 2021-08-15]
545eab808e Fix some item label names with unbalanced parens/braces/brackets
cd899ce8d1 LWAPP: Fix a preference description.
8c811459b3 CIP Motion: Parse more bits in Act/Cmd Data Sets
b77f028b29 PFCP: Fix Enterprise IE generic decoding offsets
5b9c0fde98 WebSocket: Add support for "x-webkit-deflate-frame" frame compression
5f3278c8d5 ieee80211: Add dissector for the Non-Inheritance IE Extension
b75107c77f Bluetooth: Fix clock accuracy field offset in sync info
1b61474d9d CMake: include CheckFunctionExists in FindKERBEROS.cmake
3c5168c874 editcap doc: Fix description of split output file names
158810c713 editcap: if -T was specified, change the linktype of all interfaces.
6e12643f19 [#17478] free blocks in more places
4aee405974 etw: use PACK_FLAGS_DIRECTION() to extract the direction from the flags.
410cfdd7da [Automatic update for 2021-08-09]
c0faa8f1da Some more dissector spellings.
03c3c9a056 check_typed_item_calls: Add some ptvcursor_add...() calls
21eb235d15 ORAN FH CUS: Fix ext11 with disableBFs for orphaned PRBs
54d47868b8 ISO15765: Cleanup and Bugfix
aaf79b62d7 F1AP stats
272ed7a05a trailing whitespace
389e19f593 trail whitespace
7c27bce458 format the code
eadcd5f080 add  profidrive
611013f98b captype docs: Fix name references
74c00f4c2f CIP Safety: Update CRC S5 Logic
a030a70bde CAN: Add support for multiple CANs in a trace (bus ID)
c2d7ed28af ORAN FH CUS: Fix a couple of issues
edaa5a3b55 packet-extreme.c: EDP type 0x15 is (physical) Linkinfo
9a35314d79 Generate a valid source file, with a newline at the end
02adaa1385 NSH: Add NSH Next Protocol value None
7a584511f1 Fix compilation without optional libraries.
5cd9646e72 Fixed incorrect calculating hash from quic_cid_t
6b990690e8 ISO15765: Adding first support for FlexRay TP
9f54ae73f1 NAS 5GS: D.6.3 UE policy section management result
008536ae74 pfcp: Update to 3GPP TS 29.244 V17.1.0
3c24694048 CIP: Match Connection ID from different fields
b017db229b RADIUS: update dictionary 3GPP with new 5G AVPs
dead9f13e9 wiretap: Fix some BLF warnings.
f27c98ad2b BLF: Cleanup and fix for start time
85586f4b43 Fix header documentation and style
a6e0482a6f Docs: Give the PDF and EPUB guides descriptive filenames.
28b65f9409 EPUB: Replace cover pages
8f901b0b79 EPUB: Add cover page and some document meta data
282179b643 GitLab CI: Make sure Linux builds run under Docker.
74424dddfc btmesh: Add dissectors of scheduler and time opcodes
2132c7619d pfcp: Update to 3GPP TS 29.244 V17.0.0
73a4ada071 A few documentation spelling fixes.
53d28ef199 oampdu: Fix and improve queue object parsing
fd65bdaef8 Make a couple of dissector variables static.
ef7fc86f53 [Automatic update for 2021-08-01]
9c030f7680 ORAN: take care not to divide by numBundPrb when 0.
aac942e44b LIN: Add support for bus specific dissectors
6d02f1dcf9 Check scripts: split issues into errors and warnings
52128bcca6 .mailmap: Update email after
c49a652eb9 pfcp: Update to 3GPP TS 29.244 V16.8.0
22b580b946 pfcp: Update to 3GPP TS 29.244 V16.7.0
a0a9d41d13 ASTERIX: Fix value of hf_010_500
cc84bebcdc macos-setup: add the deployment flags when configuring with Meson.
856c4f3af6 macos-setup: generate a .pc file for libffi if we have it.
3f9b0e36ea ENIP: Updates from latest spec
4cdd4a13e0 DoIP: Add a name field for each address field
b58edf3cb8 Docs: Add epub targets for the guides.
d886837df9 pref_models(Qt/model): Fix Dead Store (Found by Clang Analyzer)
a3f9c6bc45 erf: Fix Dead Store (found by Clang Anlyzer)
17f474406a nstime: Fix Dead Store (found by Clang Analyzer)
7e7ef43b04 Release notes: Add an item about GSoD 2020.
3b28d5219f Fix some copy-paste filter names.
c8e17d7835 macos-setup: cleanups.
2fd29240c8 macos-setup: test whether /usr/bin/python3 works, not python3 in general.
cc34e1c406 macos-setup: install and use Meson+Ninja to build newer versions of GLib.
c263b0a13e macos-setup: if Xcode provides Python 3, use it.
0693674494 wslog: Add function to log directly without filtering
7b845e7194 wsutil: rename bytestring_to_str() -> bytes_to_str_punct()
177e5cda1f wsutil: Clean up unit test namespaces
f0b02dd0ff wsutil: Add max length argument to bytes_to_str()
1ff6cc7b27 wsutil: Add some tests for bytes_to_str()
c3bd5c9d91 Move bytes_to_str() to wsutil
d34d1a1e13 More fussing with masks.
0b8acdaf68 Fixed trailing whitespaces
0f3731449a Updated support to RFC 8664. SR-PCE CAPABILITY Sub-TLV has been added. SR-ERO subobject updated to RFC version: change ST to NT and, NAI of type NT=6 decoding added, updated flag values to official IANA values. Updated errors of Type 10 according to IANA assigned values and numbers.
34ee3cbc48 Change some `wmem_packet_scope()` to `pinfo->pool`
0983eb2456 wslog: Avoid macro duplication
62c7734e64 Debian: Fixup our symbols.
1c210185c3 ORAN FS CUS: Add section ext 11
ab1b496194 ITS: use custom value format for DSRC elements Angle and Heading
fa1f76a83f rtpdump: Fix usec value in header
9b69d05c2f RTPS: UDPv4 Wan locator bitfied not dissected properly
a1e05d09c6 CIP: Updates to match current specification
6e8c7283d6 Change some `wmem_packet_scope()` to `pinfo->pool`
6d8bfc146d WOWW: Refactor SMSG_CHAR_ENUM to use ptvcursor
7e9e2dac0f WOWW: Convert body fields to use `ptvcursor`
f864dd7e9d WOWW: Use dots in abbreviations instead of underscores
8fbf781a7f WOWW: Make abbreviations fit variable names
1a2169acf5 WOWW: Add CMSG_CHAR_CREATE fields
22694dffeb WOWW: Add CMSG_CHAR_RENAME field
eafb670ee1 WOWW: Add fields for SMSG_NAME_QUERY_RESPONSE
1fe0f6d2e0 WOWW: Add fields that only require result
d2af1dee46 WOWW: Add CMSG_PING and SMSG_PONG fields
159eaaa37a WOWW: Add SMSG_TUTORIAL_FLAGS fields
706f940ca8 WOWW: Add fields that only require GUID
e31baaf99b WOWW: Add SMSG_LOGIN_VERIFY_WORLD fields
08ceeec81e WOWW: Fix multi message PDUs using incorrect data
44ce2d5173 WOWW: Add CMSG_PLAYER_LOGIN fields
aa650610b4 WOWW: Add equipment values to SMSG_CHAR_ENUM
a5bdac52a1 WOWW: Add pet family and first login to SMSG_CHAR_ENUM
9ea1b8f9ea WOWW: Add guild id and flags to SMSG_CHAR_ENUM
4c232104aa WOWW: Add character positions to SMSG_CHAR_ENUM
d9f6c1e59e WOWW: Add map and zone to SMSG_CHAR_ENUM
49c5045728 WOWW: Add level to SMSG_CHAR_ENUM
fccca6ee7b WOWW: Add character looks to SMSG_CHAR_ENUM
b1e1d0b755 WOWW: Add class and gender to SMSG_CHAR_ENUM
6294bf5600 WOWW: Add character race to SMSG_CHAR_ENUM
3fd67e6a0f WOWW: Add initial fields of SMSG_CHAR_ENUM
db8db29e0c WOWW: Add SMSG_AUTH_RESPONSE fields
9663f6fcf3 WOWW: Add CMSG_AUTH_SESSION fields
2252f76075 WOWW: Add SMSG_AUTH_CHALLENGE field body
afb1aff845 RakNet: Fix address bytes highlighting
a9c6e34958 NFAPI: Fix some spellings
c4d3716ce8 macos-setup: install the current version of Ninja.
d09fb571fe asn1: convert most dissectors to pinfo->pool
e69446aa55 asn1: convert most dissectors to pinfo->pool
3467b98eb7 CMake: Make LTO default off, restrict to release build
925e01b23f Remove duplicate format_size() function
133b0c583f Move epan/wmem/wmem_scopes.h to epan/
7f9c1f5f92 Move wmem to wsutil
8310665ae7 Normalize some dissector includes
6a619212c3 Resync ASN.1 dissector sources
a7b5eec265 check_typed_item_calls.py: check add_bitmask() functions
92f49886cc dumpcap: clean up capture device open errors.
94d7b7846c GitLab CI: Add a retry to the Windows builds.
436a9fabcb btatt: fix reported dissector bug.
cb98aa3730 nettrace 3GPP 32.423: move the name related code together.
6ab67e2aa6 wslog: Minor fixes and cleanups
49ca5fa8ab libwiretap: Avoid using uninit variable
120b4c7e78 [Automatic update for 2021-07-25]
a975ef7203 check_typed_item_calls.py: Add a check for all-zeroes mask
c8fa2c461f WOWW: Make undecryptable server messages stop decryption
3ed1fb4ab5 WOWW: Make additional messages appear under the proto subtree
c27ec08229 WOWW: Add ability to decrypt multiple messages in PDU
5331468770 WOWW: Make headers need decryption tree into map
a8aebb8947 WOWW: Change decrypted headers tree to map
5b69cae53d WOWW: Add type for decrypted header
d5f7f80d7b WOWW: Make tree only take the data that belongs to it
022b4f857f WOWW: Move tree building of headers into seperate function
4473fe487f WOWW: Move adding of tree items to be closer to tree logic
bb6fcfdedb WOWW: Fix allocs with hardcoded values
db24903e4a WOWW: Refactor decryption logic
26bec7e580 WOWW: Refactor header decryption logic slightly
6fdcb8f453 Fix duplicated preposition
c0ae696253 CMake: Remove some unused definitions
8fa1a58e60 DoIP: Add better check of length field
e9843baf6c CMS: Correct RFC 4108 Attributes
1be58f3644 CIP Motion: Match spec data naming
e2bcdd331a ieee80211: Fix the handling of Ranging NDP Announcements.
b5a442a979 rpcap: add support for IPv6 addresses in findalldevs replies.
05e7c6ac59 mp4: handle missing timescale
67d37da79a CMake: fix macOS build when both Qt5 and Qt6 are installed again
8bb7c1933d RADIUS: Update h3c dicto
a39f31318b eCPRI: don't show UINT32 type of 4-byte hdr subtree.
5c8ec13dfc MKA: Don't just pretend to dissect version 3, implement the addition
8ee8808876 First pass pinfo->pool conversion, part 2
9ed273e5da JSON: correction of 3gpp ueEpsPdnConnection
c9a7b4f8ba Add some comments and long text to eCPRI dissector.
75f53899a9 GTPv2: Add dissect of EN-DC SON Configuration IE in F-Container
539ad8a91b CMake: Remove unneeded GLIB2_LIBRARIES.
e8a8fab18c text_import: create a wtap_block_t before calling wtap_block_add_...option.
d6d7dd1e56 First pass pinfo->pool conversion
ef542759d0 text_import: only add the packet flags if we have them.
bb25eca4eb WOWW: Rename 'index' variables to 'idx'
9161ba62eb WOWW: Remove template comments
2c8d57db61 WOWW: Make saved original values use struct
cade03373e WOWW: Update documentation
b9a6268819 WOWW: Add better support out of order parsing
3f4ac5539b WOWW: Move header decryption into separate function
e37f6599b0 WOWW: Remove and move declarations
57f32d974e WOWW: Add all remaining opcodes for 1.12.x
9e767608f7 WOWW: Make session key deduction work
92e62a74fd WOWW: Add working decryption
e1b3796419 WOWW: Add protocol
894b1eec6a WOW: Make username and realm names display as UTF-8
5e9ab5c579 CMake: add GCRYPT to sdjournal_LIBS
57fcadf5af wimax: fix field abbrev
dc7089e831 Carry drop count/packet ID/queue ID as options on packet block
c7ed8aa3ee Remove unused variables in sharkd_session.c
9d50e6e199 CMake: Don't define NEED_STRPTIME.
50da270b8a BLF: Fix Win32 compilation issues.
1f12e1d267 json: fix buffer overflow in string_unescape()
96c29704c8 [Automatic update for 2021-07-18]
f54493278f Delete various unused fields
490017ea7f XML: don't try to hide the UTF-8 Byte Order Mark
2051cadf99 can: Optimized column info for better readability
c64a9bbde7 erf: make a copy of the first SHB comment.
27c72d1edc LIN: Fix ID parsing (bugfix)
73bb25bbc9 BLF: fix clang warnings
c22846d898 ISO15765: Add support for the new CAN API
4742371c97 oampdu: Add Network port declaration and it's parsing to GetRequest packets
4cb4217dfd TECMP: Adding a filter for Channel ID names
e0055d0698 Signal-PDU: Add support for the new CAN API
6cb4f17828 NSIS: Add DPI awareness
102a952533 CAN: Adding support for more specific tables (2)
fba16c88f4 JUNIPER: Set proper item length for protocol layer
796819c955 BLF: Support for BLF file format
feea07528a docbook: Fix our admon image widths.
a2718d0d22 CMake: Remove no-longer-used checks.
f58850d207 tcp: switch packet_scope to pinfo->pool
96c0700c62 wireshark(HEAD): oampdu: Fix: do not stop GetReq packet parsing for Object 0
458d870a66 ORAN FH CUS: Fix C-Section dissection.
0822e8b3e5 tshark: fix the checks for --capture-comment.
2a1ebd1e91 can: more specific dissector tables for CAN IDs and extended IDs
34ef2066e5 CMake: Don't bother checking for fcntl.h or floorl.
cbed7130de DoIP: Add TLS handover for encrypted communication
0a9ef601d2 Clean up handling of --capture-comment.
94ac641efa packet-kerberos: implement PAC Ticket checksum verification
8cd877fc4d packet-kerberos: always get the true length from decrypt_krb5_data_asn1()
9b78a42855 CMake: Fixup qtui's includes.
f6872b0c3e GitLab CI: Produce less test output.
0ea7692ec4 sv: fix typo ConfRef => ConfRev
8834b470d0 CMake: Fixup SpanDSP's TIFF includes.
1f9f287fba ISO15765: Make a function static.
560f271d27 ISIS-LSP: Fix spelling of "algorithm"
dfef4a750d Rename LONGOPT_NUM_CAP_COMMENT to LONGOPT_CAPTURE_COMMENT.
95dc4f52bc LIN: Adding support for LIN dissection
cc36b74139 pcapng: shuffle functions that process various option types.
7b0c4950a5 wiretap: clean up option definitions a bit.
b531a6aa61 WSUG: rpcapd not included with npcap
0c6d1216fe Rework how comments show in edit menu
67b54e8b66 tshark: allow --capture-comment when reading a file
ff60fcf92d CMake: Adjust wsutil includes and linking.
9ae60d8483 GitLab CI: Don't print a performance summary on Windows.
23f19e4a5d wiretap: iptrace/Sniffer/Peek classic always have packet flags.
9c344b207d CMake: Fix nullability warnings for the version_info target.
a7d927a9e9 prefs_register_protocol_obsolete protocols with only obsolete prefs
175d75aa03 MySQL: Add support for session track gitds & transaction info
eb2015a373 DCT2000: Support a format for MAC-NR PDUs inside comment lines
893ec461f2 ieee80211: Correctly handle trigger frames when there is no padding.
e8ceb9964c DoIP: Adding name resolution for Diagnostic Addresses (UAT)
b82ef729aa TECMP: Adding name resolution for Channel IDs
20785aed78 ISIS: Add Flexible Algorithm (draft-ietf-lsr-flex-algo-16)
1d590a8c4d ppcap: Remove unused preference code
3413daad58 Multipart: Add option to uncompress data
f9037e6537 packet-dlm3: update dissector for version 3.2
456c74cb1f packet-dlm3: dissect pdus for tcp case
69fb2a17e4 lua: dialog with prefilled values
054868cb0e oampdu: Fix DPoE get request parsing
fa9ee0f37a pcapng: process OPT_COMMENT in pcapng_process_options().
4e5c892402 [Automatic update for 2021-07-11]
077b787413 etwdump: Fixup our rec struct syntax.
06ed6930dc Carry EPB flags as an option on the packet block
86e2fda11e check_typed_item_calls: fix typo
030d659f88 More mask checks and some fixes.
89acb935bc wsutil: Start adding a test suite
396d560744 wsutil: Revert some changes to format_size()
c4731738fc sharkd: various cleanups.
379352ef7f CMake: Remove a duplicate target include directory.
afdfa9c469 wmem: Add assertion macro with WS_DISABLE_ASSERT
2dee8a3a29 wmem: Remove dependency on wsutil
6498f1fce5 wslog: Fix representation of null domain
d48c7e9305 make-version.pl: Remove duplicate "-f" option
ffcfc83ecb Rename version.h to be more descriptive
e81a400edb wmem: Use quotes for an internal include
de59975fc1 wslog: fixup copyright
cb61645941 wslog: Fix comment
ba0d6f69ab RSL: Fix mask of eMLPP Priority field.
9e5d051a8a check_typed_item_calls.py  Some more mask checks
95bee83fbc editcap: clean up some comments for consistency.
9e29ec0940 RADIUS: replace ULI decoder with version from GTPv2
831f6233ad Change "edited" to "modified" in one more place when referring to blocks.
53f31f100f nordic_ble: Fix packet times for multiple interfaces
dd5907d2a3 Consistently refer to blocks that have been modified as "modified".
6dfa2cb0ae Win32: Fix a string length check.
73087d6fb4 Use wtap_blocks for packet comments
20f38c06ea LPP: upgrade dissector to v16.5.0
204642089a NR RRC: upgrade dissector to v16.5.0
4992806dba GTPv2: fix decoding of (extended) eNodeB id
ce9b01f059 LTE RRC: upgrade dissector to v16.5.0
1c3739c360 NGAP: fix dissection of gNB/ng-eNB transparent container
c2d77d910d QUIC: improve "Follow QUIC Stream" support
a6932f56dc wmem: add a GCompareFunc implementation to compare unsigned integer 64 bits long
8dc1660ef8 Fix compiler warning in packet-json.c
f9db3ef394 ORAN FH CUS: Fix some field widths
3dd7ba03fa tools/check_typed_item_calls.py: Add extra mask checks
8a630ad6d0 json: improved path based filtering
43077b96e8 Fix a few dissector spelling errors.
d3f8754874 Win32: Fix a couple of Coverity warnings.
06e7426efb ORAN FS CUS: Factor out a couple of common functions
41deb9dd9b Improved PIM dissector with capability to parse multiple TLVs and additional attribute types
2270056073 Revert "Wirehark Windows: Harden build with Shadow Stack and EHCONT metadata"
14f6769280 Diameter:Update some AVPs and enums.
c5f52508e1 Voip calls: avoid leaking seq analysis item
9f8e6b1acb tshark/wireshark: Fix check ring buffer option for packets
d170dff7eb [Automatic update for 2021-07-04]
100876337a Move version_info.[ch] to ui/
47d2afd990 sharkd: Prefer version_info.h instead of version.h
3a3fda2ca4 epan: Remove dependency on version_info object library
aa5df68171 NR RRC: fix dissection of MeasTriggerQuantityOffset element
f54efc5608 TECMP: Making IDs for CAN, FlexRay, LIN HEX_DEC
30058542e9 ASTERIX: Fix Data Item 010/091
9512524ef8 ORAN FH CUS: Fix/update existing supported section extensions
79f62acbe7 ASTERIX: Fix Value of hf_010_202_VY from VX to VY
8f69254638 E1AP: upgrade dissector to v16.6.0
5f8a932338 kerberos: fix compilation without kerberos
498f5bf7d1 F1AP: upgrade dissector to v16.6.0
95bc8cf328 XnAP: upgrade dissector to v16.6.0
e1b31629d7 NGAP: upgrade dissector to v16.6.0
6dcb6568ff S1AP: upgrade dissector to v16.6.0
b403255234 X2AP: upgrade dissector to v16.6.0
80c57b3d0b Kerberos: add basic dissection of PAC_TICKET_CHECKSUM
0bc39aa2eb Win32: Compile ui/win32 as C++.
cc2f5825df Signal PDU: Adding config option to unhide raw values
d8ee53e078 OSPF: Fixed SRLB and SRMS Preference TLV types (rfc8665)
71882f8304 Signal PDU: UAT checks and descriptions
ac49b5aff3 TLS: improve support for "delegated_credentials" extension
180063997f Signal PDU: Adding hex display for raw uint values
1ca1473de8 DNP3: Add Octet string length to item text
b8a489e2e3 ORAN FH CUS: Special meaning of numPrbu
d833f5c061 krb5: use all_keys to verify PAC server signature to allow U2U
5f596c1e82 wiretap: add the ZigBee secret types.
09746068a9 websocket: decode as for tcp port
481b0ee06c ospf: ensure a sub-tlv has a valid length before using it.
c0e70f67b3 tvbuff: add a DISSECTOR_ASSERT to tvb_bytes_to_str.
b4a5470497 MP2T: Make a var static
33cff8c95b wiretap: change some comments.
9255044653 Added {0, NULL} as last string. Values of types udated with IANA codes
67bf076189 PCEP: Implement dissection of ASSOC-Type-list TLV (Type 35)
5ba8139852 Radiotap: add 'data retries' field (bit number 17)
983306087c DVB-BB: Add the mode adaptation protocol even when L.1 (no bytes)
8226e09fac vss: no active preferences - use prefs_register_protocol_obsolete
3874621667 spnego: also interpret the mechList field
d9328a9839 packet-smb2: dissect the read response data with dissect_smb2_olb_*
38810b763b credssp: fully dissect TSRemoteGuardCreds struct
70d69d5f91 wiretap: add WTAP_BLOCK_SYSDIG_EVENT block type for future use.
5b74c28dec LDAP: Refresh dissector from ASN.1
1fe2b52eb4 ORAN FrontHaul CUS: Beginnings of section ext 11
d3ec582c26 PROFINET: Ensure multiple submodules are parsed
0eedab549e MP2T: Use the stream, not the addresses, for reassembly
c8ac8e7407 btmesh: Fix for crash in UAT CBs
5b248ac4d0 ldap: Add Active Directory OIDs
689ff5a3ad pcapng: centralize access to members of the wtap_optval_t union.
ef180c1be6 GitLab CI: Add a "merged" rule for dedicated runners.
06aa393df5 ASTERIX: Fix length of I010_042_X and I010_042_Y
1caa05116b docs: wireshark-filter - update man page
820faa1777 docs: wireshark-filter - update man page
4124986a9c wslog: Prefer more modern time APIs
1329081379 MP2T: fix might be clobbered by ‘longjmp’ or ‘vfork’ [-Werror=clobbered]
d2c91439df NAS-5GS: handle of n1SmInfo(From/To)Ue
c0dc9106dd pcapng: clean up some function names.
73e058032f pcapng: have more common code for writing options.
ad3e6b1be6 wireless timeline: add a destructor to free the hash table.
f6be02cd8d QUIC: explicitly show stream initiator and direction
ebb8703a50 Wirehark Windows: Harden build with Shadow Stack and EHCONT metadata
58ada8b529 NGAP: Catch dissection of containers that may be test data.
1c40f936e2 Using col_append_sep_fstr() instead of prepending "NetPerfMeter" label.
f4c48c5350 NetPerfMeter display improvement:
9728438929 nordic_ble: Update display name of nordic_ble dissector
32d97e2757 Qt: Follow: fix two memory leaks
8e256b7e69 Bugfix for S101 dissector:
b034473cb2 github: update windows action.
693a02e760 wireless_timeline: make sure the hash table is always allocated.
20491ae1d6 ESP: Free error string on UAT copy
c125236e57 wslog: don't assume how big struct timeval's tv_usec is.
1e04fb3001 ipsec: calculate and verified the AEAD ICV only if enabled
67dad02eb0 ipsec: fix alignment check for encrypted payload data
3fc5eb3f1f wslog: Replace g_date_time_format()
c1082bd99e wiretap: have the "for each option" routine return a success/fail indication.
695b4c5bee [Automatic update for 2021-06-27]
ae10f11212 wtap_opttypes: clean up comments.
9e6aa424f1 pcapng: have a common routine to write the "end of options" option.
fa21433c35 Windows: upgrade Npcap to 1.50
029a7fcec5 DNP: use the proper free function
ceedd7b334 wslog: Update API documentation and improve code formatting
c6a920686c wslog: Check environment initialization for errors
c2c256f0d8 wslog: Fatal messages should always be active
472eaf911b "config.h" need not and should not be included in any header
7aae691f7d wsutil: Rewrite ws_assert() to minimize dependencies
53704fb971 wsutil: Rewrite ws_log() to minimize dependencies
3fb7a6e0d5 checkAPIs: __func__ is now part of C99, allow it
11d4da9ef6 fpp: get rid of variable with a name that a C function once had.
6783ca027e Skip two protobuf dissector tests when LUA is not available
bbcd42be87 Snort config: Avoid leaks when fail to open config file.
72d331cfdc btle: Fix parsing of empty extendend advertising header
23d3e0bdde btle: Fix parsing of CTE Info field in extended advertising header
af57fb94ac DT2000: Fix buffer length in wiretap code
129046b518 wsutil: Fix incorrect header include
a7ef7ff40d CMake: clear stale MaxMindDB cache entries if needed
16d9f8948c MP2T: Conversation direction matters for analysis stats
3ce390a8f9 ipsec: display the encryption and authentication algorithm names
1d38a72db3 ipsec: implement ICV verification for AEAD ciphers
70a93118d6 ipsec: refactor the decryption and dissection of ESP packets
c5f1fbd1fc ipsec: rename some variables in the packet-ipsec.c
23ef47336c ipsec: add encryption types for AES-GCM with 8,12,16 octet ICV
18f6c8b058 MP2T: Only call fragment_get the first pass
0112c9b735 pdu_transport: dissector handles registered by name
cd05ec7232 wslog: Register log handler with GLib
f34cc62a6c Set the proper log domain for Qt
a370024ca9 wslog: Fix initialization with invalid environment
eb3417e38f wslog: Slight color and format change
a59501c0a3 ErlDP: Fixup some format strings.
752b0fc320 Debug: Lower priority to "noisy" for pipe spawn output
7bc3a5629e wslog: Fix crash using a custom log file
8ce5618c72 ErlDP: add support for fragmented distribution messages
6d9b0646d8 If opening a capture device provides a warning, show it.
cdd6f2ec80 CMake+docs: Use Asciidoctor.js if it's available.
701d0565c5 Qt: Undo MR 3422 (filter button separator hint)
1f0a16e472 pcapng: add support for custom options
c9f4bbc11c simple_dialog(Qt): Don't warn about zero duplicate messages
784b9f44a4 NAS 5GS: Use 5GSTAI MCC/MNC fields
b2c90bcbee sharkd: fix implicit conversion warning
4609bc4ad5 CMake: Mark our plugin include directories PRIVATE.
c2bcb295ac twamp: Fix extra parenthese
1ad0721c8c twamp: Fix Dead Store found by Clang Analyzer
558a32ba86 dcerpc: Fix warning found by Clang Analyzer
f62138c0d5 Fix some includes.
2371d2722d RDP-drdynvc: Make a variable static
853c438b8e WSUG: Add a note about installing a JRE.
16f5269d54 sharkd: prevent a NULL pointer dereference (CID 1486264)
d317382464 sharkd: fix JSON boolean sanity check (CID 1486263)
fe92029dd4 Docs: Remove sgml.doc.template.
2080661e88 wslog: Documentation fixups
585ddc9283 wslog: Format and color amendments
64155132ea Fix null pointer
759bb234d0 wslog: Check if we are initialized and add missing inits
c216bb85e7 wslog: Reverse order for level priority
b23d2f8519 wslog: Cleanup the filter/match logic
3256e45b4e wslog: Critical and error are always active.
256f5f6e30 wslog: "Warning" can also be set as fatal
54baebad48 Lua: reconcile expert info groups; add PI_ASSUMPTION
a08a118d04 Qt: match Capture Options column header for snapshot length
c3b280df8f TCP: Introduce an alternative method for the in-flight calculation.
07e8e38d67 sharkd: fix compilation with gcc 11.0.1
3ea51dba87 NGAP: fix dissection of multiple NGAP messages in the same HTTP2 packet
6912666568 removed reference to wsutil/ws_printf.h
6472051771 solved code conflicts pre rebase
553e9e83d2 Lua: Add redissect_packets()
79bdde7c82 Qt: Filter button label syntax for groups - add hint
7dea683bf1 wslog: Shorten ws_log_message_is_active() name
628fe2549a mergecap: improve the example.
95e7c06d58 dot11decrypt: Cleanup debug log level usage
c0a734bdf4 tests: Remove duplicate test
72ea33ae20 epan: Change bytes_to_str() length argument to a size_t
ab37610f08 Change my email address
3d18e1d439 [Automatic update for 2021-06-20]
cf10c766d2 signal_pdu: dissector handles registered by name
798e45aaeb GitLab CI: Update to match recent PortableApps changes.
6495e7da99 Packaging: Add 64-bit PortableApps packages.
1fe3ed4940 erf: fix a comment to match reality.
98b72220f4 Remove uninteresting information from REPORT_DISSECTOR_BUG() etc. messages.
72b2cf6672 ws_assert: remove a stray semicolon at the end of an inline function.
8cf9791679 Replace some lingering references to g_log()
145ba2e071 Rename a variable that clashes with GLib
0e50979b3f Replace g_assert() with ws_assert()
b4eddd32c1 wslog: Set registered name earlier
dddb33e398 wslog: Be more obvious in the log that the domain is unset
39315979c6 pcap-common: set the time stamp precision correctly for LINKTYPE_ERF.
7f17d18012 wslog: Fix domain filtering
02cffb51a9 erf: handle errors in some routines more completely.
d69d1271f0 libpcap: don't generate a fake interface for LINKTYPE_ERF files.
d195847bb1 Prefs: Mark gui.packet_editor.enabled obsoleted
a6738d72a0 wslog: Add support for inverted debug matches
051a74378d wslog: Use NULL for empty/default domain
49ec11f5aa erf: set the tsprecision value of a newly-created IDB.
1a7041c742 WSDG: Lowercase our Chocolatey package IDs.
0ae9c3e8eb Docs: Remove the authors list from wireshark(1).
5eda4c0128 pcapng: update a comment to reflect the name cleanups.
9773b5a4a7 Just call the block type for custom blocks WTAP_BLOCK_CUSTOM.
6eb3703379 Make various names match the name of the systemd journal export block.
829082c191 OSPFv3: To decode ospfv3 authentication trailer header for DD packet.
81233baa6e Rename he_fragmentation_support to he_dynamic_fragmentation_support
0348198540 Remove amendment labels from HE Capabilities and HE Operation IEs names
daf7c2f580 ieee80211: Update HE Capabilities and Operation IEs
0a2cef452d Add missing header
fca78f9f1f Prefs: Remove packet_editor option
c5b3842639 wslog: Add more documentation
ff9acff6f2 Replace usage of GLogLevel flags everywhere
02e34357bc wslog: Add a noisy debug level
ac50926d6f wslog: Add a new log-debug option
01001485b9 wslog: Add a new log-fatal option
36c32de869 wslog: Add support for inverted domain matches
05ed76d4c0 wslog: Use plain format with "message" level
790bbbe16d Diameter: Add a few AVPs
686bd3ac94 WSDG: update/clarify naming conventions
55cfd76003 WSDG: update/clarify naming conventions
d2c3489d79 Revert "test"
af3a9d72d9 test
dd39d9b46a credssp: add basic dissection of TSRemoteGuardCreds
2c9d262ed1 pcapng: indentation cleanups.
8aceee774a pcapng: get rid of some now-redundant rounding up of the block length.
a16f65ab20 pcapng: have more common code for processing options.
ea38a1d419 pcapng: round up block lengths to a multiple of 4 in common code.
45cf1f8904 WSDG: define CRT; add UCRT
5852954828 ieee80211: Fix validation of subelements in the Multiple BSSID IE.
535315b7e1 WSDG: stale path and filename; correct typo in path name
dcc02b1003 dissectors: Replace g_log() with ws_log()
39df3ae3c0 Replace g_log() calls with ws_log()
4c4bb915c8 ITS: fix displaying of curvature unavailable value
e22b9733cf GTPv2: make dissect_diameter_3gpp_uli public for custom dissectors
6b0cfb703a netlink-route: Fix a couple of spellings
8176a16798 pcapng: fix indentation.
72193d037f NGAP: add more N2SmInfoType
25a254823f wsutil: add a header that defines some "round to power of 2" macros.
f541e5e769 MP2T: Catch exceptions thrown by reassembled fragments and continue
6c043d5c73 wslua_tvb: fix documentation for reported_length_remaining().
bd9ceaebef wslua: a tvbuff doesn't have an "actual length".
4fdf3f1038 ieee80211: Improve HE 6 GHz Capabilities IE dissector
2d9280089c GitLab CI: Add initial Windows package builds.
6771252f1b netlink: don't use -1 to mean "to end of packet".
e5ce3345db tvbuff: add tvb_ensure_reported_length_remaining().
2c6d897b58 wslog: Add ws_logv_full()
e37b2ae637 wslog: Remove unused macro
477e7f7300 wslog: Do not filter default domain
bec7b0c609 wslog: Fixup color support
ac4a0c056b wslog: Use g_date_time_format()
9be67f167f NAS 5GS: add support for more binary IEs
85df6d0273 Kerberos: Add support for MS-KILE Key List Request messages
01de470856 NVMe: fix for parsing data for logpage NVMeOF Discovery.
e43d26b39e rdp: many improvements and fixes
6ba703cba7 MVMe: append command names for commands, responses and transfers to Info column.
147e7dce04 Debian: Remove a symbol.
50d878b92a HTTP3: add very basic support for PRIORITY_UPDATE frames
d92a4bfd90 netlink-route: don't dissect attributes for legacy messages.
dd78347a7e capture: Lower priority for some status messages
41fd46310f wslog: Change log format to display everything
95396973e7 wslog: Add basic color support
69a217b95b wslog: Use buffered I/O
59eff63794 wslog: Rename default log level
42c6c4781f wslog: Add a diagnostic message.
b91801a870 wslog: Add a --log-file cmd line option
e86ac706ca wslog: Parse cmd line options in one pass
2d2cfa8d14 wslog: Make a variable static
9aa128c45d netlink-route: the padding is there, but not in the message length.
c36ebbafd4 FAQ: Update the "Where can I get help?" answer.
5ddc007023 wslog: Include pid in format
675c428dca wslog: Fix shadow variable
55f0fba85d wslog: Make error and critical levels not conditional
700d8e34db wslog: Rename environment vars to according to our conventions
b20c8a6029 wslog: Update test suite
5a662ba3fb wslog: Add support for domain filtering
82739fc4f5 wslog: Improve code modularity and efficiency
c025e793dd CMake: Remove -Wc++-compat
d9c150169d NVME: fix typo
8e099bb0c7 print.c: add length check to loop
30f3d72061 Added corresponding documentation for new statistics.
7ee68a7904 Added statistics for ScriptingServiceProtocol (SSP).
e204bb3205 Added statistics for PingPongProtocol.
74a3fac004 NVMeOF: rename fields to pass code validation.
5d35e28e45 NVMeOF: complete decoding of fabric commands.
c7e082c6de NVMe: use common block for decoding CQEs for fabric and IO commands.
8bc0924c25 NVMeOF fabric commands: simplify decoding code using field definitions.
45201049e0 NVMeOF fabric commands: switch TCP dissect to common NVMe code.
0b101d54da NVMeOF fabric commands: support offset in commands and completions dissectors.
d576719df4 NVMeOF: move handling of NVMeOF fabric commands, fabric completions and fabric command transfers to packet-nvme.c.
c47294197e NVMEoF: rename rdma fields names to nvmeof.
7874e01686 NVMeOF Connect command decoding fixes.
5e2a8f37f0 Avoid duplicating duplicated memory
9f18356888 netlink-route: handle the padding in legacy dump request messages.
10d0a8fd8a IPSEC: free error string
73256b3fb7 Remove lingering circuit API from stream.h
13e5cff6e8 [Automatic update for 2021-06-13]
76174b19b0 file-pcapng: correctly check whether there are any options in the block.
14b695d9b3 file-pcapng: report different "block length too short" conditions differently.
016f193111 pcapng: fix routine name.
5b4e814221 ieee80211: fixes Hotspot 2.0 Indication IE dissector
3663277f07 ieee80211: Fix RNR IE field names
5fc88c671a Strip comment lines before validating format
b86ec10ca4 CMake: Fixup our glibconfig.h discovery.
dc7f0b88bb Refactor our logging and extend the wslog API
c0f8812c31 Kerberos: fix compilation without HAVE_KERBEROS flag
5d053016c4 Remove a byte-order mark from two files.
bffb6c881a osmo_trx: add primary/shadow TRXDv2 PDU classification
70cea91c8a wsutil: argv[] is a NULL terminated array
1636feb822 PFCP: update 3GPP enterprise ID decoding after g9e8e4f3e
3c075bd11b NVMe RDMA CM decoding fixes
d8cc21397c DVB-S2-BB: Fix off by one error
b716e2f1a2 wifi-nan: Fix length for availability attribute
6357f46bc6 Windows: Update GLib to 2.66.4.
af2a88cd18 CMake: Reverse logic to handle debug code
1a702e5430 Try to avoid -Wunused with vanishing macros
e0d420ac48 Fix a resource leak by closing skf before return
ca42e4a9ad Wiretap: Fix a resource leak
391c4ef517 Remove unnecessary null check in diameter dissector
a948542b56 geographical-description: Fixes to the high accuracy dissection.
41f52f5715 GSM A-bis/OML: implement dissection of NM_ATT_INTERF_BOUND
e450911f43 GSM A-bis/OML: fix regression in dissect_oml_manuf()
1689c1c638 WOW: Add SPECIFY_BUILD support to realmlist
f5212ff5cb WOW: Add realmlist support for 2.4.3
5d6dcbcdd2 WOW: Add TBC support for logon proof server to client
3ab1ad6a45 WOW: Refactor parse_logon_proof into two functions
8d27c5617d TCP: Don't reassemble OoO segments when TCP SEQ Analysis is not enabled.
7132fcaeb0 PROFINET: DCP SET Block with 0 Block Length
d346ab21d6 Updated unit test with relative sequence numbers.
29f8579ac1 Pointer "ha" needs to be checked before using it.
927b9619e0 Minor clean-ups.
a91231f1a0 SCTP: Added option to show relative TSNs instead of absolute ones.
55511e61bb Qt: Protocol Hierarchy - protocol abbrev tooltip
bfd5e3f9aa Qt: Protocol Hierarchy - protocol abbrev tooltip
26210c1fe9 WSUG: README.Debian - update file: link; add online link
c8301ce979 DVB-S2-BB: Make compute_crc8 offset parameter a guint
07bc6e4399 krb5: fix PAC server signature verification in U2U
f94f22b7f8 krb5: add TGT-REQ/TGT-REP dissection per the U2U RFC draft
33a61d14b5 credssp: also decrypt TSRequest/pubKeyAuth blobs
81bed686da credssp: decrypt TSRequest/authInfo using the gssapi_wrap handler
fa1204c02c credssp: add support for gss-api and krb5 dissection
6f528e6cd7 credssp: update TSRequest asn1 struct with new optional fields
2764f53e20 credssp: fix dissect_credssp_heur() with modern clients (using version 6)
9147201351 credssp: fix dissection in RDP stream
5363626d5a rdp: add basic dissection of fastpath PDUs
3827f16d37 PTP: Make PTP dissector accessible for lua scripts
37f53ee543 file-pcapng: fix might be clobbered by ‘longjmp’ or ‘vfork’ [-Werror=clobbered]
8775e2c694 check_static.py: remove unused option
76a93df87c smb: Fix 32bit build
1bb3d761b8 epan: Change export_object_entry_t.payload_len to size_t
97e5b64f6f ieee80211_radio: Clarify Aggregate duration field description.
73eca0905d DVB-S2-BB: Two coverity flagged issues from !3239
307b669aa5 ieee80211: rename TBTT Information to Neighbor AP Information
17893e35c6 rtps-processed: remove unused else block
aa36919b4b rtps-virtual-transport: Add comment about type of variable
a65b879b04 rtps-virtual-transport: Fix unused variable
b65488b4be rtps-processed: Fix Dead Store found by Clang Analyzer
e520217ea5 rtps-virtual-transport: Fix Dead Store
586535bdb8 Add documentation for display filter raw string syntax
35f5c116ca GitLab CI: Don't clobber the Code Lines before_script.
e80e118f7a GitLab CI: Add more code line counters.
2c477efabd WSUG: Add section about regexes and the display filter
e931336a2d doc: Replace link to pcrepattern(3)
44a615e854 Qt: Give a directory to wsApp->setLastOpenDir()
8c79fa5e1b Qt: add display filter - invalid new filter syntax
7e9ac7a4fc GTPv2: Additional RRM Policy Index, add Index to IE tree.
68e360bf04 ui: Return length from ssl_export_sessions()
5dbaa8d3b2 wsutil: Add filesystem write_file_binary_mode()
6895f71574 WSUG: Fix reference to macro syntax
9e1be36071 version info: Clean clang version
e5cb4ddd87 Qt: Fix clang -Wmisleading-indentation
4ddae68508 pcapng: add support for custom blocks
4aff36d501 Replace g_assert() with ws_assert() in places
ef0f022f86 wslog: Add a comment
4e4bef09f9 wiretap: Remove some redundant debug information
c015257c9f wslog: Include function name in ws_debug() output format
abf3c0f2f9 Add some spelling words.
154b0aaad8 [Automatic update for 2021-06-06]
2b29269f5d tshark: Add option to export TLS session keys
577282f679 Fix null dereference in ipsec esp_sa_record_add_from_dissector
1718151a65 ieee80211: Prevent incorrect Ranging Trigger frames from causing problems.
b1eb5bc16f rdp: fixes and improvements in negotiation packets
174b994031 VLAN: Increase permitted number of tags in a packet
7179e1d1fb tcp: Fix dissection of DSACK
c5c25a9268 DVB-S2-BB: Add support for TS over BBFrame
783fa48ea6 Cosmetic change to compiler information
0fe551e5e7 dfilter: Disallow embedded NUL bytes in regular strings
85c257431f dfilter: Add support for raw strings
eaa4a7022b file-pcapng: redo the way we dissect the data in blocks.
deb6786ed4 file-pcapng: fix name of expert info.
42cb9643aa GTPv2: Update with new IEs from 3GPP TS 29.274 V17.1.1 (2021-03).
6bfab69d14 Windows: Switch from HTML Help to plain HTML.
6846271b76 btmesh: Enhanced messages reassembly
6e5081474e SCTP: Display basic TSN information with packets
256af1d2f0 added latest Zigbee manufacturer codes
e64bad71be Diameter: Update AVPs from 3GPP TS 29.272 V16.4.0
5202119239 ieee80211_radio: Use calculated bitrate if not supplied
d648f74550 exported PDU: Fix comment
2f5c0ffdb2 pcapng: set the length of the options item.
6542fd7ab2 802.11: move PV1 control and management frame information.
ea0e04d53d 802.11: clean up the handling of protocol versions.
4cf5cb704c ieee80211: prevent an infinite loop.
ebbea87b1f TLS: add basic support for ALPS (Application-Layer Protocol Settings) extension
4941c5bb6d rtps-vt: Fix sizeof(guint..) - replace with numeric value
7477431325 wiretap: un-export some routines.
162251176a ascend: set rec->rec_type.
26dd456e62 HTTP: fix typo in dissect_http_heur_tls()
ffc5522a35 Packaging: "Acorn RISC Machine" was a long time ago.
eb71853533 TLS: add decoding of grease versions
59de442abb MQTT: Revert subdissector call to not pass topic as data
a5df597b3d fixed typo
aed5c63e73 fixed whitespace issues
8e97359883 Added expert info to mark depreciated Zigbee ZDO commands and made dissection of ZDO responses with a status other than SUCCESS more lenient, i.e. dissect what is possible and avoid reporting malformed
a714805628 macOS: Name our .dmgs according to our architecture.
f4e18241b9 [Automatic update for 2021-05-30]
bf33998a30 Add missing space before ']'
49e9ddbd28 release notes: Indent some paragraphs.
e058d47734 RTP: fix RTP Player play failed when SDP not exist
a4b598d3d6 MQTT: Fix dissector call for payload
883f159c8b pcapng: fix some more WTAP_ERR_BAD_FILE err_info strings.
5827009e7a pcapng: remove a second colon from a debug message.
82dcb9196a wiretap: clean up WTAP_ERR_BAD_FILE error messages.
86b28f0d4b wiretap: improve code consistency in pcapng.c
0b93ef669a ui: add support for updating on macOS using arm
1e467963d4 IMAP: Fix resetting of tls state
ddab0457f0 FTP: Add initial support for TLS
642d1ca97d MKA: Stop warning for MKA v3
96aa5d9b68 macos-setup.sh: update sparkle
a72b60b58b GitLab CI: Add CMake sections in more places.
5107ece526 Bugfix: Added Analyze -> SCTP -> Filter this Association
08f1d27a9b Using G_GUINT64_FORMAT for printing DCCP sequence numbers.
8dc0e42721 DCCP: Added preferences setting for relative sequence numbers.
6928241b30 DCCP: Added support for displaying relative sequence numbers.
d7fb8c0bf7 Bugfix: Added Analyze -> Follow -> DCCP Stream again.
ce41dee302 Add Qt runtime version to about dialog
6f72d738de exported_pdu: Add a new TAG for p2p_dir
e1e2aaf91a Geographical description, correct the bitmask.
1dba58789d dfilter: Fix handling of escaped quotes in macros
8d60d8c4f2 NVMe: decode Set Fatures data transfers.
e75998cded NVMe: decode Set Fatures response (DWORD0) in CQE.
d5c1bd9d93 NVMe: refactor CQE decoding to decode all fields and decode comand status.
12ddec82bf NVMe: decode Set Features DWORD11 and DWORD12 for each feature.
f0b83585c1 NVMe: decode Set Features command.
6755309958 NVMe: refactor command parsing to always print DWORD10-DWORD15.
03921ac668 DCCP: Lookup of service code for DCCP Request and Response.
108b816fcc doip: make version hdr for ISO13400-2:2019 usable
fa89a8f673 ieee80211: Fix an infinite loop in the HE Trigger handling.
9dbe29e2ec Minor style change to libpcap version string
a889e8e04b macos-setup.sh: improve arm support
5f338e5f1b opus: fix dissector error for win32 build
dde67b0182 PCEP: Fixing PATH-SETUP-TYPE-CAPABILITY padding offset
7f63556627 opus: fix build error on MacOS for commit ecd1ab5b23
1513237d10 DVB-S2-BB: Add preference for default mode adaptation format
17f2fc32f7 tshark: Correct documentation about name resolution.
4bd80d551b WSDG: update link to artwork in master on gitlab
bb327af305 macossetup.sh: fix syntax
c1518877fa macossetup.sh: whitespace fix
99618b5b93 DVB-S2-BB: Verify EIP CRC
33c414a2c8 PCEP: Fixing SR-PCE-CAPABILITY flags offset
837fd40081 WOW: Move unused variable into function
7b73af34ce WOW: Remove unused variables
2e8027c645 WOW: Remove declarations and move functions above dissect_wow_pdu
09b0e09cb8 WOW: Fix whitespace change that was accidentally applied
bc1fd8e5c4 WOW: Rearrange header field variables and add comments
60c68534a5 Revert "WOW: Refactor logon challenge server to client packet into struct"
881a8f300f Revert "WOW: Refactor logon challenge server to client packet into struct"
1fb8a922e7 Revert "WOW: Refactor logon proof client to server packet into struct"
b8c5f8ab00 Revert "WOW: Refactor logon proof server to client packet into struct"
d457983c74 Revert "WOW: Refactor logon proof server to client packet into struct"
30ed82bb94 Revert "WOW: Refactor reconnect challenge server to client packet into struct"
b6ee285fd6 Revert "WOW: Refactor reconnect proof client to server packet into struct"
4688922527 Revert "WOW: Refactor realm list server to client packet into struct"
fc16a536d6 WOW: Refactor realm list server to client packet into struct
c920d63574 WOW: Refactor reconnect proof client to server packet into struct
4c11ba87e2 WOW: Refactor reconnect challenge server to client packet into struct
18213b94ca WOW: Refactor logon proof server to client packet into struct
3088ba6c9d WOW: Refactor logon proof server to client packet into struct
da306b47f9 WOW: Refactor logon proof client to server packet into struct
1f83adac27 WOW: Refactor logon challenge server to client packet into struct
612bab8295 WOW: Refactor logon challenge server to client packet into struct
7f7948c65a WOW: Move packet parsing logic into separate functions
7e2bc903cd Make some functions and vars static
cd865bb683 ieee80211: Fix the handling of Start of Padding in a User Info List.
5b0afb1722 GTP: set RoHC once when calling PDCP-NR
54546f228a Follow stream: Print YAML time more portably.
ecd1ab5b23 opus: improve dissection of opus
1b32a71f2b DVB-S2-BB: Fix GSE reassembly
9bd450f507 macos: Update Python
4371474cc3 ip: Reassemble across VLANs for publicly routable IPv4 addresses
11cd298ae8 ieee80211: Fix the handling of padding in Trigger frames and the FCS.
8cc61aa8cd ieee80211: The TRIGGER User Info List terminates with 0x0FFF not 0x?FFF.
3f1754d929 ieee80211: Make Trigger Frames conform to IEEE80211ax D7.0 and beyond.
9b13c4352d epan: Add SMI version
ea424f881f epan: Add c-ares version
d0717c151a epan: Add nghttp2 version
9ae2820ff3 epan: Remove some superfluous calls
0137c24d60 DVB-S2-BB: Prevent infinite loop
ab4a2aa0f2 epan: Add some minimum version checks
3248e2a759 Add E2AP ORAN 1.00 dissector
21a204643e prefs: Allow empty strings specified from the command line
2df04e5bb0 Follow stream: Modify YAML format, add timestamps and peers
48ba793ef6 erf: clean up handling the return value when getting and option value.
c00b062cb0 RANAP: Don't attempt to re-register heuristic dissectors
bc27fe8274 Release notes: Add new dissectors
88e792b376 NVMe: fix test build warnings.
232d3866af Allow wmem_strbuf_append_len() to append strings beginning with NUL byte
ca337f1c1d ieee80211: Fix the handling of the User Info List in Trigger Frames.
31297dbb82 ftype-protocol: Fix crash when comparing _ws.expert to literals
92269631a7 CMake: Disable LTO again by default
02f4dcb0ad GitLab CI: Enable ccache for fuzz builds.
6a772ab68c CMake: Rewrite preprocessor definitions again
dcaadf2535 ieee80211: Conform to Draft 3+ of 802.11az Location Services.
e8e2167e0f version_info: Reorder some items
63b9c8227c version_info: Add GLib version.
3100b9ac4d version_info: Move locale to the end.
f273c62553 CMake: Enable LTO/IPO support for all platforms
54e6b249c1 wiretap: change wtapng_mandatory_section_t to wtapng_section_mandatory_t.
96ed53bb68 GSM MAP:Use ENC_APN_STR
7f6c5d0137 k12: plug a memory leak.
297b6c5407 erf: set USERAPPL if we have the application version but not the name.
c4aa583d8e wsutil: Rename ws_assert_bounds()
d34ade4d9a CMake: Refactor DISABLE_ASSERT option
9ba97d12d6 Add ws_debug() and use it
de00cdd512 pcapng: Fix debug statements
976ccc9a00 netscaler: plug a memory leak.
1bb64b7e0c tacacs: free a buffer if it's not used.
618661b22e dnp: plug a memory leak.
d9a93acc93 PROFInet: Correct handling for multiple APIs
764d3d1be0 change info labels to match Zigbee spec for clarity
00c4056670 nvme: Fix Dead Store
30832dcdea addr_resolv: repopulate services table on profile switch
6b2dd3561e DVB-S2-BB: Make dissect_dvb_s2_gse() have the dissector_t signature
479c8a29eb [Automatic update for 2021-05-23]
81511a5f98 NVMe: fix parsing ANA Get LogPage response.
c73ab16bef OID handling: fix a memory leak.
64f3f08702 epl-profile-parser: plug a memory leak.
7aa828a986 RTP streams: plug memory leaks.
8ca86b29bf Plug another leak.
1502615794 Remove a duplicate unlink.
54508703b0 Plug a memory leak.
10f36f219c oran: clean up write_pdu_label_and_info().
66accecf3e dof: clean up adding the session key to the dissection.
c01456b77e VoIP Dialogs: Refactoring of singleton windows to factory methods
c22b857942 fuzzshark: close a leak.
f0abd29e48 protobuf: close another leak.
f1ffe7d421 protobuf: close a leak when file loading fails.
eb75366bc4 epan: redo the processing of ENC_APN_STR.
38bba32097 NAS 5GS: fix Non-3GPP NW policies IE dissection
f32cfe7ba3 Added documentation for new statistics.
43d976abd9 Added statistics for ComponentStatusProtocol.
1529b9199a Added statistics for FractalGeneratorProtocol.
cc8dd9b509 Added statistics for CalcAppProtocol.
9f895960c1 ERLDP: Fix the type of the handshake tag.
9b35d47758 ErlDP: decode handshake flags
9456a85022 NSIS: install all files in the protobuff directory.
3b71af71e1 DVB-S2-BB: Make dissect_dvb_s2_bb() have the dissector_t signature
dab7c74268 Reduced size of the ASAP and ENRP Statistics screenshots.
031d2e8a48 Updated documentation of the RSerPool statistics.
9d5633e215 Added bytes and byte rate to ASAP and ENRP statistics.
f5c05eedc5 Adding more than one protobuff file fails.
7816d49bb4 NGAP: fix dissection of UERadioCapability IE for NB-IoT UEs
31ca47eafc Use ENC_APN_STR in one more place.
f54221b579 DCT2000: allow for longer lines/PDUs
f7c6d2e9e5 btmesh: Add dissectors of some generic opcodes
754cce9531 Add ENC_APN_STR to handle APN strings
34ae07e180 ieee80211: reorder some ett rnr field
4228201eaa ieee80211: Enhance display when there is multiple TBTT Information
6d29f28557 ieee80211: Fix Multiple Neigbor AP Information on RNR
cee1b443b5 wsutil: Add ws_assert_bounds()
adfb0b99c2 wsutil: Avoid using g_abort()
cf0cb5819f Fixup ws_assert() macro
01144f9109 Fix a maybe-uninitialized warning with -O3 (gcc)
32cc1c7906 Remove use of PACKAGE_VERSION in maxminddb version
a1ba9453ef Add version info for lz4, zstd, maxmind
a1a2b53663 BACnet: BACnet revision 22 secure connect datalink implementation.
df508537be OER: check unused bit count while parsing bit string
e10f761362 wslua: Replace g_assert() with ws_assert()
1fe4638648 wmem: Replace g_assert() with ws_assert()
8eacd615c8 Disable assertions for release builds
1ad447aab9 NRPPA: Update to 3GPP TS 38.455 V16.3.0 (2021-04)
dd7639f64c packet-cip.c: Remove superfluous space in vendor name of cip_vendor_vals
6e95a0aa47 PortsModel: don't populate it by doing a lot of weird string-pushing.
389a899a18 QUIC: improve handling of unencrypted padding data
5eb6b85a7a sparkplug: fix crash.
8f8453bb12 spakplug: fix leak.
dda4a4f4c8 LCS-AP: Update to V16.2.0 (2020-12) - no code change
9d3069fe7d http: fix compilation without zlib and brotli.
157222a031 NGAP, XNaP, NAS_5GS: Add E212_GUAMI to MCC/MNC field choices
1767788e3c NAS EPS: use newly introduced E212_GUMMEI
c571e0a5d5 S1AP, X2AP: Add GUMMEI MNC/MCC fields
7c0c66b3cc Docs: Fix git hook ln command
e33147d573 [Automatic update for 2021-05-16]
0630631e88 HTTP: Disabled decompression is not an error
467f13f16c fix #17369 tshark json now handles mixed children
fb41f052bb Add Chinese GMTLSv1(1.1) protocol in tls dissector
1a7b9c28d3 Don't include wsutil/plugins.h in epan/epan.h - it's not necessary.
7ab95200c1 SBC-AP: Use specific MCC/MNC fields
2ab87f882d M2AP, M3AP: Use ECGI specific MCC/MNC fields
e020b44e7c XNAP: Use specific MCC/MNC fields
162cba438d Don't try to install qt5-default
7b2c0edb74 CMake: Remove a no-longer-needed workaround.
e693cd05b1 WOW: Change realm timezone to id
e10fc59720 WOW: Change realm color to category
ac1a9f1aed WOW: Add two factor fields for client proof packet
c0e2f60325 WOW: Add two factor fields for server challenge packet
ac8f95951e WOW: Reduce indentation in main parsing function
f6ad4812a2 Add SparkplugB dissector
2c62e2eb3f CMake: Set Qt autogen properties for Wireshark.
9a400118df UDS: Adding support for Routine ID and Data ID resolution
771872cc7e SOME/IP-SD: Adding support for parsing into the config string
d95b118fc5 AUTOSAR NM: Adding support for 64bit elements in user data
c4b32c8f46 ETWDUMP: Update to support live capture
40a988533f WOW: fix patch comparison in version_is_at_or_above()
ffb0723fb3 osmo_trx: add TRXDv2 PDU dissection support
1ac8da5971 osmo_trx: cosmetic: re-arrange TRXD related fields
bcf893a3dd osmo_trx: append PDU version string to the root tree item
859d1c74cc osmo_trx: dissect version-specific content in sub-trees
7d0fa4af18 osmo_trx: separate TRXDv0/v1 Tx burst dissection function
36d75a9682 osmo_trx: dissect_otrxd_common_hdr() is not common anymore
1e11273663 osmo_trx: let it warn us if there are unhandled tail octets
92a24506a0 osmo_trx: 'Unknown PDU version' is an error, not warning
8786ffb611 osmo_trx: refactor version specific handling of burst bits
06719b9c31 osmo_trx: dissect_otrxd_mts(): store dissection results
ed12e1bde1 osmo_trx: store essential PDU information in a structure
d7328d4e1e osmo_trx: return offset from dissect_otrxd_rx_hdr_*()
233c3a10d5 osmo_trx: add 'true_false_string' for NOPE.{ind,req}
d893ee2af4 osmo_trx: move MTS field dissector into a separate function
8adf9742c9 osmo_trx: update coding of the MTS field in TRXDv1
8ed012dc42 osmo_trx: add a macro for GMSK modulated burst length
6cf5ed263c osmo_trx: make the argument of format_rssi() const
8f827d3b99 osmo_trx: cosmetic: rename s/HDR version/PDU version/
1649babef4 RPCoRDMA: fix read chunk reassembly if reply chunk is present
507bc43777 Closing issue #17217
b33482f3f7 GEONW: minor format improvements
3cc090fc86 ErlDP: decode fun and new fun ext
9dcaa32a2a ErlDP: decode small and large big integers
4925447c51 ErlDP: decode float and new_float values
ec0ce7919d ErlDP: use proto_tree_add_item_ret_XXXX where sensible
f44ba07774 ErlDP: decode old message format
1fed3443af ErlDP: add decoding for BINARY_EXT
e673a9ba75 ErlDP: fix small int printout
719f5f971d tshark: fix a memory leak about display filter configuration
2f51b2352d HNBAP: Use specific MNC/MCC fields
0a0f090f74 X2AP: Use specific MCC/MNC fields
b77fc703ca mptcp: add support for the 'Subflow Reset' sub-option
b9e942930f maxmin_db: Fix a memory leak in maxmind_db_pop_response
5f8612e973 TCP: Ignore Spurious Retransmissions during reassembly
aee224d5a4 DRBD: disable heuristic dissector by default
caed4cce7d RANAP: Use RAI specific MNC/MCC fields
b66bcdfedf NGAP: Use specific MCC/MNC fields
26c3fd23a5 packet-wow: Replace fallthrough attribute with comment
39621579e8 packet-wow: Add error handling for packets
ceddf3cc77 packet-wow: Fix realmlist parsing
c496d62a34 packet-wow: Remove unneeded enum
1d998afb06 packet-wow: Add reconnection proof
84f785e5fc packet-wow: Add reconnect challenge packet
1366ea9f9d packet-wow: Add missing fields to proof packets
e34a72d392 packet-wow: Add missing fields to Challenge Packets
dacbfc4ae9 Tools: Try to exit more gracefully from fuzzing.
bc8bb0152e commview: add support for newer NCFX file format.
3fb0a46319 IEEE 802.11: correct name of FTM
a6dfdef9b5 PFCP: add dissector for Broadband Forum TR-459
9e8e4f3ed3 PFCP: rework Enterprise IE decoder to be reusable
40d2584b46 PFCP: update Travelping vendor IEs
3a62834f46 IEC104: Initialize a variable.
1701a2db5d S1AP: Use specific MCC/MNC fields
a106ba9d27 F1AP: Use specific MCC/MNC fields for NRCGI
02fc9ea059 SOME/IP: Cleanup formatting and fixed typos
2fe4f1af76 gtpv2: Use the correct name for Remaining Running Service Gap Timer
1d3a3491ec [Automatic update for 2021-05-09]
37e7f331c3 Clear final build warning (hopefully)
81ecbc0cb5 Clear build warnings
0ad284cbbc packet-iec104.c - Add IEC 60870-5-103 Protocol Dissection
0b8051db67 E1AP: Use specific MNC/MCC fields for NR-CGI
7f4c33d634 RANAP: Use specific MNC/MCC fields when applicable
7c1efdf712 SABP: Use SAI specific MCC/MNC fields
3994d52b82 NFS4: added dissector for fattr4.FS_Charset_Cap
71e6b0498a http: Add dissection of HTTP2-Settings
1dc5579366 WIP: SOME/IP: Adding support for WireType-Length-Value encoding
be3d6ed23c IEEE 802.11: indicate termination for FTM Response
9a31ed93c0 ITS: fix unused LongitudinalAccelerationValue_vals
f04c6d3b18 ITS: use custom formatters for better readability
9c6aef746a GitLab CI: Adjust the Documentation rules.
4266e1e9ba Tools: Show only filenames when fuzzing.
7c6df3848f GitLab CI: Give our jobs proper names.
bedf0eb21c GitLab CI: Restore the ability to run pipelines from the web UI.
ae37347103 GitLab CI: Simply our fuzz run times.
826e03c9f4 CMake: Apply AUTO{MOC,UIC,RCC} more selectively.
0c3db4c9fd GitLab CI: Install valgrind.
458bc93171 GitLab CI: Fix the fuzzing before and after scripts.
ca86d0ab38 GSM A-bis/OML: show Manufacturer ID in vendor-specific messages
7291d7f951 R09: use tvb_get_bcd_string()
016a95721a R09: add license
a84d08734b R09: new dissector for R09.x public transport priority telegrams
98673850a4 GTPv2: add dissection of Mapped UE Usage Type IE
607aeb5416 HTTP2: Make it possible to configure a port range.
2afa79a14d PFCP: fix UE IP address Pool Identity
5af925e013 ITS: fix asn2wrs #.NO_EMIT
be6aff9e11 ITS: fix - do not emit unused vals
9d2f37a651 ITS: add Collective Perception Service (CPS) - ETSI TR 103 562 V2.1.1 (2019-12)
5682a264c1 isis(clv): Fix Dead Store (unused variable)
750563e356 vj-comp: Fix Dead Store (unused variable)
8aec509a22 nvme: Fix Dead Store (unused variable)
57024cdc0a icmp: fix Dead Store
b4898e653a wtap_opttypes(wiretap): Fix Dead Store
8d0e1b798d packet-wow: Correct protocol_version field
4397eed75c GitLab CI: Add Valgrind and randpkt fuzzing.
da66bae61b GitLab CI: Fix a path.
cc285882bf GitLab CI: Fill in fuzz-test.
fd99368364 WSDG: Update Qt and MSVC versions
c00aa5e967 IEEE 802.11: fix spelling for TBTT
438ace8f26 Qt UI: fix AutoUic warning 'The name 'label' (QLabel) is already in use'
3401f9697d Revert "GitLab CI: Try switching Windows builds back to Qt 5.15.1."
d7bdd77a4c GitLab CI: Add a minimal fuzzing job.
83dc9a247e packet-selfm.c - Resolve Uninitialized Variable
1fae992dbe GRPC: Register both tables streaming_content_type/media_type
6747b20961 Remove unncessary temporary variables
e8a5e2d8f6 packet-selfm.c - fix tabulation
0a7f5d4058 packet-selfm.c - Use proto_tree_add_time where appropriate
de93de7909 Added missing file.
0f86c41e73 Added NetPerfMeter statistics feature, including corresponding documentation.
4100cd748a GitLab CI: Fix our API reference uploads.
6d6b376b43 VoIP dialogs: Default actions for buttons works as before
773c35d70a GitLab CI: Fix an upload command.
3b18c3f1fd GitLab CI: Distribute our documentation.
7b81ddd35b GSM A-bis/RSL: add Osmocom specific channel rate and type values
77e990eb08 GSM A-bis/RSL: handle Osmocom specific Training Sequence IE
4c7c377d42 RTP Player: Player is able to skip silence during playback
71f66bee3b GitLab CI: Consolidate repeated RPM declarations.
81ce8bbade RTPS: Fixed GUID not initialized in dissect_rtps_submessages function
4dd71cfbb6 Update to DICOM Edition 2021b
8335c597b9 RTPS: Added new flag to PID_VENDOR_BUILTIN_ENDPOINT_SET
d6500f5870 GitLab CI: Publish the API reference.
74145a8bc6 GitLab CI: Fix our Coverity submission URLs.
6467a5ecad GitLab CI: Try to fix Coverity submissions.
a145ed6071 JSON NaN value supported
249eb294b3 SIP: Add decoding of protobuf fields.
aed3f61175 NVME: try to fix a value_string value
6d3b86357d TCP: RTO calculation relies on a wrong reference packet
37e833e2c6 GitLab CI: Fix an artifact declaration.
a479922052 GitLab CI: Try to fix Coverity submissions.
8fc875db99 Allow the RTP player dialog to be opened even if we're built without libpcap.
3de0a93759 GitLab CI: Fix our common rules.
6555cfe885 Add min/mean delta and min jitter, to the RTP analysis.
75c6177fa1 [Automatic update for 2021-05-02]
a682f45c23 BGP: Update and fix handling of Multiprotocol Extensions
e80f6fd768 Qt: URLs to Display Filter Reference and Wiki Protocol pages
38f99c09dc sharkd_daemon: fix signed vs. unsigned comparison.
49fd57440f GitLab CI: Switch back to explicit scheduling.
69c2e89fe2 GitLab CI: Update the schedule variable name.
e119c035b3 GitLab CI: Switch back to using "only" for scheduled jobs.
d816ebea17 GitLab CI: Fixup a scheduling rule.
f80227861f Qt: Fix some documentation warnings.
c603a5f2c1 GitLab CI+tools: Make our clang version configurable.
ce95951993 GitLab CI: Add a sloccount job.
bfddd25f3e GitLab CI: Add more restrictions for merged commits.
018714708f GitLab CI: Submit a URL to Coverity instead of a file.
6a46e33313 GitLab CI: Restrict when build:ubuntu-dist runs.
feefb045ee GitLab CI: Miscellaneous updates.
57a1514ac7 Cast away the return value of g_strlcpy() and g_strlcat().
0914739700 MAC-NR: workaround a gcc 9.3.0 for AMR64 false positive.
5a109265a6 USBLL: allocate address in pinfo pool
9896b1d65d GSM A RR: add missing 10.5.2.82 Extended TSC Set IE
f7fa73802a GitLab CI: Fix a variable reference.
9aee4cdc68 GitLab CI: Try to fix coverity-visual-c++.
2d2637c034 GitLab CI: Add a Clang scan-build job.
2b44c77a8d GitLab CI: Add a missing URL.
6445af1075 GitLab CI: Fix our curl path on Windows.
992b9146e9 GitLab CI: Try to fix our scheduled job logic.
3bcdd863b1 GitLab CI: Switch to single line commands.
2cad09e89b GitLab CI: Add a Visual C++ Coverity Scan Build job.
0630332565 GitLab CI: Add a GCC Coverity Scan Build job.
faf2e62db8 tap_export_pdu: we don't have packet flags, don't claim that we do.
924e16a22a packet-smb-direct: also call payload dissector if tree is NULL
92faecc3f7 packet-iwarp-mpa.c: fix mpa_fpdu dissecting without marker pdu fragmentation
16988d2b4f packet-iwarp-mpa: make use of tcp_dissect_pdus() to reassamble pdus
f25c3ccc08 Update Keysight/Ixia netflow fields support.
00b0cb180a RTPS: initialize guid.fields_present field
d8dedddf8a RTPS-PROC: fix a possible NULL pointer dereference spotted by Coverity
b46d244a9b RTPS: Fixed crash when dissecting Type Code info.
4b41dc87d3 IEEE 802.11: display Partial TSF as microseconds
40bc53a129 NVMe: do not use packet scope memory for BASE_CUSTOM fields
eb4d68033e Don't cast away upper bits when assigning to a nstime_t's secs field.
21b334fd82 RTP Player: Export of audio can start at position of play cursor
ebdb6784fa wslua: fix compilation with gcc 11
3bfe597f5b etl: fix handling of the packet flags.
4e9d2be9ae validate-clang-check: fix extracting the file basename.
00b86cf64d wslua: Fix crash on FieldInfo.range and FieldInfo.value for a nonexistent TVB
0caf4b74c0 GitLab CI: Disable Fedora tests for now.
e2e4b79d0d M3AP: update release version in header
cb10c0f53a M3AP: Only version updated, no code changes.
e8fd04a145 DCT2000: Lookup xnap and ngap protocols
0d12050e5e validate-clang-check: fix some issues.
ebafa3a4b9 NAS 5GS: add NAS 5GS protocol to TCP port decode as table
5af65b3a92 tfshark: fix compilation.
855662f8dc ieee80211: Fix the handling of the ISTA Availability bit map.
cd0950adeb DIAMETER: Add two new AVPs discovered in CCA from Huawei OCS on SMS rating.
f4ba2c7545 Update packet-dcerpc-taskschedulerservice.c
31165fbbce remove comment
17ae0f6be2 DCERPC - Add dissector for ITaskSchedulerService
ec14bbd892 IEEE 802.11: decode RSTA availability duration
bdc878e2f7 wiretap: clean up freeing of if_filter options.
02107e6abe RTP Player: Fixed issue when keys were not processed till mouse clicked
1b2fdeca13 PTP: Fix a couple of spelling errors
80a6e34d81 rtps-virtual-transport: fix printing of 64-bit integers.
3cdbbcdfb9 RTPS-VT: New dissector to enhance the RTPS protocol
2549e51ee4 Remove unneeded c-ares checks.
ff9a89c8a2 http2: Rename GOAWAY Promised-Stream-ID to Last-Stream-ID
c713fb3b7d Windows: move ENABLE_VLD to CMakeOptions.txt
21474fa308 IEEE 802.11: add dissection of FTM R2I/I2R reps
c1084fe97e RTP Player: Settings for enabling use of disk as temporarly store
fd14396972 PTP: Check for enough bytes
340019b233 USBLL: Group packets into transactions
2448f6da57 BCG729: Fix url
71bd81efd4 RTP Player: Fix of clang compilation error
54b7886a5e RTP Player: Memory consumption improvements
d5bd5a920b 🔍 Fix HiDPI scaling on Windows
e91806b8e9 RTP Player: Fix for compilation when no HAVE_LIBPCAP is defined
1408db615b Windows: upgrade Npcap to 1.31
c4d6b0f6d7 [Automatic update for 2021-04-25]
d9ad3b15c5 Fix more item lengths.
8a96d2a903 CAN, AUTOSAR NM, Signal PDU: Fix the interpretation of CAN ID
e35efdee8d TIFF: Add a basic TIFF dissector
9569288c3b BGP: Update Subsequent Address Family Identifiers (SAFI)
da80daaf83 DNP3: Add TLS dissector
91d21fc334 btmesh: Fix typo in PDU name
1bd0cf5fbd NVMe: fix build error
96e8ab4682 AJP13: properly display request attributes
de5a830e95 AJP13: properly display common headers
9ad9bb8969 IEEE 802.11: display STA Info STS with custom func
0048142ea1 RTP Player: Added button 'Refresh streams' for live capture
c182fa4268 Make some vars static.
f3bd0b5772 80211: Rename VHT_TX_PWR_ENVELOPE to TX_PWR_ENVELOPE
50dda353ec SGSAP: Use ECGI specific fields for the ECGI MCC/MNC
4232d2f81d Fix for the ASAP and ENRP statistics.
fe13ec8fd2 ieee80211: Fix handling of PASN Auth for seq==3.
785657d9b8 CMake: fix macOS build when Qt5 and Qt6 are both installed
c295e8a149 Added missing documentation for the RSerPool statistics features.
4959ae652e UAVCAN/CAN dissector see https://uavcan.org/
f15d35b0c8 CSP: fix compilation with MSVC
f199c00d40 Improvements for the CSP dissector
d42042fcbb Qt: Add checkbox for enabling/disabling packet-list hover_style
6d809554a4 Fixed typo.
1c7d9a57ab Further SCTP Analysis dialog layout improvements.
c0aa2a0841 More SCTP Analysis GUI layout fixes.
317d264664 Second part of SCTP Analysis GUI layout fixes.
df394c057b First part of SCTP Analysis GUI layout fixes.
eb3e124b46 GSMTAP: use Wireshak's API for displaying dB/dBm units
eb5f4eea99 RTPS: Added new coherent sets PIDs.
1e012c2c00 Read ICMP extensions from after the original datagram
3173a808a3 GSM_MAP: Error Code typo's fix
4d72ce1a4a NVMe: Get LogPage: Sanitize Response.
59d81aa02a NVMe: Get LogPage: Reservation Response.
6b80b58506 NVMe: Get LogPage: Endurance Group Aggregate Response.
01e32eaa20 NVMe: Get LogPage: LBA Status Response.
a228c46030 Added decoding of NetPerfMeter message flags
b0a8f287ac Gitlab Issue Template: Add label via quick action
d75e9f95eb More trivial spellings.
b7a0650e06 MS-WSP: Don't allocate huge amounts of memory.
9222bd77cd Remove unneeded modelines in ui.
9bb2af76d9 RTP Stream: Small code cleanup
cd81255da2 Qt: Fix various compiler warnings.
26c5635973 [#17212] Define loading order for lua plugins
9f72d4ce60 DOC: tshark io,stat - function name not optional
a8ccb67921 VoIP Calls: Streams related to calls can be selected in RTP Streams
42c54434a8 Using REGISTER_STAT_GROUP_RSERPOOL for ENRP statistics.
fe04fb5e98 Added ENRP statistics.
53c67e31e7 NVME: Fix some spellings
4959389fc3 NVMe: Windows compiler support.
3a0e1ba1e2 NVMe: Increase PROTO_PRE_ALLOC_HF_FIELDS_MEM.
f19298d2e1 NVMe: Get LogPage: ANA Response.
d24d62ea0e NVMe: Get LogPage: Predictable Latency Agrregate Response.
fa07609955 NVMe: Get LogPage: Predictable Latency Response.
d3c5eb2a71 NVMe: Get LogPage: Endurance Group Response.
b5d770fc5f NVMe: Get LogPage: Telemetry Response.
2ca3707be1 NVMe: Get LogPage: Device Self-test Log.
bb5ec812fe NVMe: Get LogPage: Commands Supported and Effects
4ea25fc41a NVMe: Get LogPage: dissect Changed NS List Response
d30bbbb7e8 NVMe: Get LogPage: dissect FW Slot Response
582319d33a NVMe: Get LogPage: dissect Smart Response
732d30ffa1 NVMe: Get LogPage: dissect Error Information Response
b856762463 NVMe: Get LogPage dissect.
67ac25c862 AUTOSAR NM: Adding support for different CBV versions
6cd7d80bb8 Release notes: added VoIP/RTP Player changes
078b152687 SOME/IP: Adding dissection support for SOME/IP over DTLS
ab3bd1b228 [Automatic update for 2021-04-18]
627b5439a8 Stun: ensure addr var zeroed.
9bf14020b0 IEEE 802.11: Add DSCP Policy Query subtype val
c5abbd3602 Fix some copy/paste errors.
c93b6772b3 ieee80211: Add dissection for QoS Management Attributes.
5db4d2c0c9 Fix compilation with gcc-11.
6341257fae BT BR/EDR RF: Move common code to a header file.
922f9f4520 IEEE 802.11: display user-friendly STS
1678325ad6 RTPS: Added dissection UDPv4 WAN transport elements.
8b50de0da9 Fix some more item types.
94628dc8fb BGP: Add support for draft-filsfils-spring-net-pgm-extension-srv6-usid
79b12eb4de ieee80211: Split out the SS Allocation field to two fields.
4ce4cc5b27 ieee80211: Add support for Wi-Fi QoS Management V2.
f7e5fb6952 Qt: Fix various missing prototype warnings.
9c8f8a3c89 Epan: Fix various missing prototype warnings.
a27391ab16 Plugins: Add missing prototypes.
e513ed41d2 Wiretap: Fix some compiler warnings.
c92637bcd8 Add missing prototypes to lemon-generated code.
23a82b040e GitLab CI: Switch to Clang 12.
4e23db3841 systemd Journal Entry: fix a typo in filter name
f42a6e0705 stcsig: fix conflict
4f6f728f82 stun: fix conflict about username
bb4c6969c4 systemd-journal: fix conflict
1fc234aed8 zvt: fix conflict
bdfa22b321 packet-smb2: complete SMB2_RDMA_TRANSFORM* dissection
dc0b6d1fe7 packet-smb2: add SMB2_WRITE_FLAG_WRITE_UNBUFFERED
5b89326f08 packet-smb2: mark SMB 2.2.2 and SMB 2.2.4 as "deprecated; should be 3.0"
6d72eb7a30 GTPv2: Add dissect of F-Container in Configuration Transfer Tunnel
1d623fd541 packet-ldap: fix regression for SASL handling
e2c7dc6627 NAS 5GS: add dissection of operator-defined access category definitions IE
5648ff25aa SCCP: Make use of HEX_DEC as suggested
ebcf6e117c SCCP: Display Translation Type in Decimal
512adcb046 ptvcursor: just do a realloc.
80cfcd8227 ISIS: Add TE Metric extensions (rfc8570)
b615031126 IEEE 802.11: add dissection of LTF total subfields
d90c49e2cf AUTOSAR-NM: Adding support to configure CBV and SNI
77946b1f88 Signal PDU: Not all signals were registered (BUGFIX)
fa483ac191 ptvcursor: Fix crash with deeply nested subtrees
bbcc605ee2 Fix issues with tcptrace graph
f460e7b18f Fix: RTP Player might crash when audio routing touched during play
c8479e41ae VoIP dialogs: Improvements and new functions
212ff30603 RTP: Fixup stream ID hashing.
040212119d bssmap: Parse 'Last Used E-UTRAN PLMN Id' in Common Id
8390771a56 Update README.plugins (typo - ENABLE_PLUGIN_IFDEMO)
92e652ebfa Fix adaptive sampling performance on scatterplots
293eb2f534 WSDG: add mention of pluginifdemo in Qt Information
776957ec8b Clean up the "print interface link-layer/time stamp types" loop.
a9b3dfbbc7 Wireshark: when printing -L output, just create the console once.
f099bd179a Fix conversation table when using epoch based time
4c42707f66 IEEE 802.11: process RU allocation region
8af90fcf47 CMake: Pass /diagnostics:caret to Visual C++.
7a199b6e05 IEEE 802.11: use custom display for trigger frames
1dc50f7433 CMake+CI: Colorize our compiler output.
cf46f0d747 Mibeacon: Unauthorized withdrawn
fb8b1a4098 Mibeacon: Unauthorized addition, application withdrawn.
c7f5646249 VoIP dialogs: Performance improvements
38d279326a Fix -Wdocumentation warning
81a055b78c MiBeacon: Add dissector for xiaomi bluetooth protocol
fcb56bd1d4 Clean up printing of interface information.
d6c3781a7a Wireshark: fix output of -L and --list-tstamp-types.
c9e2d3bc57 ieee80211: Correct the handling of Trigger Ranging Common Info.
c27a7ffb9a Command line: Add a HAVE_LIBPCAP check for -k.
60e339bba4 Don't handle -k in capture_opts_add_opt().
6ab7435af8 RTP player: fix compilation on Windows
da2cdf7a39 bencode: Fix for truncated packets
bc96d375ab RTP Player: Parallel playlist operations avoided
ec4a059968 WSUG: update Tools Menu - text and screenshot
9e05d40825 tshark.c, ui/qt/main.cpp: fix indentation to match what it's supposed to be.
9b70baac96 Add a new header defining commonly-used exit codes.
20b662b01d rpcap: clarify what the linktype preference does.
0f88e349f3 WSUG: typo in Regular Text Dumps
0338a7afac Windows: upgrade Npcap to 1.30
5b70d58502 MQTT: Fix heuristic subdissector call
a92265c48a rtp-event: Update rtp_event_type_values
b16d9e2041 ieee80211: Fix an issue Trigger Ranging User Info and Common Info.
0f3a287e8b ieee80211: Add the Trigger Ranging subtype to the COL_INFO field.
d2bf2af308 protobuf: Load .proto files from standard locations
2c82ed9a97 WSUG: Added description of new features of telephony dialogs
53f031a8bd NETFLOW: Add decodes for Juniper Networks proprietary IE's
0b85227528 [Automatic update for 2021-04-11]
c8c210a7de VoIP dialogs: Cleanups and clarifications based on work on WSUG
d06287ec2e Some more spelling fixes.
4bd5830cda CMake: Add ENABLE_VLD option for MSVC
1b1a4281b4 MQTT: Add a heuristic sub dissector table
e35b6d4859 RTP Analysis: Fix of use of uninitialized structure
d852c1f38e F1AP: upgrade dissector to v16.5.0
fe6b16fb31 E1AP: upgrade dissector to v16.5.0
c0e041c6a3 XnAP: upgrade dissector to v16.5.0
1c2cf2ba0e NGAP: fix dissection of extended RAT restriction information IE
8c6a7c13f9 RTP Player: Fix of opening of multiple dialogs
e04ea5c108 PROFINET: Rsi dissection errors are fixed.
dbdfe53538 Separate the data bytes in IEEE 802.15.4 TAP DLT
c2f3b654f7 Manpage tshark: Add option '-A'
bd123cadaf GitLab CI: Conditionally create C:\Development on Windows.
efb5e44539 epan: print leading zeroes for sub-second values.
7a2d5fe83e IEEE 802.11: add Ranging trigger type
67301b471a qcustomplot: Fix some clang code analysis warnings
3341067ca3 NGAP: upgrade dissector to v16.5.0
9f3822ad7b X2AP: upgrade dissector to v16.5.0
7ebd4dba7a S1AP: upgrade dissector to v16.5.0
861054fb83 epan: fix proto register bgp to make mp_[un]reach_nlri.safi available
33114aa38c smb2: add compress_data share flag
5dfedb4997 smb2: update dissection of transport negotiate context
763d251589 IEEE 802.11: dissect VHT NDPA extended sta info
7de6b0822a pcapng: expand a comment and tweak the version test.
7894b1d0ea sysdig: a couple more fixes
cbbe660504 sysdig: implementation fixes
8c70dd8d17 sysdig: simplified the separate handling of the two different sysdig block types
fbe8d3a00f sysdig: support the most recent version of sysdig Update the pcap-ng reader and sysdig event dissector to support the second version of the sysdig event block, which was introduced after Wireshark's original implementation
b258f90ce5 GitLab CI: Try switching Windows builds back to Qt 5.15.1.
e462b2b1c2 RTP Player: Fixed issue with hanging the player at end of play on Windows
33cdd795e8 STUN: Remove duplicate code
9a41ec8697 Improved ASAP statistics.
109de7891c Changed group for ASAP Statistics.
39fd3212b9 Added statistics group for RSerPool protocols.
9587569f44 Added ASAP Statistics.
9550944ef9 Added dissector changes in ptp for G.8275.2 Profile
cd26f4bbb8 WSUG: Update print dialog
2b072b8e76 RTP Stream Analysis: Process more streams than two, audio save removed
fe7bf413fc GitLab CI: Clear our Windows build dependencies.
156737db0f GitLab CI: Add a Visual Studio code analysis step.
0d202254f8 PFCP: In UP Function Features dissect QUOAF bit.
f2091790a3 ieee80211: parse multiple TBTT in Reduced Neighbor Report
6eb8a81d67 ieee80211: add 20 MHz PSD field in Reduced Neighbor Report
d0088585b3 qcustomplot: Fix some warnings in upstream code
fe98c68224 RTP Player: UI improvements
4d361cc7cb RTPS Fix locator port signedness
e06940d5a6 RTPS: Fix call to unsigned field for locator port
df5e4fe9aa RTPS: Fix missing port in LOCATOR_KIND_UDPV6
059887e089 Clean up some cppcheck warnings.
69244cbb98 macos-setup: Update CMake, Qt, and Python
d95213afb0 prefs: get rid of unused PREF_EFFECT_ flags.
4637111f6d GitLab CI: Make our MSBuild output more quiet.
3231a33590 prefs: get rid of unused #define.
85b36ef4b6 GitLab CI: Switch to our new Windows runner.
56c540159d packet_list: Promptly reflect changes to frame.marked field
a97506d166 wslua_utils: fix a memory leak
1dbd022c6b ieee80211: Improve the handling of the ISTA Availability bits field.
dff0f997de check_static.py check symbols that could be static.
35d47066b3 QCustomPlot: Update external library to version 2.1.0
e83ee9b66a Add more common words to spelling dict.
82b203dfee tvbtest: Test offsets returned by tvb_find on subsets.
587198a4cc QT Print Dialog: Make header optional
52030fdca7 Try not disabling designated initializer overides.
074b33e465 ieee80211: Fix a small issue with Ranging Trigger support.
ff5430b100 NAS 5GS: upgrade dissector to v16.8.0
c01dd585c7 netmon: fill in all of the 802.11 pseudo-header in the dissector.
4c16875759 protobuf: Fix leaking nodes and strings
c280ee9234 EBHSCR: add digital IO protocol
c0abaa06f7 maxmind: add optional synchronous lookups
b13065cdc0 TFTP: Fix is_valid_requerest_body
255fafad70 ieee80211: Add support for Ranging Trigger User Info subfields.
284d5a6b01 proto_data: small cleanups.
e4746392c7 lldp: Extreme TLV 4 is ZTFv2 Fabric Connect and first byte is Capability
548290098a isis: Fix tlv 184 decoding error
51170b91d2 asn2wrs.py: prevent adding several times BASE_VAL64_STRING
352b555b7c LTE RRC: upgrade dissector to v16.4.0
348daa8d50 NR RRC: upgrade dissector to v16.4.1
3c4b6c94f2 DIAMETER: Dissect Access-Network-Information (AVP code 1263)
ec2c42723f osi/nlpid: Update Avaya proprietary NLPID
8c7a1c0f39 ndp: Add Chassis type used in GNS3 image
1845d71819 lldp: Add Extreme/Avaya Fabric Vendor specific sub-TLV decoding
e100466798 packet-netlink-psample: Align enum ws_psample_attrs to kernel header
ea20002a07 QT: Fix printer dialog
3b8574b244 WSDG: We build with vcpkg's libpcap on Windows.
7a261fb538 Make a couple of functions static.
4e5f0456c6 RTP Player: Added ability to save streams as .au and .wav
e44db606fa DIAMETER: Process BCD encoded IMEISV in User-Equipment-Info
67f072e9f5 ieee80211: Add further support for 802.11az D3 ranging parameters.
a80ea46ff7 CMake: Enable AUTO{MOC,UIC,RCC} according to our CMake version.
f4d0273a15 TFTP: Added tftp heuristic dissector
60509540b9 TFTP: strengthen heuristic for RRQ/WRQ
966347c441 TFTP: Added conversation dissector check
81d1c8dbc8 PCEP: Updating some IANA defined types/codes
7e39f4eb86 RTP Player: Added ability to save streams as .au and .wav
68ba60774f Prettify and standardize LAC, RAC, SAC, TAC in several ASN.1 dissectors
f29563b860 ieee80211: Add support for PASN Authentication frames.
94bb564996 conversation: use the Wayback Machine for a URL.
7445635fdc RTP Player: Allow a user to select output rate
b06a3c5eb8 NAS 5GS: Fix dissection of EAP Message in PDU Session Authentication Result.
cf827f248d NVMe: Decode all fields of Identify Controller Reply.
58ec37f093 RTP Player: Added play rate of decoded audio
47862d8fce RTP Player: Dialog is nonmodal now and can be called multiple ways
e43058ca59 A-bis/OML: Improve dissection of ip.access specific IEs
22b2d8e1fc isis: TLV 147 is not proprietary, it's MAC Reachablity from RFC 6165
a60cde8eb0 isis: Updates to Avaya proprietary TLV 184 decoding
5dd15cd56c RPM: Don't install HTML manuals twice
5848d8a6f2 RPM: Update the HTML documentation location.
a9c119a6a6 RTPproxy: typo
c0249887af RTPproxy: update list of errors
e4d4814168 Don't install HTML manuals twice.
d08fa84025 ieee80211: Dissect decrypted FT BSS Transition GTK subelem
1f9ff3f547 OER: parse extensions in SEQUENCE and CHOICE definitions
678914ca0b Fix some item lengths.
7fee50274f Merge the caputils/ and capchild/ directories
2ba52cdc0e tvbuff_subset: fix its implementation of string scanning.
22cf2cb345 CMake: Set CMake Policy CMP0071 to NEW
d7401147b4 CMake: Remove non existent '/codecs' include path
0fd2033ba2 plugin_ifdemo: Add missing QtMultimedia dependency
5595cfb3e5 IEEE 802.11: Add dissection of PASN Parameters
00bf70e446 IEEE 802.11: add AKMs 19 and 20
cc3ee84516 [Automatic update for 2021-03-28]
eaf6554aa1 ISIS-LSP: Fix length of a field.
cda18f951e wslua_tvb: correctly trim off the end of a tvbuff.
2b9a6ee592 text_import: just suppress the two-initializers warning.
fd39930f40 text_import: don't initialize array elements twice.
5bbfee2ed8 protobuf: fix leaking tokens
1c59f7d9ac RTP Player: Decoding of audio improved
e75e1fb580 Follow SIP Call: Added Follow SIP Call to Follow menu
cd5b568233 RTP Player: Showing of setup frame for RTP stream fixed
828b43491c macos-setup: the current Python is 3.9.2.
be2b0fc810 CMake: Enable AUTO{MOC,UIC,RCC} earlier.
6da96eeb2a capture_opts: always initialize ifname to null.
525006f97b protobuf: free memory used by scanner after parsing
98cf147b19 glib-compat: Fix build on Windows
62af671bf3 Lua: add DissectorTable.try_heuristics() function
537c5f2955 Regex text imoprt: MSVC compiling and updated timestamps
b0289c5aaf Regex text import: fixed ui deviations
afd1bb0381 Regex based import: documentation and release notes
8c1b29a597 Regex based textfile import
880edd9009 nordic_ble: Update display name of nordic_ble dissectors
72a6e814bb isis: Support for proprietary Avaya/Extremenetworks Fabric TLVs/NLIPD
f96886ebef tools: add g_memdup to prohibited APIs.
2484ad2f72 TCP: SEQ analysis precedence preference
df46a52174 NEW: Dissector for signal PDUs
93e96885c5 GSVP: fix a typo
ea929d6401 wsutils: add local implementation of g_memdup2.
e6df130762 test: add missing raw string regex identifier.
d18e1f19e9 Add dumpcap options to set the name and description for a capture source.
ecad065809 Add FIND dissector
bedd1a8aee gvsp, u3v: GenDC endianess fixes and new pixel formats
815024346a TFTP: dissect_tftp fix
0304d5ec27 TFTP: strengthen heuristic for RRQ/WRQ
5e2080131d TFTP: heuristic fix for RRQ/WRQ
291a8b8bc1 Replace g_assert(FALSE) with g_assert_not_reached()
ebf670692a Protobuf: Allow all protobuf fields to have a plugin dissector
11f933b446 Protobuf: Provide an option to add plugin subdissectore for fields of all types
387ebc955f Protobuf: Provide an option to add plugin subdissectore for fields of all types
f10ebb959d VoIP UI: Added shortcuts for dialog buttons
4b1dad3f2e USB HID: Removed codes of repeated dissection
2a4859bd14 RTP Player: UI improvements
2e6d3b571b LDAP: SASL Buffer doesn't include Length field
337bdf8eb3 DNS: Fix pointer for is_multiple_responses
4981b10d0b Add a commit-msg that may be installed to verify commit msg line length.
5177437f30 "GTP: add option to decode T-PDU Data with a plugin dissector"
e677a909e1 SMB2: fix two memory leaks
2af7f913b8 packet-isis-snp.c: Add source-id-circuit to dissection
3f556a6e76 Do the LFS checks before processing any subdirectories.
a7082e33ff psample: fix formatting of 64-bit integers.
146578889e packet-netlink-psample: Add dissector for psample netlink packets
030fbc7740 RTP Player: Fixed incorrect handling of legend in graph
0cc59d38ab Replace the Large File Support CMake stuff.
3693dd52cc rtp: addedd extended sequence number and timestamp
9a3bb60266 IPPUSB: Do not assume every USB traffic is IPPUSB
a123578fd5 RTP Player: Visual waveform shows what is really played
fdbe68e3f0 ftypes: an fvalue_t can no longer have a GRegex.
09707973a9 NR RRC: use _ instead of - in filter names
c5c6a5a9cc LTE RRC: use _ instead of - in filter names
f6b0ff72e7 XnAP: use _ instead of - in filter names
9df7492627 S1AP: have a single filter for ENB-UE-S1AP-ID or MME-UE-S1AP-ID fields
7c0ca88170 [Automatic update for 2021-03-21]
439ecf98b6 TCP: Obvious Spurious Retransmissions are not always detected
51cf733fc6 NGAP: have a single filter for RAN-UE-NGAP-ID or AMF-UE-NGAP-ID fields
048a28e3bc IEEE80211: use G_GUINT64_CONSTANT instead of %ULL
f81572ac09 IEEE80211: remove a shadowed variable
66f35c7130 IEEE80211: squelsh a MSVC warning
1abe8cc3ce IEEE 802.11: add FTM ranging NTB-specific
07fb47111e DNS: IXFR/AXFR queries with multiple responses
90d9eb2062 TLS: another fix for Google-QUIC-Version Transport Parameters
b61fd6d76a dfilter, ftypes: get rid of FT_PCRE.
ce611792c3 dfilter: clean up indentation.
de374722e8 TCP, HTTP: Fix reassembly of odd corner case of HTTP responses
936870d507 WSUG: remove extra "/" after adoc URL attributes
a9a476f855 SCTP dissector improvements
4c513fb4ab Minor doc cleanups.
9b3afa0278 Rewrite wmem_strbuf_append_vprintf() using vsnprintf()
392299d9ff wmem_test: Replace some assertions with equivalents
b18bb58a95 json: add application/x-ndjson to the media types handled.
be000686de prefs: use g_error() to report certan errors.
9f04392c0f frame, tcp: don't g_assert while in the middle of dissecting.
6ffbbcefa3 libwireshark: don't allow fields of type FT_PCRE to be registered.
54c30c8336 TCP: Handle sequence number wraparound in multisegment pdus
d025bdca05 Dissection of Abort packet and characters number in Authorization
90da092772 MNDP: Add TLV 17 (IPv4 Address)
5a4cb7ce33 caputils: pull the includes out of extern "C" { ... }.
4584b9d1d3 caputils: get rid of the extern "C" { idiom.
9ca121bcf8 caputils: fix compilation without pcap.
f6e0de60db Windows: upgrade Npcap to 1.20
6cdfc087c5 TLS: add support for brotli-compressed certificates
02a4d41c10 Fix typo in packet-exported_pdu.c
f5fb60cfdd GTP: Fix the version check in decode_qos_umts()
eda6acb63b 802.11: add dissection of FTM Ranging Parameters
83165d0107 PFCP: Add missing dissection of ipv6 pd address in UE IP Address
eee8476acd tls(-utils): Add value from RFC 8998
7efb2120bc kerberos: regenerate packet-kerberos.h.
2820156fbd Move still *more* headers outside of extern "C".
205e77d404 ISAKMP: Pad Length field is 1 byte long
d3235c685b ieee80211: Support decrypting Fast BSS Transition with roaming
da05e55c74 ieee80211: Display IGTK and GTK subelem key lengths in decimal form
49f279a04d ieee80211: Convert proto data type define to an enum
f0dcee3787 ieee80211: Save dot11decrypt proto data only when decryption is enabled
37b3295175 ICMP6: Parse RFC 5837 extension structures
e434d404d0 Move even more headers outside extern "C".
1e1f4e6b5f Move more headers outside extern "C".
a892a161d7 pcapng: add some comments warning not to cheat.
a7d98a2cc9 Expand a comment.
8f965899b3 Remove unnecessary includes of wiretap/pcap-encap.h.
ce20c00049 Remove unnecessary inclues of wiretap/pcapng.h.
9bf838b2ea tap_export_pdu: finish the job of reporting errors.
8795edd57c tap_export_pdu: report write errors on the output file.
37000e9565 tap_export_pdu: clean up includes.
c33e2f7b51 Add more error-reporting routines that call through a function pointer.
89ae76d300 IEEE 802.11: Add Protected FTM Request/Response
db8be3d200 IEEE 802.11: Refactor FTM Request/Response
8252878a45 ieee1905: Fix a filter bitfield that was incorrect.
5f0dc153dd debian-setup: include GCC and G++ in the basic list.
528eb3b3aa ieee80211: Fix a tag_len calculation that was wrong.
fd4c768972 ieee80211: Add the tag val for TAG_INTRA_ACCESS_CAT_PRIO.
f785cf5340 Fix the captions for the buttons in the "export specified packets" dialog.
03d6f39a99 libwiretap: make wtap_wtap_encap_to_pcap_encap() private to the library.
7dc17158db tap_export_pdu: fix an out-of-date comment.
2e87c27ce1 Voice dialogs: Unified naming and order of buttons in dialogs
01151ec332 Clean up "Export PDUs to File" code.
006f0ab571 Voice dialogs: Added Select All/None/Invert to all of it
bc45d75608 [Automatic update for 2021-03-14]
d4c55ba464 tap_export_pdu: free err_info for WTAP_ERR_INTERNAL.
610dffbb19 pcapng: make sure the packet encapsulation matches the interface encapsulation.
c92f22d034 debian: wtap_register_backwards_compatibility_lua_name isn't a public API.
ea60a57826 tshark, export_pdu: Allow tshark to export PDUs to other file types
9bd144b8ea tshark: clean u the way the -U option lists available taps.
b5f2ed34b1 btle: decode new control PDUs and advertising info in 5.2
d23b0b82c4 GitLab CI: Fix our debian-stable version.
172323a3e1 IEEE 802.11: Add dissection of FTM action trigger values
1eb4a62dbc tshark: fix handling of "you're writing to a closed pipe" errors on Windows.
e5916d1fc9 NVME: Fix some spellings
f99bd01cee nvme: don't assume "%lu" is the right format to use for a guint64.
5d39e36198 doc: Clean up lists of file types.
cc6a45420a VP8: some cosmetics from RFC 7741
dabf0af6b7 AUTOSAR NM: In default configuration all CAN packets will be dissected
272ff625f5 NVME Identify Controller: decode TNVMCAP, UNVMCAP, RPMBS fields.
d509e7e872 NVME Identify Controller: decode MTFA, HMPRE, HMMIN fields.
b7f3a922e0 NVME Identify Controller: decode AVSCC, APSTA, WCTEMP, CCTEMP fields.
6b9adc46de NVME Identify Controller: Error Log Page Entries and Number of Power States decoding.
ded4a94c71 NVME Identify Controller: Firmware Updates and Log Page Attributes decoding.
e2b444a650 NVME Identify Controller: fix compile with CLANG in strict mode.
5d0488cadc Refactor dissect_nvme_identify_ctrl_resp() function.
72443746a8 NVME Identify Controller: decode Optional Admin Command Support.
d1f5fa2965 NVME Identify Controller: decode  NVMe Management Interface
d277368d26 NVME Identify Controller: decode Command Retry Delay Times
23a3f83140 NVME Identify Controller: decode FRU Globally Unique Identifier.
c88eb867d6 NVME Identify Controller: decode Controller Type
f7ba8421cf NVME Identify Controller: add Read Recovery Levels decoding.
7d20992d8f NVME Identify Controller: add and use add_decode_group().
af803b6f01 NVME Identify Controller: Decode Contoller Attributes.
04add823a5 NVME Identify Controller: Decode RTD3 fileds.
84be51e614 NVME Identify Controller: Decode Optional Asyncrhonous Events Support.
de0a0a3568 NVME Identify Controller: decode additional fields:
381207c4e3 RTP: fixed comments, https
e5adb4b506 GitLab CI: Speed up our fetching/cloning.
71f4712532 ncsi: Fix warning found by Clang Analyzer
c3687757b9 mbim: Fix warning found by Clang Analyzer
ed2955cf4c PTP: PTPv2 dissection updates
ee64d6362c ICMP: Support MTU in RFC 5837
c473eba8dc observer: rename source and update name.
2561f1e9f8 libwiretap: don't have a central table of file type/subtype name mappings.
98485a1c27 pcapng: small cleanups in pcap_open().
e0afa7f2a4 Observer is now a product of Viavi.
20a6fea312 EAP: fix a memory leak
74d432ecc4 NFS: fix for EXCHANGE_ID SP4_SSV
24d59017a6 RTP Player: Added additional shortcuts
aab0bd12a5 pcapng: clean up pcapng_block_read().
fa9d8fbc85 VP8: Show details of version field
584442fd6d VP8 RTP: fixed wrong bit for "show bit"
a52ab28013 pcapng dissection: fix dissection of the if_filter IDB option.
73de7b1325 NAN(WiFi): Fix wrong variable size
63b484c91a Qt: Copy->Value - don't zero pad hex values
11b7d17951 IEEE 802.11: add PASN authentication algorithm
f669bf2ec9 pcapng: ignore if_filter options with an unknown type.
6210256229 LLDP: Allow organizational specific TLVs without payload
7446a16247 pcapng: get rid of the local pcapng_t in pcapng_open().
933e7f5eb6 DECT: "tranceiver" -> "transceiver"
598e32f933 commview: use the data rate to determine the modulation.
686f141e2c tools: add more packages to brew script.
649eab2dfe RTP player: It is possible to select SETUP packet related to RTP stream
dcd3e26a81 several: make the phy reflect the packet modulation.
7b48fb91a0 DECT: Register dissector correctly
b185260efb prism: clean up some things.
71905c6597 radiotap: fix a comment.
4b07a92103 Windows: Update our spandsp packages.
84e8b8b1f5 oampdu: Fix "Queue Configuration" message parsing
1084e72f78 oampdu: Process DPoE GetRequest messages for Link and User Port objects
2753c4c27e Expert info: check group and severity
ce786ed265 Rtp player: It is possible to select multiple rows in stream's list and graph
5d709459c4 TECMP: Adding missing reserved flag to timestamp (BUGFIX)
1dd97bc1ff IEEE 802.11: add az LMR public action frame
6e285df1c2 ppi: make the "phy" reflect the packet modulation.
b3e55ba4b7 MP2T: Detect stuffing bytes after SECTs when PUSI is 0
31dc280d25 radiotap, wlancap, wiretap: make the "phy" reflect the packet modulation.
d3f17ee08a Remove modelines in ui/qt.
1910e416a9 LTE-RRC: Rename some duplicated fields names.
fd9dcb592a GBCS: User interface alerts does not contain UI code
4131019969 proto.c: Use global var insted of environment var
879a33f158 LTE RRC: add dissection of NAS 5GS PDUs
23052de590 ZVT: Added dissection of Refund and Reversal packets
e240ec3d2d NetPerfMeter: Drop "protocol" from the name
095618ea87 [Automatic update for 2021-03-07]
cdf5f31454 cip: set hf_cip_cm_sc as generated field
41a172cc95 if_capabilities: Use a structured error msg from dumpcap
b5530e7021 Teach our console log handler to use log domains (Unix)
cff3a1c08d prefs: Don't clobber env variable G_MESSAGES_DEBUG
e4b5573ff5 RPM: Fix build using the Unix Makefiles generator
6b830718d2 niobserver: some work.
ad143c382b BTLMP: Fix a value_string value
ed9d35df92 MBIM: Fix value_string entry
f13fd55663 rpm-setup.sh: Fix typo
2d7b68aa09 Replace g_assert() with g_assert_true() for testing
b2bb8bf4e0 Replace g_assert(0) with g_assert_not_reached()
d617f197e8 IEEE80211-Radiotap: Fix a typo
fadbb0a31b Fix for NetPerfMeter Results message.
2627bd4b84 snoop: expand a comment.
8f700ab1f3 peektagged: guess the PHY for 11b/11g/11a.
25d44cde11 wsutil: rename frequency-utils.[ch] to 802_11-utils.[ch].
e60bdb8d9a Replaced large NetPerfMeter captures by one small capture.
a5757e77a4 Fixed detection of NetPerfMeter data pattern in dissector heuristics.
5efe21850d IPVS: Fix commit hook warning
aae3c634b4 IPVS: Add COL_INFO with version and number of connection
efae777674 IPVS: Add Payload version 1
efb27fe2e3 IPVS: Add support of Header Version 1
bae98a46e9 ZVT: Added dissection of missing fields in Status Information packet
4628a60740 debian: config.h is not a public header
1796053491 dvb-data-mpe: Decode MAC address, don't process scrambled data
bd044e5ec0 PDCP-NR: some decryption changes.
6b6a2f77ad IEEE 802.11: Add constants for az, aj, and aq
b8d90bb548 netxray: update a comment.
e536166b38 Fix warnings with GCC and -O3
1e17f3f287 MPEG-DSMCC: Increase size of private data length field.
fc6bdbfe71 ORAN: Fix a param name, and some section refs
eabca2f2b8 Header updates, pointing to up-to-date I-D versions.
57300b5008 Moved some more definitions.
957ab6370a Removed defines from packet-enrp.c, since they are now already defined in packet-asap+enrp-common.h.
80b723dc1b Moved common definitions from packet-asap.c to packet-asap+enrp-common.h.
fb3de6ef04 ZVT: Add receipt parameter dissection
481b490b82 Miscellaneous EditorConfig fixes
b807020537 'stats_tree' is not a dissector plugin (CheckAPI.pl)
470f94cc3d mpeg-sect: Support Decode As; only register one dissector (MPE) to TID 0x3E
25edc7439b Make ui/*.[ch] indentation consistent.
8f7303df82 Fix checkapi stats_tree files
7f105d3981 CMake: Use CheckAPI's abort/termoutput with dissectors only
142cfb03ac GQUIC: fix parsing of unknown (but valid) tags
26b602a7ae [dissector] add dissector for OPUS packet support
a3be7e898c column-utils: Get snprintf prototype from stdio.h.
e31bddb16f geonw: fix the column formatting.
73d793788c Remove and replace obsolete ws_snprintf() definition
670fab2ce5 ieee80211: Fix Dead Store found by Clang Analyzer
b140ea6f50 ieee80211: Add FILS Discovery to COL_INFO
fc9fe99234 ieee80211: Fix FILS Discovery Offset
fae1067d59 IEEE 802.11: Add FTM Sync Info extended tag
e247ffa906 PROFINET: Multiple write in record dissection
a23fe56980 RTPS: move PID_DATA_REPRESENTATION dissection
be68150021 ZVT: Dissect Print Text Block packet
e075626611 [Automatic update for 2021-02-28]
76ae08b7b8 WIP: IEEE 802.11: fix ieee80211_tag_rsnx length processing
23a5ebf2d9 ASAP+ENRP dissector clean-ups.
984f3372c8 DNS: Ignore req/resp tracking when in_error_pkt
ab7375dc6b Check for CaptureFileDialog::selectedFileType() failing.
2f31927dcc tls: improve TLS-SRP support with decryption and username dissection
f503117689 git: Add HTTPS support to Git Protocol
72dcf04a1b plugins.example: Be less terse in the README description
e20ca8e9e8 tests: skip plugin count test if feature is disabled
404f619ea2 Added decoding of ProtocolID and PPID into Component Status Protocol dissector.
12edf427ab dvb-ci: clean up the protocol column for mime files
eceff254b6 Docs: Recommend EditorConfig.
8ccbdb786a Add support for SRVName SAN extension for TLS certificates
e2ee14ae03 GQUIC: add support for some missing tags
92b3edd798 macos-setup.sh: Starting with major 11, the minor SDK version no longer matters
525ad67066 The latest power profile C37.237-2017 has IEEE_C37_238 TLV different from the earlier version C37.237-2011. The previous version of this standard, IEEE Std C37.238-2011, separated grandmaster time inaccuracy and what was then called NetworkTimeInaccuracy into two fields. The first, grandmasterTimeInaccuracy, was located immediately before totalTimeInaccuracy in this version (now a reserved field). The second, networkTimeInaccuracy, was located where totalTimeInaccuracy is now found.
7665075241 wiretap: make WTAP_FILE_TYPE_SUBTYPE_UNKNOWN -1 rather than an index.
715fc20a92 Update packet-mux27010.c following the correct interpretation of the EA bit from the specs https://www.3gpp.org/ftp/tsg_t/tsg_t/tsgt_04/docs/pdfs/TP-99119.pdf where it is described the case of info field bigger than 127 bytes:  * the first octet stores the first 7 LSB bits  * the second octet stores the other 8 MSB bits (see pg. 18).
9191746670 wiretap: add a block type for systemd journal entries.
7ffc11e38f wiretap: add some additional bounds checks for file type/subtype values.
23e6b32855 git: show expert info for unrecognized special packet 0003
a3f1408649 IEEE 802.11: Extend RSNX to dissect octet 2
7fd7153696 GQUIC: add decoding of CGST tag
ed86f51e49 wiretap: rename wtap_register_file_type_subtypes().
4cdc6ee573 exp_pdu_open: swap two arguments.
0e301fba78 usbdump: update struct file_type_subtype_info.
166159f15d wiretap: eliminate the pcap/nspcap/pcapng WTAP_FILE_TYPE_SUBTYPE_ values.
3742f921b2 git: read pkt-line length from specified offset
ef61fd4638 added description for UDP Multicast Streams
c3ec4f52ce added description for the Flow Graph window + screenshot
30d14386b4 radius dict aerohive: Add comment about attr 212 (ap mgmt mac)
fe4555c3c1 Extremenetwork/Avaya/Lucent/Baynetworks/Wellfleet specific protocol updates
aae669118e packet-srt.c: Add link to some network protocol description
ba196f550d packet-tftp.c: Fix an incorrect value in a comment.
ea7131cee0 Make a couple of dissector vars static.
20720c8441 MBIM: fix some signedness warnings
cf14578c61 MBIM: dissect the commands of MBIM extended version 3.0
bc3cc17bc4 Lua: add routines to return pcap/nsec pcap/pcapng file type/subtypes.
69ca16bdf0 ZVT: Dissect list of permitted ZVT commands
d50f712a85 wiretap: fix use of wrong index as array subscript.
00d2661459 wiretap: fix dependency in CMakeLists.txt.
3a25ebbc42 Updated broken URL in headers.
614df91e23 RTCP detect non zero padding and dont dissect zero length
d5d26679fc ZVT: Use g_ascii_strtoll instead of atol.
2e7f2ffb7a Added "Follow DCCP stream" feature.
a57a32c04e ZVT: Addedd dissection of amount, terminal ID, date and time. Registration fix.
f895014f68 reassemble: Improve perf of free_all_reassembled_fragments.
297246093b Small FGP dissector improvement
842a7cccf9 wiretap: have file handlers advertise blocks and options supported.
b8ce02e6fb editcap: Fixup our help output.
b9bdce8484 NetPerfMeter: Fix compilation on Windows.
dc3e92f638 Added NetPerfMeter test suite.
2fe740c00d Removed unnecessary check for transport protocol.
cdbbf5d384 Decode time stamp field to the actual UTC time.
115472aaf8 Now using heuristic dissector for transport over TCP, UDP and DCCP instead of port number range.
6f6537dfba Fixed typo.
6737430111 Added NetPerfMeter test trace.
77343db1fe Improved NetPerfMeterProtocol dissector with detection of protocol for TCP, UDP and DCCP by payload inspection.
0f0b340aa5 PacketList: mouseMoveEvent: fix memory leak
ba28616ff5 TCP: Conversations Statistics loyalty to connections initiators
ceb1db49d6 Fix reassemble_test's additional debug mode.
daf4e3cafe [Automatic update for 2021-02-21]
3ee6eb0be3 dvb-ci: afs resource: dissect file req / ack
95f3d1b075 QT ByteViewText: calculate string widths consistently to prevent clipping
cd77e5aa5f Some more spelling fixes.
bddd034186 added the description for the exporting TLS session keys dialog
94488fc509 macos-setup: Require Qt 5.6 or later and macOS 10.8 or later
f3bc71c44f Make some more vars and functions static.
4d793fdd7a sharkd: squelch redundant decl warnings
166dcae76f sharkd_daemon: squelch unused parameter warning.
ddd8f0ab61 tests: Look for softhsm2 in more places
1f595c435c BER: get rid of WTAP_FILE_TYPE_SUBTYPE_BER.
c80c16759b wiretap: eliminate two WTAP_FILE_TYPE_SUBTYPE_ values.
abf9e027fc Require Qt 5.6 or later.
b620a5e535 VJC: Fixup some proto_tree_add_expert calls.
72c9b4b1e8 Add bounds checks to VJ compression [#17243]
81cc0ad06c Added missing dccpservicecodes.h to epan/CMakeLists.txt.
b82d08ab18 Added IANA-assigned DCCP Service Codes.
06a65f121f mPacket dissection improvements
a443d60b1c git: Factor out dissect_pkt_line helper
313a6e9274 CI: Don't run xcode-select.
61d53b74c9 RTPS: update dissection of discovery PID 0x77 to match spec
32d4af0ed9 NAS-5GS: Dissect Extended rejected NSSAI IE
a814a95007 arinc615a: Avoid calling g_str_has_suffix(NULL, ...).
8b775000bc wiretap: register BUSMASTER log and candump file formats.
c9423a9a13 Fix some spelling errors and update word list.
4fd5224ecf CMake: Use target_include_directores more.
6bffbc9896 dvb-ci: pass ami payload to mime-encap dissector
a931d73e64 wiretap: fix return value of wtap_register_file_type_subtypes().
43ffb5436c btbnep: use the define for ethernet address length
e106fa9e74 dvb-ci: lsc resource: dissect ip config request and reply
edc17b6589 wiretap: update the count of builtin types early.
881f1048eb frame: get rid of an unnecessary initialization.
dc73b731ca IEEE 802.11: Handle invalid SGDSN serial number lengths.
ba9b08a710 netscaler: fix a comment.
f3166ce07d ui/capture.c: simplify cf_open_error_message().
99ef1b2643 make-manuf updates.
a7256d50b5 wiretap: more work on file type/subtypes.
2ff9f3eb78 dvb-ci: add the host control apdus from CI+ 1.4
4e3ec2d01a TCP: last out-of-order packet is marked as a retransmission
b3f356efa2 RADIUS: add accounting request authenticator validation
1965109ec7 Fix null dereference in packet-vj-comp.c
2efed17b54 addeded description about Resolved addresses stats
90b6db8ff8 added the description for HTTP2
e5658ccb5c Spell checking script: reduce output.
6581899a84 NCSI: Squash commits of NCSI and PCI-IDS
3ad7f90a96 CMake, GitLab CI: forcibly unset CMAKE_VERBOSE_MAKEFILE if requested.
fa15eb8f5d CMake: Add a note about setting CAExcludePath.
9ffb0f27c8 GitHub CI, CMake: override the definition of cmake_build.
23a5f6a177 Support Van Jacobson PPP compression (#12138)
20ab1ba46b HNBAP: Break out MCC and MNC from PLMNidentity
2a1de77c72 GitLab CI: *both* commands to sed need a -e flag.
2e9303b7b2 GitLab CI: use sed to strip out -W and -f options from output.
0ed0ab665f CMake: the argument to rpmbuild to quiet it is --quiet, not -q.
e29c934d72 NVMe Fabrics RDMA: Initialize a variable.
ef03a3b4ea ieee80211: Fix dissection of NonTransmitted BSSID Capability when include on nonTransmitted BSSID IE
ecaf1897aa Qt: Do not use obsolete functions
4b22f71f76 CMake, .gitlab-ci.yml: try to cut down the output for Fedora RPM builds.
812c9f5b81 rpm-setup, WSDG: add a --install-rpm-deps option to install rpm-build.
11e919898c Set a few more dissector vars/funs to static.
909bb0a012 dvb-ci: initial support for auxiliary file system resource
e99c9afce8 Be more strict about opening URLs.
270c8ed746 CMake: Make sure system headers are treated as such.
3c404abf2c rpm-setup: install libgcrypt by default.
dde65b96cd ip: ip_ttl _ws.expert fields not set if no tree
996bdc37bf WSDG/WSUG: Bugzilla->Gitlab Issues; bad MATE link
7f2ad0b7d1 IEEE8022.11: Fix some spellings.
de4cd04e60 gitlab-ci: try to make the RPM build less noisy.
2e4ea72f51 gitlab-ci: try to make the Debian build less noisy.
c0711693ab Enable -Wredundant-decls.
3387eef836 wiretap: remove duplicate declaration of wtap_block_get_type().
0cf834f909 Make some more variables and functions static.
e727d6f838 PDCP: set key error strings with g_strdup_print)
20bc017ba5 [Automatic update for 2021-02-14]
b8b3531883 wiretap: register most built-in file types from its module.
5b3c3d0682 WSDG: deprecate wtap_filetypes.
8ec5906fd6 iseries: report Unicode files as Unicode rather than ASCII.
63d802099a ieee80211: Update Reference
8bba6ebe5c wiretap: remove spaces from file format names.
8037be0ef6 Modbus/TCP: Add TLS dissector
afeb15d4d8 QUIC: add support for more QUIC versions
5d38347128 bssgp: Set in_error_pkt
318d86852d gprs-ns: Mark NS-STATUS as in_error_pkt
5260be8ab6 rdp: add Restricted authentication mode flags dissection
24acef0885 wiretap: file types have a name and a description.
28dbff322b WSDG: add UN*X targets for building packages.
f0ebc50762 wslua: expose some libwiretap APIs in Lua.
b67494e32a WSDG: give more details on setting up a UNIX build environment.
b9bdc803bb ASTERIX: fix dissection of I010_041 and I010_042 fields
af119730e6 ISKAMP: fix a REPORT_DISSECTOR_BUG printf
4c328749ac NVME RDMA dissector: add decoding of RDMA payload for connect command.
7246677d42 NVME RDMA dissector: store RDMA transfers and link them to commands.
aea7f6fad2 NVME RDMA dissector: decode Property Get/Set structures.
bfa2ae5964 Revert "NVME RDMA dissector: store RDMA transfers and link them to commands."
c361d31843 added the description about the 29West stat menu
5160fc895e NVME dissector: fix parsing of NVME Identify command.
54abb56b1d added description for F5
aa0081327c wccp: fix unused variable ‘length_remaining’ [-Werror=unused-variable]
7d8d209c9f wccp: fix Dead Store found by Clang Analyzer
9d91ebd616 VNC: Fix dead store found by Clang
a4bcc8bd13 snort: fix dead Store found by Clang Analyzer
3cf55c314e ieee80211: Fix Dead Store found by Clang Analyzer
2aab84350d someip-sd: Fix Dead Store found by Clang Analyzer
6fc94ac462 extcap: Fix Dead Store found by Clang Analyzer
f2888ecf38 btle: Fix Dead Store found by Clang Analyzer
a22ef5cca5 btatt: Fix Dead Store found by Clang Analyzer
a3bb5f2da3 Added the description for the SMPP operations
05d5506324 NVME RDMA dissector: store RDMA transfers and link them to commands.
7b9e8f3080 SOME/IP: Fix crash after loading a faulty uat config (BUGFIX)
f5b8c1b686 ESP: validate keys in UAT.
c7f66cf934 TShark: Load extcap preferences only when needed.
28937e9022 Fix dissection of transport connect payload for NVMEoF with RDMA.
156bc6ca91 DNS: Support for ZONEMD RR (RFC8976)
2c6b9e83f1 RTP player: squelch a narrowing warning.
f355bfadcc SCSI: use BASE_DEC_HEX for counts/lengths/etc..
976f3da9aa Infiniband dissector: print RDMA addresses, sizes and keys in HEX.
9e2e260fa8 Infiniband, iSCSI, NVMA: use BASE_DEC_HEX for counts/lengths/etc..
a8e2197d99 git: Parse delim-pkt and response_end-pkt
c8246c9973 Moving glib.h out of extern C
1eeb2c1a10 SOME/IP: Bugfix copy and paste in method name check
46c44e0785 NR RRC: add preference to put NAS in the root tree
12ab24019f RRC: add preference to put NAS in the root tree
ebfbf958f6 Add ENC_TIME_NSECS timestamp encoding
9dd74b2788 p1: Rewrite do_address for extension attributes
52163d05ba IPSec: add comments to ESP key-setting function.
259134b406 Make some more variables/functions static.
cb3d463a38 lte-rrc: Add preference to put NAS in the root tree
a1e03ea89e Remove the existing "custom block" mechanism:
e92620454e Diameter 3GPP: Dissect more flags in Access-Restriction-Data
5e735f6581 TCP: Remove a no-longer-used field.
ce19a2512e TCP: Add a SACK range check.
ccd8529440 ieee80211: Add bit 34 and 35 on RM Capability
70a85e1fa5 gsm_a_common: free stat table items
cd4e55fa03 gsm_a_common: create and populate the stats table only once
02cb167cce uftp: Fix typo in #define for default port
f0c54cc480 wiretap: add an API to get the type of a block.
09684644ee wiretap: clean up WTAP_BLOCK_ names.
d67b856d62 added description for IPv6 statistics
ae8c1d405a added description for IPv4 statistics
698dab4bfe RTP Stream Dialog: Selected rows keep selected during recap
99c712ff5a dumpcap: don't mention Npcap if we're not using it.
7e063b6070 RTP Player dialog improved
9c9376fa01 QUIC: add support for draft-ietf-quic-version-negotiation-03
b1838bb950 Make more dissector non-statics static.
69066c77ee PDCP NR: fix compilation without any ciphering algorithm available
b09514f3b3 dumpcap: provide more information to put into an Npcap bug.
40e5934444 first version of reassembly btatt
9b771d2c14 dumpcap: use the display name in error messages.
37f5e0f7fd dumpcap: give details on how to fix Npcap bugs.
b3db9e3aa1 dumpcap: show the interface name in capture errors.
35d8055e0e ieee80211: fix HE Operation Channel width
a3bab17bc9 ieee80211: Add HE Operation 6Ghz
40c1929115 Refactored: Moved sample_bytes_ to rtp_media.h as SAMPLE_BYTES
80aa82c039 ieee80211: Add support for Robust AV Streaming.
cd9d4d38c4 wsp: create and populate the stats table only once
0239c495dd mtp3: populate stats table rows only once
965451f10e dot11decrypt: fix build with older GCC
251092b005 Make more functions and vars static.
b35befb818 added description for ONC-RPC Programs
69df23fc40 sharkd: Add configuration profile and other options
37bef583da NAS: Put decoded user data in the top tree
1684ff0b4a packet-netlink-net_dm: Fix timestamp handling
d28021cacb "The device has been removed." can happen if it has, indeed, been removed.
27cbb68525 dumpcap: look for "PacketReceivePacket error: .* (1617)".
c9174bb67d smc: display reserved bytes
152fd1fdab dumpcap: improve some secondary error emssages.
b12c82c102 wsp: (trivial) use consistent indentation
02e875b78f h225: create and populate the stats table only once
72468248c7 gsm_map: create and populate the stats table only once
a198094599 ansi_map: create and populate the stats table only once
04d887f2fd camel: create and populate the stats table only once
881941e255 sip: populate stats tables' rows only once
dd1b76b4ad rpc: populate stats table rows only once
9337e1cd53 dhcp: populate stats table rows only once
395af33e74 ansi_a: dtap stats: populate table rows only once
67b4680bca ansi_a: bsmap stats: populate table rows only once
f93f7d80b3 [Automatic update for 2021-02-07]
85de5ed784 btsnoop: fix writing of btsnoop files.
4569260b22 ieee80211: fix conflict
edd0396bb0 ieee80211: fix -Wmissing-prototypes warning
3a4def009e ieee80211: Add Known BSSID and Short SSID Extension Tag
7306a1a5c6 ieee80211: Add Reason code (71) from 802.11ax/D8
4795dccac7 ieee80211: Add Band id 6Ghz
a660c80f79 ieee80211: Add Extended Capabilitilies from 802.11ax/D8
1441d45000 ieee80211: Add Extension Tag: Mutiple BSSID Configuration
1abc4d7f1a ieee80211: Update Extension Tag value_string
57fd3157c5 ieee80211: display payload data and expert info when unknown Ext(ension) Tag
a5483a99d7 ieee80211: not found tag num (or Extension Tag) are unknown
be214d1166 ieee80211: fix length of extension tag
30744de9e3 per: remove len is not longer needed
316ecda0a7 per: remove extra parenthese
d735f8b9ee smc: fix Dead Store found by Clang Analyzer
0ca129bdd2 per: fix Dead Store found by Clang Analyzer
f715b01058 pdu-transport: Fix Dead store Found by Clang Analyzer
572774123f opa-mad: Fix Dead Store Found by Clang Analyzer
f6508c33c8 iso8583: Fix Dead Store found by Clang Analyzer
721c70956e nfs: Fix Dead Store Found by Clang Analyzer
d9c71861a3 radiotap: Fix Dead Store found by Clang Analyzer
e59c6b5c78 gsm_abis_oml: Fix Dead Store found by Clang Analyzer
60cdc48efd mgcp: fix Dead Store Found by Clang Analyzer
7ef0bd34b0 iso8553: Fix Dead Store Found by Clang Analyzer
ef6d3ae9a0 cemi: Fix Dead Store found by Clang Analyzer
11a55c8601 dcom-typeinfo: Fix Dead Store found by Clang Analyzer
1cbafa47b9 wiretap: add a mechanism for built-in modules to have a register routine.
12960c81c4 pcapng: write out the FCS length IDB option.
910c489a4a pcapng: fix build without plugins.
89fee9321e Avoid exposing HAVE_PLUGINS in the public API
91064e337c Aruba(IAP): fix extra space
1de4cc47af minor fixes
527bb28d20 added the ANCP statistic description
44dbf37412 pkixtsp: support opening standalone query/response files
9e8e157b75 added description for DNS statistics
fdcddd4b78 rtmpt: fix extended timestamps on type 3 chunks
5f31971e68 SCTP menu item is described
6c24e17a5c TFTP: Link each DATA/ACK to its read/write request.
539ab40611 added description for the Collectd statistics
63147c10ba added the HART-IP description
0676de8d77 added description for the Sametime statistics
1579ada891 Added support for application/json-patch+json (RFC 6902)
23467afdc5 wslua: explain, in a comment, how .init routines work for a Proto.
b83f92a458 packet-fr: Register for SLL dispatch to Frame Relay dissector
74961582b3 RTP Player: Possibility to remove stream from RTP player
597a5df1a7 Make more functions and vars static.
cefc4e183d added description for the HPFEEDS statistics
67c666b251 RTP Stream Dialog fix: Duplicated streams could be shown
1bb97c5973 TCAP: Don't attempt to decode content when a subdissector has done it.
51f6be91e7 added the BACnet description
88a86f5f01 RTP dissector: Remove unused functions
eb066c6091 wiretap: use a hash table for option types.
44abff6934 pcapng: expand the plugin option handlers to support writing options.
f55813e518 Qt: Remove an unneeded semicolon.
9d5e9f2c29 IEEE 802.11: Allocate our S1G property keys.
1897208d34 RTP Player: Selected waveform is emphased. Waveform can be selected by click.
68ae34fba7 RTP Player: Audio routing information refactored
9db3617b46 RTP Player: Added notification message during long decoding
712490f214 pcapng: have common code to handle otherwise-unhandled options.
66d84fc567 RTP dissector: Removed unused functions
279d4d12c2 RTP dissector: Remove unused functions
c74ba04628 Oran: Advance offset for section extensions
7401dbaa82 SIP: Fix header Id mapping
ba23c3b316 tests: Add argument to trim output to a reasonable size
791d101d4d LLDP: Add new IEEE 802.1 subtypes
981e662a0a Minor changes to ENC_TIME documentation
c05bcb2c9d Oran: Add section extType=6
42dc21a346 pcapng: pull common processing code into subroutines.
ba189f04b2 TECMP: Better formating for analog values
08d3c6a4d3 Add an initial CONTRIBUTING file.
0e86ea6c57 Update documentation for ENC_TIME_* constants
11c8f5c30b FIX: asterix cat.240 START_RG(240_040, 240_041)
d68c19565d Make more functions and vars static.
55d53dbf1b S7COMM: remove array size from function interface
95ba4daf5b WSUG: don't repeat caption in the text
fbdd2446e1 pcapng: Fix copy-and-pasteo.
5c3a651ea2 Fix doc/README.plugins mentioning the wrong symbols
581aa9136d IPv6: Add dissector for Tunnel Payload Forwarding (TPF)
0d851d336c IPv6: Fixed hf_ipv6_routing_crh32_current_sid unused bug
02f4f45687 RTPproxy: Explicitly check for IPv6.
2834024db1 Make more functions/variables static.
9e7168e476 Address more non-static, non-shared symbols.
7f23130fc0 SOME/IP: Changed config was not respected (BUGFIX)
0773147a55 wiretap: redo the way we handle if_filter IDB options.
5837bcea5e GOOSE: New option to display float values
fb2a0b4a71 ieee80211: Add support for S1G including PV1.
fc5d8db628 ieee80211: Add support for Extended Capabilities up to Octet 13.
bdb6e79490 DocBook: Update the packaging and CI sections in the WSDG.
e642f94ecb [Automatic update for 2021-01-31]
80760302c9 RTP player: Doubled buffer for replay to avoid play stop caused by underruns
a5207b541e mtp3: create the statistics table only once
b00c3bd742 sip: create the statistics tables only once
b49b95af65 rpc: create the statistics table only once
f21f1c292a dhcp: create the statistics table only once
8963dff518 ansi_a: dtap statistics: create the table only once
46389187ca GitLab CI: Don't build openSUSE 15.1 anymore (EOL)
1f15c0899e epan: have a routine to register all tap listeners.
b2db1517be Oops, put back accidentally deleted blank comment line.
2c719d4517 Generate plugin.c for tap plugins.
8c83f31063 wiretap: fix indentation.
3db10d02e9 wiretap: add wtap_block_set_nth_string_option_value_format().
ed9485ce00 TCP: Null pointer crashes Wireshark
10178fdb09 Don't include config.h in system headers
b8e2005653 wiretap: clean up comments.
9177f0e71a Docs: Change the default wsbuglink text to "Issue".
ca85c516fe Refer to options whose data isn't a simple data type as "structured".
5fbc354f86 Make more functions and vars static.
f4ac70818a stat_tap_table_ui: create tables only once during init
9fc1ce7610 ieee80211: Add FILS Discovery (Public Action)
b4f74bac74 ZVT: clean up some data points
4715f5021c epan: don't print nanoseconds if seconds isn't representable.
bf265d7e7a epan: don't use gmtime_s().
4e4a7c11c7 epan: don't assume gmtime_s() or gmtime_r() succeed.
6508b02ec4 D-Bus: Improve signature validation
266e99e11a D-Bus: Handle variants with empty signatures
96169c25f6 D-Bus: Pop subtrees on error in D-Bus header
8e1e28623b Add an encap_table entry for WTAP_ENCAP_ETW.
616d44cbb6 ZVT: Use standard TCP segment reassemble support function
93a472575d Rename WTAP_ENCAP_ETL to WTAP_ENCAP_ETW.
efcaa68807 More checking of non-static symbols.
be0171019c UDP: Clean up handling of zero-valued UDP checksums
1ef2077904 UDP: Add preference to ignore zero checksum over IPv6
d7ffd8f014 git: parse Git Protocol version from pkt-lines
ca4e5c2962 Next batch of unused globals.
c26addae44 One more check for connection_info being non-null is needed.
76abe23f6d Bluetooth BR/EDR RF: header decoding according to specification
7664748e72 BT_EVT: Codecs are not vendor codecs
cd278f5fd9 wiretap: Fixup the sdjournal block length in pcapng.
795dce3a6e NR-RRC: Use mac-nr UEId to configure algorithms
277890d7e1 Bluetooth: Fix NULL pointer dereference crash
d536d11a28 QUIC: Add dissection of MP-QUIC draft-deconinck-quic-multipath
f255f6c683 TCP: Taking SACK's into account for in flight calculation
32cadbacb1 Bluetooth: Detect invalid control procedure collision resolution
619b3128a1 Make some symbols static or delete them.
785e291c1b USB HID: Avoid allocating a huge amount of memory (second try).
26f0db01a7 USB HID: Fix a memory leak.
6a860c979a Fix TID bitmap name
420c0aea1e EPL: various extensions
846985afba AMQP protocol method Exchange#unbind-ok got method id 51
aa78bb8546 tools/check_spelling.py: Fix args handling
748d63712e rdps.py: Use string equality for comparing strings
31546ad35d check_tfs.py: Avoid duplicating list entries
e69a20f5c8 check_spelling.py: Avoid duplicating list entries
009ce4b331 check_typed_item_calls.py: Avoid duplicating list entries
9592d3fee9 check_typed_item_calls.py: Avoid mutating default arguments
5693ca8d50 packet-someip.c: Fix copy-paste error
0dab2494ca Bluetooth: Match control procedure requests with responses
d50d075f88 [Automatic update for 2021-01-24]
bc530a355d Added dissector for TP-Link SmartHome protocol
a7ad6c271f tshark: Fix typo in comment from ascci to ascii
506f1c650f tshark: Unconditionally call extcap_register_preferences
9ba1053237 packet-vnc: resolve issues reported by check_typed_item_calls.py
b523ae8d74 added the description for Bluetooth devices windows
884158fd24 GSM A-bis/RSL: fix SRR bit dissection in L1 Information IE
c8115695fa description for the Bluetooth ATT server attributes menu
c69553216e dot11decrypt: Try to fix builds with Libgcrypt < 1.6.0.
18013a8968 added the description for Bluetooth HCI Summary
bb48a9da99 CMake: Fixup rpmbuild verbosity.
c1527c5d22 SOME/IP: Adding support for filtering parameters
229148a168 ieee80211: Update Reduced Neighbor Report with 802.11ax (WiFi 6)
483021004d added the DHCP statistics description
9913b8647e packet-vnc: added support for VeNCrypt
1b5df467b6 E1AP: use tcp_dissect_pdus()
b297afee3e f5ethtrailer: fix low, legacy noise / FCS 0 start
d2a6ca780f WSDG: Add section on expert items
13e04a2192 FC ELS: Fix address length of FCWWN address in logout message
4eb76c8ee8 E1AP: Dissect E1AP over TCP with a 4 byte length indication.
cb1bc50774 PTP: Adding support for 32bit timestamp
f7b0f9b2d4 tshark: prevent multiple -T.
8da6d6d1cc bluetooth: Add event counter and event counter valid to context
df53c21cab Move some variables inside the block where they're used.
150d138a0d dot11crypt: Fixing bug that breaks build on Windows
f9fc064255 Cast __LINE__ to unsigned int and print it with %u.
d78d50d5a1 Move some variables inside the block where they're used.
69aa20669c dot11decrypt: Refactor Dot11DecryptRsna4WHandshake function
fbb9056d20 dot11decrypt: Add partial FT-EAP decryption support
76932c250a ieee80211: Dissect FTE and MDE with flags and subtrees
2306cbddb9 dot11decrypt: Support decrypting FT initial mobility domain
75e90aa4e9 dot11decrypt: Create utility PRF and KDF derive functions
8f8e87e384 dot11decrypt: Indentation using whitespace in dot11decrypt_util
f64eddfd01 NAS 5GS: fix display of IPv6 interface identifier
b794e4798a NAS EPS: fix display of IPv6 interface identifier
3aa64fe819 ieee80211: Update Public Action
476d2e81ff ieee80211: Add Reduced Neighbor Report (201)
3019bc4efc MAC-LTE: Make main disection function static
acf713313e ieee80211: Fix Environnement
5c71955270 Move some variables inside the block where they're used.
05b9e53777 Don't dereference a known-to-be-null pointer.
28d89773fb Move some variables inside the block where they're used.
97a168747f Move some variables inside the block where they're used.
11b500ce1c Remove redundant assertion.
138041b545 Squelch "Clarify calculation precedence" warning from cppcheck.
887cacd12c Don't check whether eth_name_lookup() returned a null pointer.
64f1d09ef3 Make various max packet sizes unsigned, and clean up from that.
6db087ae4b No need to check for both "not null" and "is space".
793333d039 Make some loop indices private to their loops.
c6d1031328 Squelch duplicateCondition warning from cppcheck.
6b85987e4a Squelch "Clarify calculation precedence" warning from cppcheck.
f92206ab51 Add dissector for Asterix Category 240 v1.3.
165792fb31 dup() can fail; check whether it does.
85a7938925 Qt+tools: Fix most of our lupdate warnings.
f504af93f3 PDCP-LTE Zuc integrity + deciphering
a260f6a4e0 Correct comment on expert values
2132b3bd40 PDCP-NR: Add ZUC Cipher/integrity calls.
675de0f4f1 [Automatic update for 2021-01-17]
9faf6d4e7b QUIC: improve error reporting
1979750a78 Spelling: avoid generated files with --commits
6a271f90c5 SOME/IP: Change UAT config from dec (0 or 1) to bool.
ad13b877e6 SOME/IP: dissector_delete_all used the TCP handle for udp (BUGFIX)
a51713c087 SOME/IP: String endianess was not respected (BUGFIX)
8203e10488 SOME/IP: Fix subdissector support
737e18d37b SIP Flow: Fixed core dump when dialog opened
4c1e0dd1fb macos-setup: Support uninstall of QT versions 5.[10-14].x
6c65f0586c Register some expert information for a common deviance from spec
64033f80f1 Preliminary MODE09 Support
569cf94c28 Remove magic numbers; adjust dissection for new payload offsets
1c3186ef2b OBD2 on CAN rides on ISO15765, made it a subdissector.
22f4e21cb5 GTPv2: Update IE 8.12 Indication
53aefe55d5 ieee80211: add ID ANSI to VS SGDSN type 1 message
f13c389fbc gprscdr: Update to 3GPP TS 32.298 V16.7.0
00b5934ef8 PFCP:Fix duplicated filter names and use BASE_SHOW_ASCII_PRINTABLE
8bfff60293 Avoid CMP0071 warning when configuring with the pluginifdemo
cc929623a1 EPL: fix reassemble (length) detection
8e030dfbea tap-simple_stattable: fix a memory leak for tshark -z
b2b66be42c OBD-II: Adding support CAN heuristics
dfd7ae3b74 nstime: Remove an unneeded check.
e8f52680c1 pfcp: Update to 3GPP TS 29.244 V16.6.0
fab3070e79 TECMP: Adding heuristics support for CAN and FlexRay messages
4d515f70af AUTOSAR-NM: Adding support for PDU ranges and clean up
5f36e597a0 NBAP: regenerate dissector from ASN.1 source
0636906880 CAN: fixed heuristics of CAN
60414fa60f Revert "Qt: fix memleak in DecodeAsDelegate."
238446dc91 AUTOSAR-NM: True-False-String wrong way around for PNI (BUGFIX)
cb8c64f521 Fix duplicated filter names
fba99bdef1 DoIP: Make finding start of message more robust
45e6575699 WiX: Update the README.
d9abd5005d gsm_a_common: remove a variable that is always 0
dedfbc9d20 gsm_map: remove a variable that is always 0
af6507c71f ansi_map: remove a variable that is always 0
765ce11b3f Fix value_string consecutive repeated strings
26e4b84623 camel: remove a variable that is always 0
a07898a280 Windows: add a notice to NSIS in case of BSOD while installing Npcap
511aeaa44a Windows: fix USBPcap page link display in NSIS installer
5db887753a lwm2mtlv: Update to Core V1.1.1 spec
77043708fe PER: remove an unused expert info field
6178fe94ef PER: fix a typo
3e84673c5f NAS 5GS: add a value string for standardised SST values
8b487e22e0 Qt: fix build error with older GCC
92cc8096a3 PER: Add a check for avalable data in open type dissection.
09426b2cd5 dhcp: remove a variable that is always 0
a2b7925708 DVB-CI: fix parameter names for payload functions
02f2d18b2e SIP: Fix parsing of multiple contact-param
132d725bdc rpc: remove a variable that is always 0
9700d53e2b PDCP-NR: Trivial updates to some comments
e6a93a313b Qt: Debounce Preferences -> Advanced menu's "Search" to improve UX
9d62e96411 Fix a couple of user-guide spelling errors.
69710ff117 DoIP: Adding 2019 DoIP Type
5d8105752d GSMTAP: dissect SRO/SRR (SACCH Repetition) bit in L1 SACCH header
6e801d132c adding the description for UCP Messages menu item
41a4d594b9 proto: replace g_assert_not_reached() with REPORT_DISSECTOR_BUG().
fb422bed91 Qt: Make the checkSaveAsWithComment dialog box appear.
ab42a5dc41 WSDG: Remove reference to Gerrit, as it's no longer used
d612e19767 macos-setup: Allow installing QT 5.14
c523356c3b Fix duplicated filter namecated fileter names
03baf65ae7 editcap: add support for epoch timestamps in `-A` and `-B` options
0e84610676 Bluetooth: Refactor dissection of control proc packets
8dd8491713 Qt framework: Dialogs are correctly notified when capture file was closed
aad42108e0 imap: fix bug in username retrieve.
514b3d707a PDCP-LTE: Fix level of error string indirection
f6af99045f BGP: Support for RFC9003
bd597dc247 TLS: add support for "delegated_credentials" extension
a6ed43e06b [Automatic update for 2021-01-10]
546dc0270c CMake: Make the rpmbuild output quiet by default.
0d820ddc8d Packaging+GitLab CI: Dist tarball updates.
9b0c3f5eaf Just correct the documentation for this obvious mistake. Closes #17141.
4a72be5473 NR-RRC: Set drbid entry properly in mappings
43ec0bd228 PDCP-NR security fixes
eff595db67 macos-setup: Update Python for Big Sur and Apple Silicon (arm)
d6bd8d2c3d drb: fix compiler warnings.
b758fdaede Add iso8601_to_nstime() for editcap and nettrace
73cef353bf ansi bsmap/dtap: remove variables that are always 0
07c2439714 gitlab-ci: reuse tarball from ubuntu-dist in rpm.
6b0f2ead7a rpm: disable double dash check on fedora.
e0f1c67970 cmake: make rpm-package dependent from dist target.
102a53c852 NR RRC: upgrade dissector to v16.3.0
53651da5f7 dns: fix compiler warnings.
2702956d9b tcp: fix compiler warnings.
27b2d71bc0 Update RLC Graph screenshot user manual.
3551dfe56e LTE RRC: upgrade dissector to v16.3.0
15b574de49 LPP: upgrade dissector to v16.3.0
6fb9455327 description of the RLC Graph menu item + screenshot
2e0dda9e03 CMake: Reduce "Generating plugin.c" noise during the build
1d43b2a3aa Telecom dialogs: Fixed issues during capture file closing
55075f6e8d Fix: SIP Flows dialog can't be open when VoIP Calls dialog is opened
dd13766fb9 Qt: fix memleak in DecodeAsDelegate.
602a1ef613 Qt: fix leak in DecodeAsModel.
0f7ec0694e ieee80211: Add HE 6Ghz Band Capabilities
1546a0af26 TECMP: Fixing wrong size of HW version in Status CM Msg (Bugfix)
1c12c99b13 Fix duplicated fileter names
21ee5be5fe WSDG: Update section "Adding a basic dissector"
8427aef42c WAP-WSP packet counter menu item [docs]
a5e1527d9f description of the Osmux menu item
acf8f8b0b9 GSM menu item in telephony is described
7910a5c4ba Release notes: Fixup the new protocols section.
7ace905366 F1AP: upgrade dissector to v16.4.0
d74bfc569e macos-setup: Update CMake for Apple Silicon
fc49e2fb6e E1AP: upgrade dissector to v16.4.0
b0abc6f380 XnAP: upgrade dissector to v16.4.0
d0bf9c1571 NGAP: upgrade dissector to v16.4.0
0dcf1ab024 git: parse sideband control code from pkt-lines
dc8ad07ce7 The exporting PDUs to file section is written. The window screenshot is added
78bbd1784e bsmap and dtap statistics windwos are described
fbb9ae4f47 missing is removed. the description is merged in 887 MR
d139fe3bc7 LTE-RRC: Fix duplicated filter names.
71128b0d73 description for ISUP Messages menu item
098dc4843a X2AP: upgrade dissector to v16.4.0
40c1ab88da S1AP: upgrade dissector to v16.4.0
11bec9b0b5 description of the MTP3 menu item
b816d5de5c description of the H.225 menu item
445df19e7c PDCP NR: Get DRB params when RLC not present
8902386c76 UAT: Adding support for uint64 (dec/hex), int64 (dec)
c1ba732861 Qt: Set Packet List scrollbar page step
7980f25f99 Qt: Fetch OverlayScrollBar sliderPosition from the real ScrollBar
718cff5264 Initial refactor of nettrace reader (#17009)
84eeeabde9 Update to DICOM Edition 2020e
4003a5f3ce TPNCP: Fix exception for commands/events without CID
dfc05555eb [Automatic update for 2021-01-03]
7928f81b10 RTP processing: Modified RTP sequence verification
85deb99637 ntp: remove size constraint for invalid refid.
41a6457ff3 PDCP-NR: Set 'cipheringDisabled' from RRC
4907aa5f47 TCP: Implement 2 new fields to track the connection closing initiator.
5b6af25fc7 TCP: First Full TCP Window is not detected
b9e5b58ee9 RTP dialogs fix: sigv occurs when dialogs are open when no cap file is open
a256ad68d6 UI: Remove apostrophe from FAQs item in Help menu.
a42ab09b72 Qt: Connect QScrollbar::actionTriggered to OverlayScrollBar
346bfe097f DHCP: RFC5192 PANA Authentication Agent option
1b81052f9e PDCP LTE: Check configured key strings
3506735f08 macos: Clarify when xz support was added to tar
fbd3fb3138 GnuTLS: Bump minimum version to 3.3.0
fd6c5e6a9b RTP analysis: Dialog uses common calculation function
f0c703e22d RTP Player: x axis centering correction
962ff4883f TCP: Fix port reuse giving a wrong relative seq number
b5a0ba896b DOP: regenerate dissector from ASN.1 source
77151a2801 CMP: regenerate dissector from ASN.1 source
7844e267ec mptcp: fix relative DSN/ACK for additional v1 subflows.
1455b6e82d MPTCP: Fix false Duplicate ACKs
e38e412239 MPTCP: Correct Apply as column for the subflows field
976c560bea RTP Player: Fix for #16452
9e4ec8a616 RTP Player: Shows streams independently on active display filter
e9e36e20bc RTP Stream Dialog: Start of call can be shown as Time of Day
793ece52e5 PDCP-NR: Report errors for invalid keys
2c44097e66 Kerberos: add support for decoding SPAKE exchanges
ac0cc25210 Remove more duplicate manuf.tmpl entries.
2a5c96a799 Voice dialogs: Added option to apply display filter in VoIP/RTP dialogs
1f3a81de86 RTP Player: Time span column shows time of day when Time of Day enabled
cf9ffd3d83 All RTP dialogs: Added option to specify count of decimal places
5c936174c6 libgcrypt: Bump version number to 1.5.0
85bf15fd76 Happy New Year 2021
ee78d8e616 VoIP Calls Dialog: List of calls is not cleared/refilled on retaps improved
894a70d079 Remove a bunch of duplicate manuf.tmpl entries.
26a822c968 TPNCP: Initial support for "Since" version
ca46d11c08 ieee1905: don't assume the address size in reassembly.
022b230dcf ieee1905: remove redundant forward declaration.
2e2a3ec8db NR RRC: update column info before starting Security Mode Failure dissection
9164d7f9ce PDCP-NR: add ciphering and integrity checking
4e8474fa29 80211: Fix interaction of 802.11s Mesh with Atheros padding.
41d6deb7c3 Scripts: Check that files exist.
b3d6580b4f editcap: clarify relation between -A/-B and -r
f652c79d5e BGP: Require min length Add-Path-Prefix check
cb65f9c150 PN: CIMVDIValue is not part of DNCP Suboption
a23915c9a8 TLS: fix display of Google QUIC Version in Transport Parameters
6a300f13d0 RTP Stream Dialog: Added 'Start Time' and 'Duration' columns to the dialog.
41bf14a39d VoIP Calls Dialog: List of calls is not cleared/refilled on retaps
45df54d319 NAS EPS: use equivalent common tfs
a727f83597 Qt: Allow color filters to use all valid display filters
f26a2952e4 SV: Interpret reserve1 S bit
bf81d7c16a tools: skip deleted files in check_typed_item_calls.
19a048157d rtps: merge all dissector pieces into a single file.
c7e89940b5 funnel: Remove unused typedefs
cd30f2434e proto: report dissector bug in proto_item_add_bitmask_tree.
b5c93beda0 Compiler warnings
396baef3e5 voip_calls_dialog/voip_calls: Fix for #16952
a9d4e70edc GOOSE: fix a duplicate FIELD_RENAME
8454674581 GOOSE: Interpret reserve1 S bit
71e3969d63 voip_calls_dialog/voip_calls: Fix for #16952
fbccfe9996 DHCPv6: typo
3f825576d7 DNS: typo in word "minimum"
762bc7beba Update docbook/wsug_src/WSUG_chapter_work.adoc
ecf91c06de WSUG: typo in ip.src example
b586e194bd RTP player: Size of symbols increased
5a7f249edb RTP player: Added pause button
936f2a9b70 WSUG: fix incorrect tcp.completeness example
a7c6de4c66 GitLab CI: Build merge-req:ubuntu-dpkg using Ninja.
9783caebdf PROFINET: According to PN spec, RSI dissections are added.
ed8268fcc0 TFTP: Parse "windowsize" and "msftwindow" options.
9443c14247 RTP: Added 'Play Streams' button to 'RTP Streams' dialog
c657a6f5e7 pcapng: add missing file format interpretation of EPB options
8dcff0e1f5 travis: bump macOS image version.
0f5aad4500 RLC-NR: Add reassembly of AM frames
1c2b499e0b Improve R-GOOSE protocol tree
93f6aa2c69 iLBC: fix deprecation type and cast.
1eff9c8982 rbm: fix compiler warnings.
428ecf2013 msgpack: fix some compiler warnings.
a5822f6792 Cleanup debug output and fix indentation
c15a37db51 dumpcap: Improve the secondary error for promiscuous mode failure.
c15025f684 [Automatic update for 2020-12-27]
f918c3372c Bump Qt version to match what is used on the MacOS buildbot
969c1c0271 packet-rrc: allocate correct type of object
cd2d35c1d2 Protobuf: fix bugs that parsing complex syntax .proto files
5778b2403e wiretap/k12text.l: replace g_malloc with g_new
fe6b774358 mate: replace g_malloc with g_new
b98754dc9e PDCP LTE: Add refs to message formats for security
2104b79479 WSDG: update protocol stats section to match current API
f75e2e5956 editcap: one more integer -> Boolean.
e8ebebe860 Adding dissector for PDU-Transport
0d0071a302 editcap: make verbose a Boolean as well.
d98106876c editcap: treat the "keep packets" flag as a Boolean.
a9ce232c37 NAS 5GS: upgrade dissector to v16.7.0
ca971264a0 NAS EPS: upgrade dissector to v16.7.0
6bce7b859a Detect and replace bad allocation patterns (more)
180b5e5dc0 Replace more g_malloc with g_new
1c7edf49f8 mate_setup: allocate correct amount of memory
38ab00a094 Let the CLI programs tell about how to show their version
b3352bd639 macOS: Force dark mode support.
e017fd5a04 cmake: fix comment in rpm-build target.
d45eab1f2d GitLab CI: Don't run locale-gen.
55bcf95d52 gitlab-ci: replace old notation with extends.
33ab986589 gitlab-ci: fix build:ubuntu-dist.
29b331bf0c make-version: use 0 as number of commits if they can't be obtained.
5227f385b8 Replace g_malloc calls with g_new
e16166a74c Detect and replace bad allocation patterns
7b27b444cb GitLab CI: Set CCACHE_DIR globally.
fc124f45bb GitLab CI: Use shallow clones for merge requests.
b468b1fb01 GitLab CI: Don't set our ccache size in ubuntu-dist.
a2bc5b5357 idn: prevent heap buffer overflow.
c971d7f10c GitLab CI: Copy the dist (tarball) build.
e2593e2022 Call add item and tfs checking scripts in ubuntu pipeline
b7d93ff0ef Fix some more item lengths.
ca99a821b4 Fix the way we get high-resolution time.
299d2f1ae5 [Automatic update for 2020-12-20]
2c303c725f CMake: macOS version updates.
eef4ba7ed7 More spelling fixes.
bfb889910a GQUIC: add decoding of QLVE tag
60401ca54e QUIC: improve heurist to avoid false positives
7332c91a7e A-bis/RSL: fix handling of MS/BS Power IEs in dissct_rsl_ipaccess_msg()
f3dc269df6 macos-setup: work around a botch in GLib "make distclean".
7052994a19 IPv6: SRH setup correct DA for pseudo header
8b0d19c634 macos-setup: explain why we're running autoreconf on minizip.
0cdbdcc5a4 macos-setup: fix the name of the -done file for Minizip.
806f524a10 macos-setup: do "make clean", not "make distclean", for zstd.
6498bde741 In Wireshark's version info, indicate whether we were built with Minizip.
024d91a493 cirrus: remove FreeBSD 11.4.
efabf1d291 wlan: fix wrong reported length for reassembled payloads
ff23fb9f0c SOME/IP-SD: hidden fields for entries are 16 bytes off (Bugfix)
b06b760dd2 UI: Fix Firewall ACL rules
4713e04143 Aruba(IAP): Fix and update model list
1949b6a5ee macos-setup: don't configure p11-kit to use libffi.
01e64f996b QUIC: update to draft-33
2db0c64034 macos-setup: remove tabs.
3bf1f18e48 Fix duplicated filters
9772fc5be0 GitLab CI: Add a dist (tarball) build.
2e137f31fa Update comments: From wtap_pkthdr to wtap_rec.
1694820e84 GTPv2: Update IE 8.12 Indication
cf6f049456 GSM A-bis/OML: fix dissect_oml_attrs(): do not dissect empty IEs
7010b4236f bfd: add ports for BFD on LAG and seamless BFD
ca13c3ce49 macos-setup: get rid of a debugging "set -x".
9fbf79c045 macos-setup: various cleanups.
190442d76e macos-setup: set SDKROOT when running xcrun.
bf45e8c3f1 macOS: Add a workaround for libsnappy.
6deafe8afa F1AP: upgrade dissector to v16.3.1
d4b40c0047 Qt: Force layer backing on Big Sur when needed.
f2af1ea66d macos-setup: fix uninstallation of libtasn1.
7e8392c784 R-GOOSE dissector: Fix subtree item lengths
adb1b59495 Fix duplicated filter names.
4735eddfef Fix duplicated filter names
19ffed19bd fcdns: the Owner Id field is a 3-octet FC address, not a text string.
7b4abddef2 LPPa: upgrade dissector to v16.1.0
4427c11571 NRPPa: upgrade dissector to v16.1.0
ed6f6a49aa fcswils: fix a comment.
58dc84ab04 ORAN: check valid sample bit width from prefs
099554adb0 extract_asn1_from_spec.pl: fix parsing with CRLF line ending
3e3194092c GitLab CI: Switch from clang 10 to clang 11.
3f0fc1b232 FC: use ETHERTYPE_UNK when applicable, no excuses
354a6fd015 FCdNS: use correct header field for field of flags
9c1893b565 GitLab CI: Try to optimize our ccache maximium size.
5dff85e84b Fix duplicated filter names.
253c49b73e packet-mq: Improve MQINQ Display
b7cb24c1fd check_typed_item_calls.py: some tweaks
0fdbe0839d asn2wrs: Rename duplicated filter names
d13a7899ec github: use macos 11.0 in macos image.
99cc1280dc VCDU: Sequence Count is 3 bytes.
4bf4a46f9b Qt: add support for new netsh syntax in Firewall ACL Rules window
5ed3a4dc02 Windows: clean libpcap package
0d11bbeeaf Windows: upgrade Npcap to 1.10
ff3fffcf5c VoIP: VoIP calls statistics are cleared when retap is issued
6048e027ec SCTP: Fix marking of dependent frames for tshark
ac8ac25da1 GitLab CI: Increase our merge-req:ubuntu-gcc-ctest parallelization.
5bb776bfe3 TDS: make dissect_tds_prelogin_response() return a Boolean.
5a53365f60 TDS: show the COLMETADATA results token flags in hexadecimal.
701d72754a ORAN: trivial comments and formatting changes
21928345d3 [Automatic update for 2020-12-13]
7f376c7ced SNMP: Fix checking of SNMP v3 auth if MD5 method is used
9d2481c9f5 ORAN: Skip BF Weights if don't do comp method
270561ade1 DCT2000: Allow any PDU to be dissected.
02c5f50009 macos-setup: more cleanups.
7d01e3a74e macos-setup: clean up uninstallation of snappy.
1a3703cc3e ORAN: Fix possible divide by zero errors
e92119c608 macos-setup: build snappy as a shared library.
b63692e327 GitLab CI: Disable LTO on Windows
504f2ea42a Snappy uses CMake, and they didn't bother to provide an unintall target.
2ecb606142 Work around more NeXTStEP-induced pain.
53775325df RPM: Try to fix openSUSE packaging.
b687813f58 acn: Change new DMX protocol name
4227e5a1ad QUIC: fix a stack overflow
cea77caf41 cli-main.c: free() argv's memory
001d0debdc rpm: rename metadata
f194adb200 NAS 5GS: fix a typo in request type filter name
beb1877841 Qt: Add missing break in Win32 file export init dialog function
746051d099 Qt: fix crash when opening/saving IP map on Windows
e2e43c0a8a eCPRI: cache oran dissector handle
b908dd3d78 NAS 5GS: Fix a conflicting value_string
9623aaebdd UDPCP: cache xml dissector handle
404802dc34 Tools: skip commit validation for merge trains.
9fb03566c2 Qt: create endpoint IP map in temp folder
6e1142c33a Win32: Add an include guard.
69117ba88f AUTHORS.src: Add Jan Schiefer for O-RAN dissector
5a36793c84 O-RAN fronthaul UC-plane dissector
7304487462 btle: LL_REJECT_IND_EXT -> LL_REJECT_EXT_IND
976738cd6c USB-HID: Tertiery is usually three
081f78e8dd GitLab CI: Update merge-req:windows.
42a09ad02e Linux: rename metadata according to spec
9a46fabf52 Introduce ENC_BCD_ODD_NUM_DIG in order to handle odd number of digits
37f11e9a36 DOCSIS: Add FDX support to Downstream Active Channel List MDD TLV
2a98c11896 Reassembly: Flag duplicate packets as overlaps in offset based reassembly
08a87f3e4c dot11decrypt_util: Avoid abusing memory layout
86e23155fe Windows: upgrade libssh to 0.9.5
10377c4d92 sshdump: fix detection of custom version in Windows
1bab2f7ee0 GitLab CI: Stop installing external dependencies.
ef10cc74d1 CI: Fix Ubuntu tests.
770746cca8 epan: Fix format_text treament of Greek, Arabic, etc.
a61b6d277b RTP: RTP stream dialog exports to CSV and YAML pure and formated items
a1b870a2b7 packet-s7comm: Prevent use of invalid timestamp
bb494c11de Fix various spelling errors.
2ab153527d SOME/IP: Fixed incorrect resetting offset of static array.
0af60377b4 QUIC: fix handling of unencrypted padding data
3458494240 Snort: Allow snort to ignore checksums
16ea22eaa4 F-Container: Try to improve error handling.
c4d19650d5 wiretap/erf: Use memmove instead of memcpy
3bf856868d Tools: Run `brew doctor` after installing Homebrew packages.
9cafd342ac Lua: Add get_preference() and set_preference() utility functions.
c7e6b79825 Kafka: Decrease our maximum decompression buffer size.
7a8a3a8702 GitLab CI: Update lintian excludes.
c876b34ed1 SMB/SMB2: FS Name is always Unicode
ba16825c6c Qt: column list model: remove unused ListElement component
a16c1697dc Windows: update libs cleanup paths
cb3b469d7f Qt: Fix packet bytes hover rectangle position
d2abcb09c1 TPNCP: Minor cleanup
403fdbe1a0 Snort: Try to address confusion from issue 17062.
3a0e4220c3 packet-radius.c: Replace gcry_md_copy() with gcry_md_reset()
9fb22c1ec0 Four trivial comment typo fixes of ‘ad’ to ‘as’
f6c7cb1251 [Automatic update for 2020-12-06]
e7ec6739b6 Fix reported_len in Lua framewark when creating tvb from range.
a11e5261e1 editcap: add IDBs to second and subsequent output files.
18ae9bd4e2 DOCSIS: Add FDX Sub-band TLV support in MDD Downstream Active Channel List
f506d971b8 Windows: Upgrade c-ares and nghttp2.
ed6a2c156b Add a documentation comment for wtap_dump_add_idb().
a3e952344d wlan: don't commit to the "OLPC"/"Atheros" stuff being either of them.
98fbf1a1a2 Release notes: Wireshark now supports reading ETW
872fb08aad wlan, llc: support EPD and LPD for 802.11 frames.
9f056c395a NGAP: don't include packet-ngap.h twice
d38de4c03e Initial try at y_axis_factor for I/O graph
59e16ad039 Qt: Prevent multiple check marks in custom column
ac6a60de11 column-info.h : increase COL_MAX_LEN from 256 to 2048
1330b729d5 Aruba(IAP): fix typo for Gemini type
a42bbbeff6 Bluetooth: Fix l2cap reassembly resuming old reassembly
d104571e8a Lua: Improve Listener error handling
00d45cc71a wlan: fix a bug-number typo in comments.
6ae2bdd84b Qt: Increase ring buffer file number limit
5bcb8eec39 IEEE1722: describe CVF H264 PTV field
708ada8381 DOCSIS: Fixed FDX Sub-band ID/offset TLVs dissection
bfc7630e3c fix display data of unknown vendor specific pppoe tag
dca19aa2b3 Qt: UAT editor column widths, italic pathname
d113dbfd18 GSM A-bis/OML: Fix ipaccess specific GPRS NSVC obj class
27acec97e9 Lemon: import fresh lemon from upstream
10e9ac701b GTPv1: Implement SGSN Number and Node Identifier
6b38ffb9af smb2: reduce the length of the negotiate contexts to the correct value
96e31cb116 RadioTap: skip present bits for vendor NS.
3c640ca04a wlan: never treat DMG frames as if they have an HT Control field.
e131717d83 packet-mq: Improve MQINQ Display
ac0cf10ab0 PI_MALFORMED is not a valid error severity; fix it to PI_ERROR.
26220f8045 GMR-1 RR: revert g165b56afe7
11bccd9e39 Aruba(IAP): Add IAP-500 Series (Gemini)
2d8dd9ed4f qt+export objects: Don't sort the header in with the content types
6035312ea9 Support to dissect PXU and PXUC
31b81393be RPCoRDMA: fix reassembly for Position-Zero Read Chunk
5ca608f519 USB HID: Usage Minimum and Usage Maximum are inclusive
6a6f58c9aa packet-lwm:Move gcry_cipher_open() and gcry_cipher_close() out of loop
27c00ca0e9 Lua: make TvbRange:raw() return a subset #12046 v2
f4374967bb Kafka: Limit our decompression size.
a9fc769d7b epan: Fix a memory leak.
79f84f7737 GSM A-bis/RSL: fix buffer overrun in dissct_rsl_msg()
32671ad57b PDCP-LTE: Trivial changes while reading security code
2acd5c706e packet-tls-utils:Move ssl_sha_init() and ssl_md5_init() out of a loop
5798b91c15 QUIC: fix decryption when "loss-bits" feature is enabled
2a5b34d8b0 MBIM: Update dissector to support DLT_ETW
fe1f947540 macOS: Enable PKCS #11 support when building with macos-setup.sh
e0403df086 Update packet-tcp.h
77e9d7d3f9 macos-setup.sh: Update various software versions
55c7c0779d packet-lacp.c: Update a comment
a83cf4d757 packet-tls-utils:Replace ssl_md_cleanup() and ssl_md_init() with ssl_md_reset()
0a7de84501 SSYNCP: Fix build failure when can't decrypt.
dcf6bdda84 Protobuf/gRPC: add test cases for Protobuf and gRPC
6a0feb8d0a D-Bus: Dissect complete messages
2158ff241f packet-tls-utils:Avoid calling ssl_hmac_init() and ssl_hmac_cleanup() in a loop
2f235deb3e TCP: Add support for TCP Conversation Completeness tracking
0a3eba683d ssyncp: Add new dissector
3a42bf0de2 Windows: Upgrade brotli, libmaxminddb, lz4, and snappy.
6ba539fe05 SFlow: Improve dissection of Lag counter
dde70546fd sFlow: Fix dissection of lag counter records
8bd4162d84 QUIC/DNS: add support for DNS-over-QUIC
9c5ea50b0a packet-ehdlc: Fix TEI in COL_INFO
e5bb8b4b08 gsm_ipa: Add more enum values and 'official' names
165b56afe7 GMR-1 RR: Use tvbuff_new_octet_aligned to get octet aligned tvbuff
07d77dd5b1 SMC: Add support for SMCD(v2)
e74b6bdebe Qt: fix Qt 5.15 deprecation warning
a973416077 TPNCP: Update tpncp.dat
44a8ada319 TLS: debug_file - no comment when processing comment lines
f21cd2e23f wiretap: Convert ascend.y to Lemon.
1fa5687fad wlan: don't treat non-QoS frames as having an HT Control field.
3b7db8de8a VXLAN: Reordering &hf_vxlan_flag_d and &hf_vxlan_flag_i
45594f9639 icmp: fix typo in hf_icmp_ident_le field definition
baee4a41c7 wlan: clean up some tests.
59efc252dc LPP: upgrade dissector to v16.2.0
7c07202d78 [Automatic update for 2020-11-29]
cb8150cdf3 Qt: CaptureOptionsDialog: set parent for SparkLineDelegate
de5ed8d664 Fix function documentation
258fb14821 802.11: clean up data frame handling.
ee764b8d7d llc: don't fetch the etype until it's needed and if it's present.
3f8423c267 llc: clean up indentation.
7dd469f801 packet-gsm_abis_oml: dissect Get Attribute Response Info
7a72ad677f packet-gsm_abis_oml: dissect List of required Attributes
9080232823 packet-gsm_abis_oml: move length of oml_attrs into the signature
e06afb4252 bluetooth: Change wording of sequence number context information
7f5ddfc7f3 bluetooth: Add context information for next expected sequence number
0f004f422d Add an alernative version of the 3270 Data Stream Programmer's Reference.
0bc4c81a11 MySQL: Enhance "field length encoded" and column info.
125790b918 NAS EPS: fix a typo
0120c12c5d ringbuffer.c: avoid leaking gzFile handle
7f4ae9a229 Qt: Load interfaces on profile change if settings have changed
4190ddfb7c Protobuf: add 'preload_protos' preference
358377bd43 gsm_sms: Get address string with tvb_get_string_enc
98c21601f8 NAS 5GS: add a fence to info column before calling EAP dissector
dbb17b5233 JSON: fix a typo introduced in g2baaab6c
2baaab6c01 json: Make it possible to filter and sub dissect json keys and data.
e782fb0200 GTPv2: Export dissect_gtpv2_ie_common()
8e2815bfc0 Don't assume macOS version numbers are of the form 10.N.
de99214e43 DCT2000: misc changes
c4343ed60b IPv6: fix clang warning
b26512e33a tvb: Add base64_tvb_to_new_tvb()
f1ab1f0b5b Put the XXX_pipe_open_live() calls after the file type determination.
eb02336e28 Update a comment, and add some comments.
884bae3317 Fix previous change to use WSAGetLastError() only on sockets.
84bdd086cd Make sure a pcapng block's length is a multiple of 4.
7a12a663c3 Refine issue templates even more
b904fc69ab Have capture_loop_init_pcapng_output() report an error code.
8c4d0bb131 Expand a comment to note that pcapng_read_shb() does a synchronous read.
fb2414ae6d Qt: fix some Qt 5.15.2 deprecation warnings
15d315c2ae GLib: Bump requirement 2.32 -> 2.36
2999173126 GTPv2: Dissect the content of F-container type 3.
8c4d420fb3 Extend IEC 61850 GOOSE dissector to support IEC 61850 R-GOOSE protocol
74c0b2134b S1AP: fix decoding of inter eNB transparent container from NGAP
063af96df7 NAS 5GS: add dissection of R16 UPDP messages
9fdc3fb3ce NAS 5GS: request type field is 3 bits long
f71458c601 proto(.h): fix -Wdocumentation
d75fef88fb NAS 5GS: upgrade remaining 5GSM IEs to v16.6.0
533f21edfd NAS 5GS: upgrade some 5GSM IEs dissection to v16.6.0
0fad19b7d9 tshark: set cf values when quiet and tempfile
753515f48f RPCoRDMA: fix RPC-over-RDMA message type info
699f1f9041 BER: Fix debug statement
f22ed956f6 NAS 5GS: upgrade dissection of remaining 5GMM IEs to v16.6.0
7d8dbd98b0 [Automatic update for 2020-11-22]
5fcedcf8f4 Various code and comment cleanups.
4212bea8f3 NAS 5GS: add dissection of 2 more r16 IEs
df651aca91 Spelling improvements
7d16b7b251 NAS 5GS: upgrade dissection of more 5GMM IEs to v16.6.0
68313f4972 Avoid python deprecation warning
561c5607a8 NAS 5GS: upgrade dissection of a few 5GMM IEs to v16.6.0
1f40b822e6 NAS 5GS: upgrade 5GMM and 5GSM messages description to v16.6.0
c586f71a5c bluetooth: Fix dissecting of packets received on LE Coded PHY
58aea1de62 PacketListRecord: add an ensureColorized() method and use it.
aeebea1330 GSM A DTAP: fix hf_gsm_a_dtap_ue_received_rlc_sdu_counter_value length
a6f8ea1143 SIP Flows window is discribed
c1ff6b3675 Fix some more item lengths.
b78abaf1be windows-common: fix Clang
785ef0f43d checkAPIs: Fix typo
8c99f4de8d QUIC: fix compilation without HAVE_LIBGCRYPT_AEAD
91be8b6e60 SMPP: Support GSM 7 bit alphabet (3GPP TS 23.038)
65ac14b51a btle: Initialise acl_data to avoid wild pointer dereference
7654bb260d QT+epan: Set FI_BITS_OFFSET and FI_BITS_SIZE flags on [u]ints and bitmasks
c09b33cf1d RDM: Dissector: Fix end-of-packet string dissection.
4b9dfc3a19 github: fix actions.
1d7bc367e9 GSM A Common: Dissect polygon points
0250e4e2e4 HTTP: Restore SSTP support
5d374fed36 RFC2190: Fix bitmasks for several fields in mode A
ff3f9d3e4a tvb_get_bcd_string: 0xf can both be filler and stop digit.
7906a2f6a8 Protobuf: rewrite parser of *.proto file from Bison to Lemon
69e6a16ba4 capture option dialog: fix unintentional dialog size by merge request 422
8b520a437e f5ethtrailer: Reserved field should have been ENC_HEX
b822a62729 Addr Resolv: Prefer profile specific file if exists
1b254c2815 rlcmac: Append RRBP mark to COL_INFO on DL CTRL blocks
66005aef49 rlcmac: Append BSN2 to COL_INFO only on blocks containing it
76c8e4c921 NAS 5GS: fix dissection of common information elements
5380aaad62 RTSP packet counter window is described
3396a096e8 SIP Statistics window is described
bad17e79e1 f5ethtrailer: Replace ingressslot and ingressport with reserved
f37951a035 CI: Clean up the CentOS 8 build.
536ed6335f CI: Switch to our CentOS, Debian, and openSUSE containers.
99bad1d667 CI: Switch the Fedora image to wireshark-fedora-dev.
46af0bc744 CI: Ubuntu container updates.
e7898384b3 NAS 5GS: Add more IEs to messages.
65f005ea61 EBHSCR: Fix EBHSCR Eth header bits
3d25ed8ebf DHCPv6: add Option 15 User Class
29f2177222 rtps: don't free wmem addresses with g_free.
e1b3fb0262 tools/check_typed_item_calls.py: check consecutive mask
01d5e8ee51 Tools: Update the usb.ids URL in make-usb.py.
39050a72de [Automatic update for 2020-11-15]
7c0d9c1426 capwap: fix item length
32f89a492b dns: fix item length
cc8ac80b54 couchbase: fix item length
7530c337b5 cdp: fix item length
bf4622c05a bluecom: fix item length
692ab543e6 BGP: fix item length
31666c5214 awdl: fix item length
c7bd8baea2 AIM: Fix item length
febf7aa643 IAP(Aruba): fix item length
e3047d9b38 Pass an address-family-appropriate socket length to connect().
5df3f5d05d Encodings: Fix missing pointer increment in 3GPP TS 28.038 unpacked
646bfde7fa Fix some filter names.
a9e414ce54 Tuning of IO Graph intervals
30ca4b72ec NAS EPS: upgrade dissector to v16.6.0
62730dc4fe NAS-5GS: Start upgrading to release 17.0
8c29bfe8b2 NAS EPS: fix inverted description of 2 N1 UE network capability IE fields
c2bd3bc487 xml: fix list of default media types for XML.
08d7e14cdd Fix a few more item lengths.
3a7966c716 Qt+epan: Print better-looking values in the packet diagram.
440d8ceff9 NAS-EPS: remove an extra spare bit
e35752c252 3GPP NAS: upgrade dissector to v16.6.0
ea311f2e21 MBIM: fix mbim.control.ms_app_info.app_name display
6228e18648 xml: Add default media type application/vnd.3gpp.mcptt-info+xml
cb430d2ef2 TCP AO: Add dissection for RFC5925 TCP AO
8b512665fc MMRP: Fix wrong offset for service attribute type
96eec0beb9 Qt: Fetch byte view text font metrics more often.
580de09849 Fix a few spelling mistakes.
08509b5aa6 Protobuf: feature of adding missing fields with default values
5e45f770fd QUIC: fix handling of Key Update
986a4712ba epan: BGP Prefix-SID attribute SRv6 SID support
33e63d19e5 RTPS: Fixup our coherent set map.
8e93097147 bt-dht: don't iterate on strings in values
3730eb251f Qt: enable sorting for Help->About tables
57fc841aea RTCP: try to continue dissection with partial SRTCP packet
07f048f1f2 parsing enterprises file: comment and slightly simplify
dfa8a3fe5a rlcmac: Fix EGPRS UL data block TLLI endianess
d0b0094bf3 WSUG: Add a note about verifying downloads.
c394a7a87b Kafka: Fixup returned offsets and initialize variables.
913001b817 Opensafety:  fix some item lengths
e1c72bd47c [Automatic update for 2020-11-08]
a175435c0a QUIC: improve migration support
d5f2657825 epan: Limit our bits in decode_bits_in_field.
51145c62e6 wiretap: Update pcapng systemd timestamp handling.
50dcb5d6f4 Fix some more item lengths.
b65ff23d6b IPv6: Try to fix CID 1468890
d90f8da3d8 Fix some more item lengths.
3632642980 SMB: Dissection of Dynamic Access Control specific ACEs
ac34f3e8b6 RPM+CI: Update and fix for Fedora 33, CentOS 8, OpenSUSE Leap 15.2
57b6666920 giop: free the buffer where its at
84ddbf373e RTCP: Initialize padding_item
40ce72f1a8 giop: don't use packet scope for allocating a buffer at init time
9d5de22a88 rlcmac: Handle properly LI=0 in GPRS data blocks and identify spare bits
1fff3cb106 Protobuf: fix bug about parsing negative enum value number
30c392f166 Tools+test: Call python3 explicitly.
ebfa1f8a4b wslua: Return nil from Dissector.get() when not found
9b46447bb1 IPv6: Add dissector for Compact Routing Header (CRH)
1dd8b133ee RTCP: expert item on non-final packet padding flag
2c2ee172eb giop: don't use packet scope for allocating a buffer at init time.
dd6b6f48dc Tools: Allow cherry pick lines in validate-commit.py.
d71fae8806 Image: Add another icon library link.
48c09fe046 QT: progress UI: Fix TextLabel string to loading
ad1cf5eeb0 QUIC: Fix typo
a4e9931c98 docbook: Fix example to run tests containing dumpcap
57e89b6e60 Gitlab: Tweak Bug issue template
47f10ea819 Gitlab: Fix label for FeatureRequest issue template
a3b2afab9b Gitlab: Add issue template for Websites
22e595666c ISIS: Add Purge Originator ID TLV  (rfc6232)
321f231bd9 ACDR: Fix dissection of control packets
9ac8dcb3a1 SOME/IP: Cleanup of length field parsing (BUG FIX)
905f304d54 STUN: fix heuristic over TCP
24d7ff72bb Speed up ethernet entry (manuf and wka) parsing.
63d045e7eb rpm-setup: Find opus development package for OpenSUSE
18365c16a1 Nettrace: correct conversion from ISO 8601 to time stamp
44241f694e win32: fix MR180 - broke "-i -" input pipe
cda11f813d Support to dissect Gate Announcement
bd5431ff44 remove empty zorder (fix warning)
c84681aca2 Qt: Support ampersand in funnel menu and button
1db107a249 rx: simpler check for a known type
e07bb433b2 RTCP: Extended Reports: check for padding
07df04e4c7 Unistim: Set the length and type of IP address fields properly.
666e287c73 [Automatic update for 2020-11-01]
25f1540d39 Add bcg729 to the optional RPMs installed when building
21e1056058 CMake: Don't restrict ENABLE_CCACHE.
9613c943e0 QUIC: fix connection lookup for Version Negotiation packets
cafdab3967 QUIC: allow dissection of sessions forcing version negotiation
b6222766cc usbvideo: Fix dissection of PROBE infos structure
b925734fe2 GSM A: Uncertainty speed is only 1 byte.
cc4ad69366 IEEE 802154: Improve support for vendor specific IEs
5b3bce3b5a OAMPDU: Fix the length of an item.
73f3bc97a5 enable compression options only when gbNewFileAuto is checked.
c14ea41233 add support for compression of capture file
9d6ebdc8a5 Dissect frame drop count if present.
732591237b GSM A RR: fix wrong cause value in gsm_a_rr_RR_cause_vals
156f9e81fc lcsap: fix decode of plmnIdentity
7c178d752f Bluetooth protocols: fix some protocol item lengths
abf3eaace8 Encodings: Add FT_STRINGZ support for GB18030, EUC-KR
4ff3c82534 Bug.md: use code blocks for logs and build information sections
05bd5cd91e CI+RPM: Disable the Fedora build for now.
b1d18e41db Qt: Add a recent item for packet diagram field values.
1c2fd68e26 Qt: Fix saving+restoring frozen packet list rows.
9b5d4945d0 DOCSIS/XRA: fix typos + cleanup.
918db88055 Create protocols to the end of the TVB if length unknown upfront
af0c4203a0 ieee1905: fix endianness of fields
7c9eb8b235 Fix typo: 'descriptionfor' -> 'description for'.
1c5d577d63 Protobuf: fix bugs about field subdissector
ecdd7f3ede TECMP: Adding support for two temps in Vendor Data
889e0d5cb6 Add a new record type REC_TYPE_SYSTEMD_JOURNAL.
edd71daa90 lte-rrc: Pluralize PagingRecord(s)
5413331ed3 AT: Handle response without leading \r\n
639891651f Impose limits on the number of records we read.
a88d72dc8e Qt: Avoid crash on ProtoTree item deselect
cea3bdca9d ASTERIX: Bumped version of ASTERIX Category 004 to 1.11
2fe6c3cd85 Fix some more item lengths.
2920c49c1d Qt: use packet_list_colorize state in Flow Graph
32b64c1694 Apparently, WS_WIKI_URL() can work in Qt C++ code.
f7c99f73e2 Revert "Apparently, WS_WIKI_URL() is unworkable not only in C++ but in C."
a8d023ba58 Include <ui/urls.h>
d9897f1ddf [Automatic update for 2020-10-25]
fc1b478a55 packet-gsm_rlcmac: display TLLI as hex
b694ad77e4 sv dissector: dissect optional field "gmIdentity"
6e35d38c2d DNS: change response time in statistics view to msec
ce47866a43 DNS: RFC8914 Extended DNS Errors
5df2925434 Apparently, WS_WIKI_URL() is unworkable not only in C++ but in C.
5b2901d090 MATE: Improve MATE debug facility
84f89e97a2 DPNET: Make some 4-byte fields FT_UINT32.
f1d9b3c966 Gitlab-ci: Build doxygen
cad1785868 dns: detect DNS over UDP on non-standard ports using heuristics
00c09b8696 extract_asn1_from_spec.pl : fix ^END to ^END$
4fd7983b04 dumpcap: fix the macOS "no permission to capture" message.
08f521fb63 Fix typo: 'filed'->'field'
273eb06390 USB HID: Initialize a struct.
e42cc6716e Openflow: fix some item lengths
2663d49559 LISP: add support for vendor specific LCAF
059b64b971 Qt: restore welcome page release string after edit preferences
89b7f83541 WSDG: Update some branch name references.
6633ca1b90 Fuzz: Don't blame the latest commit.
17170ea1fe tls: Use Data dissector when no appdata dissector found
524a28c4b1 QT/CLI: Move max tree items and depth to prefs
56e19bec49 Export Objects: Don't double increment count
69b1ad68bc data: Enable DecodeAs tls and dtls as Data
7e79d09fba UMTS FP: Fix the length of the DRT field.
a46bda17ef Lustre: Fix some item lengths.
